commit 310e183d4b33b52cafcc11daa0a971a203b852b1
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 31 12:50:11 2003 +0000

    Updated french and Brazilian Portuguese translations

commit 565e66c5b1cd88440d7b2283519cf290ac5e682e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 31 10:30:44 2003 +0000

    Disabled aspect ratio and visualization button as they don't work as expected

commit c1c2844dc651e69c7b8ac1c3f87f881476d08e3d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 30 21:55:48 2003 +0000

    Updated italian translation, courtesy of Carlo Calabr�

commit dcab06079870ca73e4c6977744bb3ff2a9e25ac1
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 30 18:29:26 2003 +0000

    Fix browse feature

commit c17dee7dcc0c7470a76edda19f8813d9dbde18f1
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Dec 30 04:43:52 2003 +0000

    common.*: add common routine to eliminate palette from pixmap.
    cvd*: finally shows subtitles (with some bugs)
    ogt_parse.c: use common just added above.

commit 3bb0ad8dc81c949303658499cf5661cf6a876ee5
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 29 04:47:44 2003 +0000

    cvd: bitmap extraction further completed - not fully done.
    ogt_parse.c, render.c: go back to 4-bit alpha since that's what DVD
    and CVD have.

commit 3cbdd393b8abcda5c6aa040b50442151736953d1
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Dec 28 20:50:20 2003 +0000

    * modules/access/cdda/access.c: added some missing #ifdef HAVE_LIBCDDB
     (fixes compilation issues when the libcddb is not present)

commit bea939bb2bacc8e6edddfb0e9bdfdd6866705f1b
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 28 11:26:52 2003 +0000

    First cut at CVD subtitle unit assembly and initial parsing.

commit f5d0873721cea2b31d473e90f77abbbcdec99bb7
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 28 04:51:52 2003 +0000

    Start work on CVD subtitles.

commit 919854e45add1d7f930e2cb0a77aac5295e6073c
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 28 02:01:11 2003 +0000

    Work towards handling all planes in subtites, generalizing for CVD, and
    some cleanup.

commit 6f8690b5a1404de11a2b1f2cc27d0565bb0ca226
Author: Eric Petit <titer@videolan.org>
Date:   Sun Dec 28 01:49:12 2003 +0000

     beos/*:
      + fixed a possible crash with Alt+X shortcuts
      + fixed volume slider update

commit aab4bf7b7cb9d1420b51290c0d06fc272546756f
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Dec 27 16:14:48 2003 +0000

    modules/demux/mpeg/mpga.c: forgot to remove a debugging printf...

commit bdd53052b177397b7691a42bcbcbdec5ccda078b
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Dec 27 14:47:10 2003 +0000

    * modules/demux/mpeg/mpga.c: disabled the bitrate detection from the Xing
     header, since it doesn't seem to be reliable

commit 7c20b517bbf78fc03104b7032e588eed72b0f2e8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 27 14:36:30 2003 +0000

    * modules/gui/wxwindows/*: use the wxL2U macro when necessary.

commit cf8bbfcd1e2869fafc7d1c420f19d4859831218c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 27 10:36:42 2003 +0000

    * ALL: bumped version number to 0.7.0-test3

commit bc3260752bde13ef0b2a3533a4e11aa17115ea7f
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 27 01:49:59 2003 +0000

    Scale bitmaps for 4:3 output

commit a1c4ba2fbea21c7595d00de40d945e6c028451ca
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 26 02:47:59 2003 +0000

    Keep in synch with rest of source. Should also have no effect on upcoming release

commit 1170be354362b3b1f1e4cbe77c8b50e1bfe7b15f
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 26 01:39:35 2003 +0000

    Check in a stable copy for reference against future changes. Should
    not affect or be seen in upcoming release.

commit c87f2a542cbde2cb769eff755a53a1fc2682207b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 24 12:38:04 2003 +0000

    * src/libvlc.h: on win9x --win9x-cv-method=0 was problematic (eg. vlc could get stuck during video startup) so --win9x-cv-method=1 is now the default.

commit 8a9ed93085bcf973afb13c9be43abde2e4c1bf74
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 24 10:06:53 2003 +0000

    * src/libvlc.c: small fixes to Usage().

commit 26e930b5e2f0e92da0926e0fa3e3b8b9efeb898e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 24 09:46:08 2003 +0000

    * include/vlc_block.h: added a temporary i_rate field to block_t.
    * modules/codec/libmpeg2.c: synchro uses p_block->i_rate again.
    * src/input/*: do not decode audio when i_rate != DEFAULT_RATE.

commit 69ac376ca484537e212ac3e452462e558344db09
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 23 17:10:18 2003 +0000

    * modules/video_output/directx/events.c: warning message into debug message.

commit 448c369c156cea81251beb91c09a5edf109f0392
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 23 15:27:50 2003 +0000

    * modules/video_output/directx/events.c: fixed mouse coordinates for dvd navigation which got broken when we switched to using a child window for the video.

commit cfbe50776078a5cdacbc032fd3118d6158988f2f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 23 02:11:27 2003 +0000

    * modules/video_output/directx/*: fixed strange race condition.

commit 53c8ef35b7b7e4631c4267c24bc00c8bf8be9b2d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Dec 23 00:23:31 2003 +0000

    * Fixed and updated for a 00.7 'Bond' release.

commit b309b351561e8bc00e4dc1808a03f8b39dcf19e5
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 22 23:46:23 2003 +0000

    * Fix a leak in goom module that caused all the pictures of a vout to be
      unavailable after several songs.

commit 254127b788dd8509162ace7d2ac998d785c05638
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 22 22:37:01 2003 +0000

    * stream_Size reports the size of a stream, not stream_Tell
      This fixes the ID3 detection of ID3v1.

commit 80e1dc74bf612e40cda454a0ff77855b1d41d356
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 22 17:44:58 2003 +0000

    * modules/access/dshow/dshow.cpp: fixed previous fix.

commit 8583966ad286273b34b3e7828d0e5a2093f1f254
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Dec 22 17:08:22 2003 +0000

    back to config_PutInt when using the fullscreen button on the interface. This allows to remember the fullscreen setting when changing playlist item

commit 1b7802a62f8f7a16310059f14478021f50c150f5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 22 16:42:47 2003 +0000

    * modules/access/dshow/dshow.cpp: small fix for devices list.

commit b96d78bb4eee2d0421f5c39e6b5c1e96ed8e6fd3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 22 16:40:04 2003 +0000

    * modules/codec/libmpeg2.c: compiles with the latest libmpeg2 cvs.

commit dc93d552142850006c843717a107beb6c1ccd3e3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 22 15:42:44 2003 +0000

    * modules/gui/wxwindows/*: use our new wxL2U() macro where needed.

commit a5762cd9568379975d6a70288dc67e5038008cf6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 22 14:45:37 2003 +0000

    * Fix the 'currently playing' field in the OSX intf.

commit 5ca0ebcca2e3f55a1087811048684a3b9b1eecbf
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 22 14:32:57 2003 +0000

      * Coding style cleanup: removed tabs and trailing spaces.

commit 973409adeaaf6b29930cae672c5b54e28ddc22bc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 22 14:31:01 2003 +0000

    * modules/gui/wxwindows/*: don't forget to convert the filename/author fields in the playlist to the encoding in use by the wxWindows interface.

commit 65c5b28d6dbcc4e888426d44e9fe256a2804fc23
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 22 14:23:14 2003 +0000

      * src/misc/iso-639_def.h modules/demux/util/id3genres.h modules/gui/kde:
        + Added missing copyright information.
        + Added GPL header.
      * src/misc/iso-639_def.h:
        + Removed useless (and unprotected) macros.

commit cef7569b1180b19f846c31c6f3c8b9f29fab7b71
Author: Eric Petit <titer@videolan.org>
Date:   Mon Dec 22 11:14:25 2003 +0000

     beos/Video*: fixed cursor hiding (int32_t != int32 bla bla bla)

commit 5b79750544fe606e209d4f5b69bced2379a185de
Author: Eric Petit <titer@videolan.org>
Date:   Mon Dec 22 11:08:00 2003 +0000

     beos/*: fixed Alt+X shortcuts (BeOS doesn't let those hit BWindow::KeyDown
             because it's reserved for system shorcuts - added a workaround)

commit 42195685323f11ea92176ac02c366444d908f154
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 22 02:24:53 2003 +0000

      * toolbox:
        + Added pda.glade to the list of Glade2 generated files.
        + Remove strings such as "http://" or "/dev/video0" from the list of
          translated strings in the PDA interface.
      * Fixed grammar, spelling, a few pathetic inconsistencies, removed trailing
        whitespaces and tabulations here and there.

commit 6bfbdea90e73ea3ec8c7021624244c641e89b9e3
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 22 00:26:01 2003 +0000

      * modules/demux/asf/asf.c: Fixed a buffer overflow.

commit 789f166be61b62f159ffc59329c80b425e516505
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 22 00:13:52 2003 +0000

      * modules/access/vcdx/access.c: Fixed an obvious buffer overflow. This
        code is still unsafe, bounds need to be checked after each sprintf/strcat
        call.

commit 0a9aa8d0b0bbfc725183f78d6883bfc59db7d020
Author: Eric Petit <titer@videolan.org>
Date:   Mon Dec 22 00:06:05 2003 +0000

     + beos/PreferencesWindow.cpp: esthetic change (use triangle thumb style
       for sliders)

commit a58b4dc89a43426936a77fd3c3023b7d2674301b
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Dec 21 23:32:58 2003 +0000

      * Fixed URLs here and there.

commit c04e92f61cb68d6f620457b74066cf268e25e979
Author: Eric Petit <titer@videolan.org>
Date:   Sun Dec 21 21:30:43 2003 +0000

     beos/PreferencesWindow*:
      + Cleaned a bit the way the prefs are created
      + Added missing CONFIG_ITEM_KEY implementation

commit 78ffa46b5ec472fc871c044a0afc537d299f3ec1
Author: Boris Dorès <babal@videolan.org>
Date:   Sat Dec 20 22:57:36 2003 +0000

    * libvlc.h input.c headphone.c:
        fix support of audio channel mixers, like the headphone channel mixer
        for instance, which was broken since the introduction of user audio
        filters; if specified by the user and compatible with the audio
        pipeline, we add the channel mixer after the user filters.
        -> unfortunately, this fix removed two strings and introduced 4 new
           ones
        -> TODO: allow the user to choose only amongst channel mixers, not
           all available audio filters
    
    * vlc.exe.manifest Makefile.am install-win32 :
        add a manifest file to allow the win32 gui to use Windows XP visual
        styles when available.

commit 66fb3bd378b79757f8b9c0f1ceef3bb5fd8593fa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 20 16:22:59 2003 +0000

    * modules/demux/mp4/mp4.c: fixed problem with buggy files that don't set the audio sample rate properly.

commit 1cccba5ca59463b8305a3b414b588d9c8849e83c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 20 16:11:11 2003 +0000

    * modules/codec/araw.c: added "mlaw" as a fourcc for ulaw audio.

commit 28694bd993f1481b90512d86b5b932cd8a032f1a
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 20 15:25:32 2003 +0000

    Remove unused variable. Artifact of old track/entry handling.

commit d5eaf4a600043f14245176cd8dbade8c88a97ee8
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 20 11:56:56 2003 +0000

    Grammar correction.

commit 2915f1809dab843032257ff2cd79a968efdec008
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 20 11:55:12 2003 +0000

    Spelling correction.

commit ff9920ffe6cacd39192c374a65dbcc26731b9389
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 18 16:29:47 2003 +0000

    * Fix broken http intf in macosx package.

commit bf4ae216629d7788d114146013b35614c50cd18e
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 18 12:35:26 2003 +0000

    Go over for spelling and acurracy.

commit 33db2d95baf2589ee076253395ee631601f33c6d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 17 23:21:15 2003 +0000

    * Commented out the option 'goom' for the visualizer. It isn't working in
      this system yet and will not work before release. The visualizer system
      needs to be cleaned in 0.7.1 with one 'visual' audio filter which loads
      one or more 'visualization' true modules.

commit 9e1825a51bf0f0dcc9e14d80cba2203d8b16d91c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 17 23:09:36 2003 +0000

    * second round of dutch translation update for 0.7.0-test2

commit 92c298c6610b84713ed429a6b19e60f9a6a34e9c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 17 21:29:04 2003 +0000

    * Updated portuguese brazilian update

commit ddb6d46817b21c9634065f31b732a50a5dce255e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 17 11:42:03 2003 +0000

    * First run of dutch translations.

commit 9d4690c97a40fc7eee71deb15d3a2287d137b881
Author: Eric Petit <titer@videolan.org>
Date:   Wed Dec 17 08:53:54 2003 +0000

     * Makefile.am: cleaned up package-beos
     * share/vlc_beos.rsrc: new icon based on Stephane's cone

commit 1b0b2ce6a945cf51edc5656d8b0b13db24dd3a25
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 16 23:01:41 2003 +0000

    Contrib build system :
    * Jumped to ogg-1.1
    * Reverted to ffmpeg-0.4.8

commit 1956b76770beffd2777650f57c56836a72bfcaea
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 22:14:22 2003 +0000

    * modules/access/cdda/access.c: need to include errno.h

commit 6640e3127e593f9bba8948df41b278b9a515b21f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 22:10:56 2003 +0000

    * modules/video_output/directx/events.c: the coordinates used to blit the video must be relative to the current primary surface (current display).

commit 42b31b7b1284e35ca65e0c066ad9ec62713263c6
Author: Jason Luka <geshp@videolan.org>
Date:   Tue Dec 16 21:56:55 2003 +0000

    Just a release number update in the spec file.  (It won't break anything I promise)

commit 9be2d2a4afe44a097dcb07d52e11cf65dec15e34
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 19:02:44 2003 +0000

    * modules/gui/wxwindows/open.cpp: compilation fix.

commit 0e1f92af066c5006b389408bba393e8988947700
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 18:18:14 2003 +0000

    * modules/gui/skins/src/themeloader.cpp: the tar loader now checks the magic value in the tar header.

commit 9e6d401fe701b134c220c367bb6c455100031371
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 16:51:10 2003 +0000

    * modules/codec/araw.c: small fix.

commit 33371396ad63d2539a67763e3f478c3517df0389
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 13:35:12 2003 +0000

    * modules/gui/wxwindows/open.cpp: compilation fix.

commit a248ca40c0dc4d2aada78077bf78134e97cadf23
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 13:22:51 2003 +0000

    * modules/gui/wxwindows/interface.cpp: better heuristic for the interface size on win32.

commit 0e282e7763a07cb18a694f34f5eb2365e8b3b283
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 12:54:29 2003 +0000

    * modules/misc/dummy/input.c: fixed the vlc:quit command.

commit d0c882b067063e70b193c026da941396932bfcb6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 12:38:18 2003 +0000

    * modules/codec/ffmpeg/ffmpeg.c, modules/demux/ogg.c: theora decoding support via ffmpeg (currently slower than libtheora).

commit 28c34206f30353f1e4c2bb062a4450f850f1a171
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 16 09:14:22 2003 +0000

    Added field for RTSP in Network Stream open tab

commit dd8a6acfb31b6d73bbd034ea459ca38d5f34fbee
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Dec 16 03:21:47 2003 +0000

    Remember the disc selection type (DVD, VCD, CD-DA) selected in "Open
    Disc" and use that as the default for next time.

commit af1fa8e749b886f539d4d7baff1d4f855ad2846c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 00:36:50 2003 +0000

    * doc/Makefile.am: added intf-cdda.txt to EXTRA_DIST.

commit 52a32fc99191ace0bafa3ee87da3fb39da1ebb05
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 16 00:01:04 2003 +0000

    * ALL: preparing for 0.7.0-test2.

commit 5b83bb59a8d844f1ed48afb168651df0258ebf25
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 15 23:31:11 2003 +0000

    * modules/demux/ogg.c: a couple of fixes for flac streaming.

commit 21636bda2eca19e0b4351c57225c6ca1417aed17
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 15 22:55:01 2003 +0000

    * modules/packetizer/mpeg4audio.c: fixed raw mpeg4 audio packetizer.
    * modules/demux/mp4/libmp4.c: fixed (again) parsing of wave tag.

commit ec17e28f622aa1cac73c3d62148e34be67a32845
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 15 22:04:25 2003 +0000

    * modules/gui/skins/src/skin_main.cpp: bail out if we can't open an X11 display.

commit bd034af3083a039360651e96a98235f7db1b5849
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 15 21:54:55 2003 +0000

    * modules/codec/vorbis.c: added 5.1 channel configuration to the decoder.

commit 273f3bc46f7e9ec3601bcbe54c6c25ab9e4bfce6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 15 21:35:37 2003 +0000

    * modules/audio_output/directx.c: don't set the default audio output to mono even if the windows settings are set to mono.
      Too many people just don't know how to set the windows speakers configuration setting properly.

commit 5ba68590d952b7f7cf07a29f6b05d7f0e209e917
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 15 21:07:55 2003 +0000

    Fixing QT/Embedded header detection.

commit 33e006c1e38182faa94945138c12c2e0f002bc82
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 15 20:21:45 2003 +0000

    * modules/video_output/directx/directx.c: debug message.

commit 3fb21d8e39d603f9573fe6e76e5ee72658541d68
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 15 20:20:55 2003 +0000

    * modules/gui/wxwindows/open.cpp: compilation fix.

commit 6a5c008552c49adc677885b7146dcac76c095039
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 15 19:55:37 2003 +0000

    * share/http/admin/dboxfiles.html: html page used by the dbox.

commit fc5385d3856a7d74557c0f962edb435e96f4c1d3
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Dec 15 19:26:25 2003 +0000

    Forgot this

commit 48515f2a60b833b4b9e5869190c533f7f848b821
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Dec 15 19:25:56 2003 +0000

    Fix for the fullscreen button state (it is only enabled if a vout is present)

commit d40cfac21ba407e1d7ffef11c38f7168d0bfaeca
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 15 15:38:26 2003 +0000

    * fix the skip 10 seconds buttons availability.

commit c81245cd05ea2f5eb18ceb11f09693a06d993b5a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 15 15:06:23 2003 +0000

    * Fix the problem with OpenDVD crash.

commit 716dd47a313a9cf6d3932eeb2bf69e54f048c923
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 15 14:25:43 2003 +0000

    * don't search the playlist when there is nothing in it. We will crash.

commit d93b0d46e1b67385c9c0d8c8267cf79bea7f2ea6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 15 14:05:19 2003 +0000

    * compile before you commit

commit f3ce44c8f9ab0c52c3c180cb651bb1ff5a24f904
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 15 13:38:27 2003 +0000

    * added bookmark 9 and 10 but set their combo to KEY_UNSET

commit 67f6e24baeda464bc6b0164bbd88decf777261d8
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 15 13:10:05 2003 +0000

    Do not add http:// to MRL if the URI given in the HTTP field already contains it (Fixes bug #1510)

commit 26bb0adf680a583a8b3a6dbde4985dc96f8ce2f8
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Mon Dec 15 01:11:44 2003 +0000

    For OSX:
    * added hotkeys Fn and COMMAND+Fn, whith 2 <= n <= 8
    * bookmark9 and 10 are not added since F9 and F10 are reserved keys

commit 5e77519cdaa0da05134646a20643123e6556bb48
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 15 00:47:18 2003 +0000

    * modules/access/dshow/*: fixed a problem when we would sometimes get stuck trying to stop the dshow graph.

commit 882e383af49185f65f4fd9102d1d5b9e18ac86b0
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 14 23:40:36 2003 +0000

    signed/unsigned mismatch fix.

commit d835f8f6b0d3bdb07728a6ede6b0f92e920758c0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 14 23:14:20 2003 +0000

    * Clarify the error when utf8 is set and the sub is actually not utf8.

commit 679067751d0a295991e4b0f92daf0ee14ef2c280
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 14 22:49:28 2003 +0000

    * modules/gui/wxwindows/*: added raw encapsulation to the streamout dialog.
    * modules/mux/dummy.c: added "raw" shortcut.

commit 982b157f35d6c0a2a62e143e0d504c4c23649529
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 14 21:03:27 2003 +0000

    * modules/gui/wxwindows/*: Added the video scale option to the streamout dialog box.
      Added a nasty hack to reset LC_NUMERIC to "C" because the stream output MRL parsing can't deal with "," in floating point numbers.
    * modules/codec/ffmpeg/encoder.c: sanity checks.
    * modules/stream_out/transcode.c: sanity checks.

commit 9ea087d2178cc7418252b18b299d2380388034a3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 14 19:18:11 2003 +0000

    * modules/codec/subsdec.c: default encoding is DEFAULT_NAME not UTF8.

commit 653a30073547876b39d2cc3ffa846044ddef9ddb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 14 18:44:50 2003 +0000

    * modules/mux/ogg.c: added support for WMV1/2 and MJPG.

commit 8fcc60fdfdb7cf8912ace8ed6b2601b818e47a0a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 14 17:58:37 2003 +0000

    * modules/stream_out/duplicate.c: removed unused variable.

commit 97b43ea44a0ebec90a91141bc85b5f090eaa6a06
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 14 17:56:25 2003 +0000

    * modules/stream_out/duplicate.c: don't forget to loop through the linked list of sout buffers when sending the data.

commit 70a7e39d8058bc36056897d077cb54444e5dfcf6
Author: Eric Petit <titer@videolan.org>
Date:   Sun Dec 14 16:26:21 2003 +0000

     beos_specific.cpp: never let anyone but system_End terminate the
                        BApplication (fixes crash for people who like scripting
                        with BMessages)

commit 638109b342405c835c421dce536b795eeb06f35f
Author: Eric Petit <titer@videolan.org>
Date:   Sun Dec 14 16:08:32 2003 +0000

     BeOS & gcc 2.9x fixes

commit 3b39f9957f85730f6471c88663f4240944380639
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 14 15:42:19 2003 +0000

    * modules/gui/wxwindows/interface.cpp: volume control has a fixed width of 20 pixels.
      Fixed sizer problem on win32 with wxWin cvs.

commit 845b36f010083d858c0639b6272420e7d2d4e17f
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 13 20:13:07 2003 +0000

    More Open Disc range customizing/narrowing and some code cleanup.

commit 4fac715a31556895f293f9ca1dca8a391f99d3c2
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Dec 13 17:46:07 2003 +0000

    * src/playlist/sort.c: set "intf-change" after sorting the playlist

commit d3de64660f62998d7295905aaca867ba9f9e5ec8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 13 17:16:11 2003 +0000

    * src/playlist/*: when deleting the currently playing item, skip it instead of stopping the playlist.
    * include/modules_inner.h, include/configuration.h: don't use a static array anymore during the initialization of the plugins, malloc it instead. This fixes regular overflow problems we have when we increase the number of options in the main module.

commit d0104ec8c80c0fd3c1a47644e5b2a3efbb5090fe
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 13 15:28:41 2003 +0000

    Updated.

commit e5463a91f9d7cec7d593d287111cac3c6604f080
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 13 14:01:51 2003 +0000

    * modules/video_output/directx/directx.c: compilation fix.

commit 6a4b7c066253f8f4c630c062675d951e6c606739
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 13 12:56:59 2003 +0000

    Add customizable playlist "author" field and set in the playlist.

commit 511ab83dd376549794433eef24f3623fee034e71
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 13 12:56:14 2003 +0000

    If not in PBC, playlist fills in all entries.
    Fill in playlist info. Customizable "title" and "author" field.
    Still need to pick out and duration field.
    A couple of segfaults fixed.

commit 3d11590ef38b669e800aa3729455f9846bd4b207
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 13 11:56:36 2003 +0000

    * ALL: bumped version number to 0.7.0-test2

commit 1ce2e9f70ae2bb9e16cffd2694e5cf18db5d352f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 13 11:22:15 2003 +0000

    * NEWS: updated.

commit 6a40c15a184bf3a830e4c4b5d7e19cc8d986844a
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 13 00:55:48 2003 +0000

    Range changes for Title/Track. Hopefully gtk_interface.c changes have
    been properly reflected back in gnome.glade now.

commit 1d04b886ffa7a5855bb6ea93f07661010f42b0f1
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 13 00:53:50 2003 +0000

    A better fix for missing options when the satellite plugin is not
    configured.

commit 11a41a22e3a6d1f5a0086dcc5237ea908c1d978f
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 13 00:45:49 2003 +0000

    Add text field variables for changeable text fields.

commit c410bec8c258ae1e870c32d54497f4d096be5b97
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 13 00:45:00 2003 +0000

    Disable Disc "Chapter" button when not appropriate - i.e. CD-DA or
    VCD. Customize "Title" field (e.g. CD-DA "Track" or VCD "Entry").

commit 1d60757b7eb5a99d929569d39b86380737fb52a6
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 13 00:00:45 2003 +0000

    Some minor code cleanups. Non-existent satellite options #ifdef'd out.

commit 04c4affbf3a8f027bbb75cf7a9730d2d023a3ff0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 12 23:15:40 2003 +0000

    * modules/codec/faad.c: proper channels re-ordering for multi-channels audio.

commit f869db1f342f7a696d71d982dfa047acdfdaaa18
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Fri Dec 12 23:03:35 2003 +0000

    * added hotkeys F1, F2, ..., F10 to switch between predefined medias
      (using CTRL+Fn)
    * only F1 and COMMAND+F1 are defined for OSX (I let those developpers
      chose their keys)
    * Currently the medias assigned to Fn are not saved in vlcrc if they
      have been assigned with Ctrl+Fn. But they are, if assigned via the
      preferences panel.

commit 5dfa1b624bb141f12497df25c57b0d1783f7bc61
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 12 22:46:25 2003 +0000

    Compilation fix in conditional code.

commit 3756ff50693f3001e01868661dee5d0e23954b16
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 12 22:41:31 2003 +0000

    Disable Chapter button for CD-DA.

commit 618ae5969128a8b8cfa3f72ced945615bda4f466
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 12 18:54:52 2003 +0000

    * modules/gui/gtk/*: fixed gtk/gnome.glade and re-run ./toolbox --update-glade.

commit e434b3f0947e04a371dd5cfd6ad13a6d24537b5b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 12 18:34:30 2003 +0000

    * modules/gui/gtk/open.c: compilation fix.

commit 0f03eb91934f74ef5dfee65ab64592c9c33ed950
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 12 15:37:23 2003 +0000

    * Fix segfault when we have two announces with the same URI but different names on the network

commit 69a02cbe6a68d4325c4618854393149386dc33a8
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 12 03:06:51 2003 +0000

    Add CDDA and make MRLs regular.  Routine Eject is same as that in gtk
    and should be put in a more core location.

commit d5f418452312daa5048b88546037b2569b1cf9ad
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 12 03:01:13 2003 +0000

    Make MRL's more regular across GUIs fix plugin names, and add CD-DA to list.

commit eff9d25c7739b479a1692e40bc33a3f64648e985
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 11 23:12:46 2003 +0000

    * modules/video_output/directx/*: first try at multimonitor support (untested).
    * src/video_output/video_output.c: small change to allow the directx plugin to destroy/recreate picture buffers on the fly.

commit 658d4d7aa9b9514b0ae828c1bc281ce5b79a2c9a
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 11 20:40:37 2003 +0000

    free

commit b8c5f7b1ee7558585b59f94b3b1ead7346b386c1
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Thu Dec 11 20:21:12 2003 +0000

    fix a typo

commit f08749b0e13429503d4e0fd9039a01aff85e8633
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 11 20:08:48 2003 +0000

    * Do not keep adding items when they have already been added. This allows removal of SAP items

commit f5b39d26ab37e3ebefcdcca30335c60e99f546d8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 11 19:34:47 2003 +0000

    * Fix the state of the playlist and fullscreen button.

commit f0e843fdce4f40510c9f417c1887cf7f2db49c92
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 11 16:00:09 2003 +0000

    * New icon for the playlist
    * Fixed the mute hotkey
    * Fixed the positioning of some elements and removed the stupid black box
    * Added speex and flac encoders to sout dialog

commit d47174422f5aad60e2c903f80f9d3a2712e3a5b2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 11 14:58:06 2003 +0000

    * fix new hotkeys for osx.

commit e80e672324498ae4ea34db32f9fb14f9f6035784
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 11 13:21:11 2003 +0000

    Let folks know that the no device string means to scan for one if
    cddax and vcdx.

commit 343d3574323899b88718d74a04f42f08977e7b15
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 11 13:20:20 2003 +0000

    Long device text no longer used.

commit a1f5d9f49ce8b610674ca04eddc24baf6b7a79ad
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 11 12:56:25 2003 +0000

    Switch over to using "cd-audio" and "vcd" configuration variables.

commit cbbcad974b6453c537dca62b1bf3111ac8069d91
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 11 12:52:39 2003 +0000

    VCD or CD "title" 0 means adds entire contents (or possibly PBC for VCD).

commit c882cec2c9528e8fa9c704fb6c4dbebb771b3fc6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 11 11:30:37 2003 +0000

    * Fix segfault when creating a group twice without checking return value

commit 8b70bda5cd60dc926bfde739f6fa610f2b2d49c5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 11 10:44:32 2003 +0000

    * src/misc/mtime.c: actually tested and fixed my latest changes ;)

commit 404e9c36957514e3f17f724740a64e67f99a5d4b
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 11 09:02:40 2003 +0000

      * doc/vlc.1: Fixed a minor typo (Debian bug #223605).

commit 9011e73b8f653c297c4daf76ee79e0c65e21b7d9
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 11 05:49:20 2003 +0000

    Remove building OGT.

commit 84333a44f99f1f2b6a24da37de56c45718ccea93
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 11 05:31:37 2003 +0000

    Guard against dereferencing a NULL pointer.

commit 488790df5f7ad325db16fa25c5b64d58ff26b28b
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 11 05:30:11 2003 +0000

    Use cd-audio variable not vcd variable.

commit 3ada93ee713fef50e8105e16d3ddebff90200216
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 11 05:28:21 2003 +0000

    Set compilation flags so that code (e.g. frontends) can test presence
    or absense of vcdx/cddax.

commit ba874d12397e1d8a6a3a12184d45f163a50d13e1
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 11 05:27:23 2003 +0000

    Improve MRL creation.
    
    1. MRL's are of the form xxx://
    2. Customize depending on vcdx/vcd or cddax/cdd
    3. cdda doesn't have any such notion of a "Chapter", so remove
       the misleading :x.
    
    For cddax/vcdx, I'm not sure though I think there is more to do.

commit 4615c528486cfd9ff03f9f39feb1029e1182f2ca
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 11 05:12:37 2003 +0000

    More general help tab name: "Media" covers DVD, (S)VCD, *or* CD-DA.

commit 3a6a1ce08a920a93c395c8f7339fe90a386884e7
Author: Cyril Deguet <asmax@videolan.org>
Date:   Thu Dec 11 02:26:03 2003 +0000

    * solved race conditions issues when the OpenSkin dialog is
      opened in blocking mode

commit 5ad2df4f1f98fd3c3c2bba08ee3ecc4810be60ff
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Thu Dec 11 01:36:12 2003 +0000

    added a 'mute' hotkey ('m')

commit 55a5efd93d0d59565c8951c2da2cffa3b3025684
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 10 23:51:05 2003 +0000

    * modules/stream_out/display.c: fixed segfault when switching audio/video track.

commit 95ce042ef18b51741a0cb295499cea22979e8b50
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 10 23:27:34 2003 +0000

    * modules/codec/libmpeg2.c: hack for demuxers which only have DTS timestamps.

commit 18af7f2b86f68c5aa584943be185521c3453b9cd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 10 23:16:04 2003 +0000

    * modules/mux/mpeg/pes.c: fixed to handle 0 pts/dts correctly.

commit 55b93592b4c04245f3b7dddf303fc43ac990f5a7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 10 21:54:17 2003 +0000

    Added "Force IPv6" check box to UDP Unicast in open dialog

commit 1df7592afffa1511159c4ffebe68c2a3abee3487
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Wed Dec 10 20:56:09 2003 +0000

    fixed a compilation error

commit d2c70247d8dfb11aa6d1e94db2e39f910383d561
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Wed Dec 10 17:19:05 2003 +0000

    added a hotkey ('t') which displays the position in the media

commit 6d316cc7b78bf1f58bc97cbe0a4887854e90415f
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Dec 10 12:57:12 2003 +0000

    fixes a infinite loop in the search function.

commit 31d87e5dafd2177bd243276cb5fe3cd633e9f993
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 10 11:04:25 2003 +0000

    Automatically adds [ and ] around IPv6 addresses in Media Resource Locator.

commit 9e1d63b5dc6ac63a451eaa7708d65ab0973bd6e2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 9 19:18:48 2003 +0000

    * src/misc/mtime.c: fixed an overflow in mdate() on win32.
      This overflow was only affecting the hardware configurations where we can't use the performance counter and thus have to use GetTickCount().
      We now also check for the wrapping of the 32 bits value returned by GetTickCount() so mdate() doesn't wrap after 49.7 days.
    * src/misc/win32_specific.c: call mdate() once in system_Init() so as to avoid thread safety issues while initialising the static variables used in mdate().

commit b6b1e9eef0edf4d43e0db8281e3a9dd25f0afbe3
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Tue Dec 9 19:15:03 2003 +0000

    * fixed a compatibility problem with the CVS version of wxwindows
    * added a lock when changing p_vout->p_last_osd_message

commit 51e2e19d784c27d7708706702e5dfdc9b45f3a36
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 9 14:33:31 2003 +0000

      * toolbox: Do not include MOC files in the POTFILES.in generation.

commit c743991c5df99a1f2df209ba0f9504d501be7dca
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Tue Dec 9 00:46:03 2003 +0000

    This fixes bugs 1285 and 1343
    * added a the default CD Audio device in General Settings -> Input
    * added OpenDialog::OnDiscPanelChange in wxwindows/open.cpp

commit b2149863d3561b14773584b7c3f09bdc361ce1b7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 8 19:50:22 2003 +0000

    * ALL: new main --video-on-top config option (in use by the x11/xvideo/osx/directx video outputs.)
    * modules/video_output/x11/*: implemented support for "video on top". Will likely only work with KDE for now.

commit 1ddac12168f6de33162ddcadfe802c1aa20717e6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 8 18:42:08 2003 +0000

    * modules/misc/dummy/*: new --dummy-save-es option to specify if we want the dummy
    decoder to save the raw codec data to a file. This is disabled by default (while
    it was always on before).
    * src/input/es_out.c: bug fix for ES autoselection.

commit 32639eac5e85a2a57eef7ba3e069041265d9467d
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Mon Dec 8 17:48:13 2003 +0000

    improves OSD sytem
    The last OSD message is now deleted before printing new one.

commit b4160df3cb33fe1143552e6cb19766e455ad1923
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 8 13:04:58 2003 +0000

    * modules/control/hotkeys.c: msvc compilation fix.

commit 9bdee3daeb84ed268941e01b11d77f80f26b23ba
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 8 13:02:40 2003 +0000

    * modules/stream_out/transcode.c: added a floating point "scale" option for video transcoding. When specified, you don't need to specify the width and height of the output video.
     Also changed the width and height options so that if only one of them is specified, the other one is calculated automatically so as to keep the aspect ratio of the video.
    * modules/mux/ogg.c: fixed crash when removing streams.
    * modules/codec/theora.c: for now the theora encoder requires a width and height which are multiple of 16.

commit 52c090f1e93ca147e85ed50d92f7163f4403b372
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 8 11:00:03 2003 +0000

    * Update Brazilian Portugese

commit 79883ab78bb1be22f7a02523bde9c20c011cac94
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 8 06:01:11 2003 +0000

    Marginally better

commit aee5d77c19fb882995993e6de4a482135897a068
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 7 22:23:00 2003 +0000

    * fix livedotcom contrib
    * add libcaca contrib

commit 2439413b957af4c50e79e45b0f697b927a15a777
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 7 22:14:26 2003 +0000

    Towards Philips OGT (SVCD subtitle) handling.

commit 30f42d35f979bcda15faf92ead37e0c2eef30833
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 7 20:48:21 2003 +0000

    * Incorrect default value of align

commit ad4abc65c535f49ca2ec49e6d835237e041d743c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 7 20:47:19 2003 +0000

    * added livedotcom and goom to contrib system
      goom sources currently located on my server.

commit ca802dc808fe019d7a32c7d54d348edd75f2574b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 7 19:09:37 2003 +0000

    All AddText( vout_thread_t *p_vout, char *psz_string, .. ) calls have as second argument char * now, just like the function definition in include/video_output.h. All uses already passed a char * to the AddText() functions.

commit f9a829721a13495537534b010c588c184be53a60
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 7 19:06:21 2003 +0000

    Compilation warning fixes and if-deffed unused functions/variables.

commit bc6298f920a51e394362500c307cdcb16f9a2bbd
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 7 19:01:05 2003 +0000

    Remove unused variable

commit 3d6d0f743aaef2bc7d85381293e3a35470184a4c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 7 19:00:33 2003 +0000

    Fix for iPAQ port.

commit 43e9ac1b1221037bc56627c6ebbadfafb7678027
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 7 18:58:38 2003 +0000

    PDA Interface:
    - some cleanup
    - reinstated automatic lowering of interface when play button was pressed.
    - double click in playlist window play selected items.

commit f52f267ac45531f5c539724cbf63cddfeca49e3c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 7 18:55:59 2003 +0000

    if-deffed a unused variable.

commit 28fe47165a21c6aef594fe6f92e4fe2191397e60
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 7 18:52:40 2003 +0000

    Updating makefiles and package scripts.

commit 17944b67fb2259c30358c6aaa7fca05b30504934
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 7 18:15:46 2003 +0000

    * modules/codec/theora.c: bug fix with aspect ratio.

commit a954058fb25e1ed6077d4cf102d3cdd3eddf7393
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 7 17:53:45 2003 +0000

    * modules/codec/theora.c: encoder now respects the aspect ratio.

commit 6bd0743b41ed47d0161cdfba7f19989d575bf354
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 7 17:17:04 2003 +0000

    * src/input/es_out.c: cosmetic changes.

commit c89488f5f92ec2c58d977ace86e0ca92aa176904
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 7 17:09:33 2003 +0000

    * include/stream_output.h, src/stream_output/stream_output.c: added a SOUT_MUX_CAP_GET_ADD_STREAM_WAIT muxer capability to specify that a muxer prefers to wait all ES before starting muxing.
    * modules/mux/ogg.c: use SOUT_MUX_CAP_GET_ADD_STREAM_WAIT.
    * modules/stream_out/transcode.c: fix for video stream header generation (theora).
    * modules/codec/theora.c: don't overwrite headers.

commit 3e59b60f0686a4a11bb3dca794586b394371cc56
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 7 12:11:13 2003 +0000

    * include/vlc_block_helper.h: small bugfix to block_FindStartcodeFromOffset().
    * modules/packetizer/mpegvideo.c: get aspect ratio for MPEG2 video streams (still needs to be done for MPEG1).
    * modules/codec/libmpeg2.c: use p_dec->fmt_in.video.i_aspect if available.
    * modules/stream_out/transcode.c, modules/codec/ffmpeg/encoder.c: respect aspect ratio during transcoding.

commit e9a76497d976f911de322694f694735925a16331
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Dec 7 01:02:08 2003 +0000

    Marginally better.

commit 59dfb394720537f4f8091f4d80fccd469551210f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 6 23:25:23 2003 +0000

    * include/vlc_block_helper.h: new block_FindStartcodeFromOffset() function.
    * modules/packetizer/mpegvideo.c: rewrote the packetizer to use the block helper functions.

commit dd92e7ef15f65973facead9e7fd876cd3688a3de
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 6 22:58:58 2003 +0000

    Removing last files of previous Familiar interface. Porting to Gtk+2 widget set of this interface is now finished. Policing and improving remains.

commit bb11f00e10c20d4b9c27039e1feb66f89f2af0ce
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 6 22:53:07 2003 +0000

    Always use correct datatypes.

commit 5b4900edd0909de1919f9b45881385e1c27d9133
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 6 22:50:08 2003 +0000

    Fixed compiler waring about signed - unsigned comparision. It is always safer to use the same datatype when comparing values.

commit 25cada61acd8ab9c0b337ec903381cc81c51f523
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 6 22:47:37 2003 +0000

    Updating with info for upcoming Opie interface.

commit 3edb6d7ff3a753573bc32f46c94bc53454d205ef
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 6 22:45:53 2003 +0000

    Added PDA interface.

commit c0abb853f3f23714246abf4862de80705fa08285
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 6 22:45:02 2003 +0000

    Make sure Gtk+2 main module gets build with PDA interface.

commit b5e444eda2ed32ba44ba8fb926bc47510d5f49bd
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 6 22:42:45 2003 +0000

    Updating AUTHORS list for me.

commit 0c6e14df5441f6bc5bf3fbfa4efbd7be453014c6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 6 22:41:40 2003 +0000

    PDA Interface:
    - Fixed last segmentation fault.
    - Slider and time progress updating.
    
    This makes the new PDA interface almost complete. It misses the following items still:
    - preference panel
    - changing postion in stream with slider widget.
    
    The missing items above will move to the next release of VLC. Now testing and package building for iPAQ will begin. I expect to have a package at the end of the week.

commit 8c4be7494eaadf68b05f38db4bfbdbf788d1cddf
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 6 20:00:20 2003 +0000

    * msvc/vlc.dsw: updated the list of plugins.

commit de7ce38b270b06ad65195a21543c22090a7e4874
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sat Dec 6 05:15:54 2003 +0000

    Recognize Philips Overlay Graphics (OGT) and Chaoji VCD (CVD) subtitle
    streams.  Still need to be able to do something with them though.

commit 6e08e54f8cdabaeab81846b3679d053669088867
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 5 14:58:03 2003 +0000

    * modules/codec/libmpeg2.c: fixed a couple of crashes on bad files.

commit 222d4881482eba8445e38bbfb9a702ef1044409d
Author: Cyril Deguet <asmax@videolan.org>
Date:   Fri Dec 5 14:48:46 2003 +0000

    * modules/gui/wxwindows/preferences_widget.cpp: replaced two ( ? : ) by
      if / else to avoid compilation problems when wxwindows is not built
      with unicode support

commit cdc665c9f0baebccff35ba11caa4913ccf12d9da
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 5 09:28:45 2003 +0000

      * Updated current changelog and regenerated previous ones as to include
        changes to removed directories.

commit 21d4c7c7e8743d9849cfcd338496d3a613ab39fa
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 5 05:01:17 2003 +0000

    A little cleanup on wait timing. No bug fixes yet, though.

commit 39a7f7e696685c58885539226344c9c93e24fce5
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 5 04:24:47 2003 +0000

    Slightly better handling of stills and toggling pause by using the
    different threads better.
    
    Still has stream still/to MPEG bug and duplicate video window bug though.
    (And could use lots of cleanup.)

commit 3e50586459c47fc257f0aef7abc1f10994bfa9a5
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 5 02:33:49 2003 +0000

    Remove interface thread. It was a crock anyway -- any good stuff
    should be put into the visualization plugins instead.
    
    Besides, there are bigger crocks that need fixing (like VCD navigation).

commit 8f0ac86b492cbc31b4819a06f38767917bd70691
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 5 02:12:53 2003 +0000

    Okay microseconds, then.

commit 68f05ac2996c6f8720a975896ad5d40b71d0f25e
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 5 01:56:24 2003 +0000

    Fix duration that input_AddInfo uses milliseconds.
    Add some more meta debugging.

commit d77f1ab1d73582d8cc9019b9157189032174ca6a
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Dec 5 01:52:11 2003 +0000

    Spelling.

commit d9c981cfbd94d00c9507f857f30b35c51a7c47c8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 5 00:03:54 2003 +0000

    * modules/stream_out/transcode.c: proper order for downmixed channels.

commit b4b9f7722eb65e8e125f43ce371cbca4a9836e74
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 4 23:15:01 2003 +0000

    * modules/codec/ffmpeg/encoder.c, modules/codec/speex.c: fixed stupid bug in audio encoding.

commit 3a276630e9df5543497f5466c7cbf3919ede3ef4
Author: Anil Daoud <anil@videolan.org>
Date:   Thu Dec 4 22:48:18 2003 +0000

    regenerated from a clean tree

commit 8c40a0d259317b42d6a5a2493cfb4299552645f5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 4 22:37:02 2003 +0000

    * modules/codec/flac.c: several fixes to the flac decoder and encoder.
    * modules/mux/ogg.c: fixed flac in ogg.
    * modules/demux/ogg.c: fix for flac seeking.

commit e852a093a5b341affa563348882bf7b0f52a8265
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 4 18:26:53 2003 +0000

    * modules/gui/wxwindows/playlist.cpp: unicode fix.

commit c150ca771670403e1c80efb12086d9d1671f176c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 4 18:13:28 2003 +0000

    * modules/demux/livedotcom.cpp: compilation fix.

commit e304db6b4223cf58800f401e06712690389dd82d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 4 17:15:59 2003 +0000

    * ALL: another bunch of MSVC compilation fixes.

commit 3d6ee48d4aacb1fbd5c2741b7b319a62a47009d9
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 4 16:49:45 2003 +0000

      * modules/misc/dummy/renderer.c:
        + Removed evil ^Ms from the file.
      * modules/video_output/caca.c:
        + Support for new dithering modes (libcaca HEAD only).
      * modules/* src/*:
        + Grammar and spelling fixes.
        + Coding style fixes.
      * po/fr.po:
        + Spelling fixes.
        + Updated a few translations.
      * po/en_GB.po:
        + Updated a few translations.

commit d1c0b83659a46e172178cb59efc5aad3ae201e89
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 4 16:02:54 2003 +0000

      * include/vlc_common.h:
        + Introduced intptr_t and uintptr_t.
      * Fixed compilation warnings here and there.

commit caa12e0ad041e1f315aef80881ad395e4754b3c9
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 4 15:54:58 2003 +0000

      * configure.ac: Fixed an old bug that caused vlc-config to be sometimes
        not set executable when regenerated.

commit 28fb55bc2e1b6697ad058e7a71a1355d9d1a6bee
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 4 14:48:24 2003 +0000

    * modules/video_output/wingdi.c: fixed gdi output for 24 and 32 bits color depth.

commit 0d90e5238d42bf1f8e51f99cce6c7688db7def58
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 4 12:33:43 2003 +0000

    * toolbox: use the "Output_Dir" property when generating the msvc project files so we don't end-up with name conflicts when compiling.
    * msvc/config.h.in, modules/access_output/file.c: MSVC fixes.
    * modules/video_chroma/i420_rgb.c: don't use our RV24 conversion routine on win32 because it assumes 32 bits per pixel.

commit c3638c4d8731baea8d505925a41c760afb13ade6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 4 10:25:47 2003 +0000

    * modules/gui/*: use MSTRTIME_MAX_SIZE instead of OFFSETTOTIME_MAX_SIZE.

commit 5383df0c18d9dbfc2d12270a2eb04b8fb676c51e
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Dec 4 05:14:39 2003 +0000

    Guard against invalid p_vcd in dbg_print.

commit c2251f25cb8fd59a3969aab2a0a8bd00ae67c820
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Dec 3 23:01:48 2003 +0000

    all:
     * doxygenated parts of the messages system

commit 8cedcb3c144c46ded2c78daef52165e307dba2ba
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Dec 3 22:14:38 2003 +0000

    src/input/input.c:
     * fill in the duration field of the playlist item when starting playback of
       a file, if the demuxer supports it.

commit ddc23167f9c568a0d00f09b5fa6d9426386f7ea6
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Dec 3 21:58:43 2003 +0000

    all:
     * in vlc, times are stored in microseconds. playlist_item_t::i_duration
       shouldn't be an exception
    modules/gui/wxwindows/playlist.cpp:
     * fixed indentation

commit 3291e504791826d1de3fb345dcf33f23d3c6dfa1
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 3 21:55:33 2003 +0000

    Make more like the French translation which is more correct. :-\

commit a04423daf678b33f451c5d24d7129d95957e4318
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Dec 3 21:50:50 2003 +0000

    src/misc/mtime.c:
     * Coding style fixes
     * Comment cleanups
     * Doxygenization
    include/vlc_common.h:
     * doxygenized the comments for mtime_t and vlc_fourcc_t

commit e5304bfd52610efaba25f3ab3b69c6ce2c8c5034
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 3 20:47:06 2003 +0000

    Syncing with current CVS.

commit 510d2fa91161dfa26b50a15e757b32a8087d8f6f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 3 15:46:25 2003 +0000

    Update of the french localization file

commit b49a2b2713e4239b8af6c1998348ced73e8d1042
Author: Anil Daoud <anil@videolan.org>
Date:   Wed Dec 3 13:52:36 2003 +0000

    compilation fix

commit f6a441c64e699538a6ee3d97d7c993958343e7bb
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 3 13:49:12 2003 +0000

    Fixed-width 2-column track number. Should help in sorting titles.

commit afd3be739db07f67abdc33c78702cadb78080cdc
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 3 13:41:49 2003 +0000

    Update date. Remove boilerplate includes that I think are (or should
    be) pulled in from one of the other includes.

commit aa733478aa5441828d66fbc87e2ff88452a09e18
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 3 13:35:19 2003 +0000

    Reinstate Duration column - perhaps it's time to get more plugins
    using it.

commit cb2ce817d26c20b5bf640199e43ae969cc621503
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 3 13:27:51 2003 +0000

    Add more uses of msecstotimestr. Remove OFFSETTOTIME_MAX_SIZE -
    Use MSTRTIME_MAX_SIZE instead.

commit 2ded9ac05465d5a5451831170aaac1e8a58402fd
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 3 12:33:21 2003 +0000

      include/vlc_help.h: Grammar and spelling fixes.

commit cbfcd33c44a11e770c201292849e4099f531c742
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 3 12:19:55 2003 +0000

     * increase priority (the wrapper from ffmpeg is buggy).

commit f359c8f7708032ab6a42a98cd034d7d94f4fe2b3
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 3 04:19:59 2003 +0000

    Fix bug in not updating playlist when hitting next/previous control
    buttons (and simplify code at the same time).

commit b642af72e2186475ce9a1458ddf2983cf979e82e
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 3 00:27:52 2003 +0000

    Add a few more fields in the stream info.

commit 31f7c3eec30cfef58053729064cfc03755fbb3af
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Dec 3 00:24:16 2003 +0000

    "File Info" renamed "Stream/Media Info"

commit 31c56597d690906cf022bc12c0f7f582016ed516
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 2 23:03:31 2003 +0000

    * modules/access/dshow/*: PVR support contributed by Marc Nolette.
       I took the liberty to modify a few things so it might currently be broken (sorry Marc).
    * THANKS: added Marc Nolette.

commit cf4cf631ced6f0056e361e660fd70d58fb45de42
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 2 18:47:05 2003 +0000

    * msvc/config.h.in: cleaned-up and updated.

commit 45df088c7f67eeb2f87fc101ada58748ec3b7934
Author: Jason Luka <geshp@videolan.org>
Date:   Tue Dec 2 16:01:19 2003 +0000

    - Added fribidi support
    - Added configure-line options for mkv and fribidi

commit 0e3c53efc37748efd485bb22f0437452205c8a5d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 2 13:31:23 2003 +0000

    * ALL: more MSVC compilation fixes.
    * msvc/vlc.dsw: removed non-existant plugins.

commit 97d84d1a47e7bec5ed5f05cdfa500da5101861ce
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 2 12:57:36 2003 +0000

    ALL: MSVC compilation fixes to libvlc.

commit 6e4faeb011fdc4ebfd23693345a7e9586e6b34ec
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 2 10:55:21 2003 +0000

    * modules/demux/mp4/mp4.c: find out aspect ratio from display size.
    * modules/codec/ffmpeg/video.c: respect aspect ratio given by demux if any.

commit 9664570ffcd724ae541fc18fbad46fd500dd2a02
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Dec 2 04:22:10 2003 +0000

    Populate VCD info in "File Info" window.

commit eb0d7a848ee418bf64b8f7df17782cf6cffaf04c
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Dec 2 04:16:21 2003 +0000

    Change some printf's to debugging-only output.

commit a0fdcb13f506537c6dae26655ea0f6c7befad37d
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Dec 2 03:33:22 2003 +0000

    Separate title format string into cases where CDDB is enabled and where
    it is is not. Now have callback for CDDB enabled boolean.

commit 6da08521b20cf48028bfdef07438577f7cf11272
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Dec 2 01:54:30 2003 +0000

    Add secstotimestr and msecstotimestr to convert (milli)seconds to a
    time string.

commit 59173c65552ee499e502e4961215e85526e483ff
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 1 23:39:11 2003 +0000

    * ALL: fixed DTS audio support.
    * modules/demux/dts.c: added raw DTS audio demuxer.

commit 2202af209fbd40847dfce15abaa6f1aedfe9e2c6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 1 09:39:04 2003 +0000

     * video: display "more than 5 seconds of late video..." only once.

commit feaa663924dc9357fa6db9712dd5285d68b3fb05
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 1 04:07:23 2003 +0000

    Make sure we distribute the CD-DA plugin info.

commit 16416a005683cf1e00a5285f87e201565ae53705
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 1 04:05:42 2003 +0000

    Add a copyright.

commit 2fbb3ce9b27089f955e6f0f5a9ad068e467c3e29
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 1 04:05:29 2003 +0000

    Add more verbiage.

commit ff02d1a615f495593f2751d4b159469a01c80870
Author: Jason Luka <geshp@videolan.org>
Date:   Mon Dec 1 04:04:47 2003 +0000

    - Updated matroska/ebml fix
    - Updated mozilla plugin fix

commit e998e3d53793d34481a3e56df3aa30919b1d085c
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 1 03:57:10 2003 +0000

    Some basic CDDA plugin documentation.

commit 98d9959bac19fad885d011d3728b0eea65354c1c
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 1 03:37:23 2003 +0000

    Another typo.

commit be7869a0c7d5cdb55cae5580ff797003e8725eb6
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 1 03:34:30 2003 +0000

    Bugs in calculating duration. Thanks Sigmund for fixing the GTK+
    interface!
    
    Some doc improvements. CDDARead: Let playlist now cycle through
    entries rather than intercept.

commit 92566ba15bde2b7ec818035dc537a6756f912b0c
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Dec 1 01:08:42 2003 +0000

    Add CDDB CD Info in File Info section (via input_AddInfo and
    input_InfoCategory.

commit 9ac4974df9c83c5feaffdcb58b0b5fe26118fce7
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 30 23:19:13 2003 +0000

    PDA Interface:
    - Coding Style
    - Added SAP/SLP to transcode tabpage
    - Reworking transcoding options for playlist

commit 1fd2264c6d76a3567e46124a5d32f71ba69eb006
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 30 23:07:23 2003 +0000

    Forgot to add demux.c here.

commit c2751e7cf6cc8181f9d81a40b4b84222d4b3b682
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 30 22:59:10 2003 +0000

    * modules/packetizer/mpeg4video.c: oops

commit 690e5e08f6d0891407721403d5969ad198c8b63a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 30 22:47:55 2003 +0000

    * include/input_ext-plugins.h: export input_DecodeBlock().
    * modules/stream_out/display.c: simplifications.
    * modules/stream_out/transcode.c: memset of sout_stream_sys_t.
    * modules/packetizer/mpeg4video.c: not all containers provide a pts info, in which case we use the dts.

commit e41c90dd669fd27702c195e598bb1a579461800f
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 30 22:26:49 2003 +0000

    Customizable playlist title.

commit 7614ebe643b599e22796df602f9c4e3993b05706
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 30 22:14:39 2003 +0000

     * all: added dx50 fourcc (just mpeg4 video).

commit fb1651c676bd339729c3664011a9d80f200af4cf
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 30 21:21:20 2003 +0000

    PDA Interface:
    - Fixed resource leak with playlists
    - VLC coding style cleanup
    - Rework v4l and stream out interface code to use  VLC playlists as it should be used.
    - Remove dead wood

commit 03b32e8e0c826ef7883a61354b1acdcce17008d7
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Nov 30 19:42:52 2003 +0000

    modules/gui/gtk/playlist.c:
     * show duration in playlist window if available

commit 78ba4b7ee5a5277fa27d4be502bd93c8b4e2047b
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 30 18:14:20 2003 +0000

    Add CD-DA CDDB support via libcddb.

commit f54c0f614d8bfc8399e96151b958b48a8a8719f3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 30 18:10:04 2003 +0000

    * share/http/admin/browse.html: hmmm, the browse feature was reenabled by mistake.

commit aa2a22d86ed27c6f3b6e598b9f54920ebb16dc1f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 30 17:29:56 2003 +0000

     * es_out: implement ES_OUT_SET_PCR and reset but don't use them !
     * demux: added demux2_New/Delete.

commit d4215f4f176a818bc3ce3f685c6f9613e5a531f9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 30 17:29:03 2003 +0000

     * all: added demux_t structure and some demux2_* functions.
     Anyway, don't use them for now.

commit 26eae60c2bff75978b3b01001bb9af94429af115
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 30 16:00:24 2003 +0000

     *all: added a --minimize-thread options to make all decoders and
           packetizers running in the input thread. (Usefull with sout)

commit a732f64a13ccd9eb4828aae43ed370a503ae5dc5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 30 14:49:23 2003 +0000

     * ninput: added 2 ES_OUT* command (do nothing for now)

commit 22b189b0a9f44cd272b658818af3542a4c865815
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 30 14:28:07 2003 +0000

     * all: added a TCP access input module.

commit 4bc5a5f37154feda5740af0a90d86633fb9e17d3
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 30 13:53:45 2003 +0000

    Go over options: Add hooks for internationalization, some typos,
    display some of these even when not "advanced"

commit d96dc743e794e24b29067e96409fea89af481676
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 30 11:22:29 2003 +0000

    PDA Interface:
    - Removing obsolete files.
    - Remove debug messages.

commit 324bfec1f7accd491d4dfa79ee758550a26213de
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 30 11:19:37 2003 +0000

    Bumped up version number to 0.7.0

commit 4f29f4f8573c30f73d163d1820da39e2752d307c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 30 10:26:19 2003 +0000

    PDA Interface:
    - Updating, removing and clearing playlist works.

commit 74fba753727fc079790001624c404d81b1c8c313
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 30 02:41:00 2003 +0000

    Break out demux into its own thing.

commit 2613ac41083a536ea6347fa195f72a5194345488
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Nov 29 18:36:13 2003 +0000

    * input: new cr-average option, allowing to configure the
      CR_AVERAGE #define in input_clock.c (useful for PVR input)
    * modules/codec/ffmpeg/encoder.c, modules/stream_out/transcode.c : fixes
      for older version of ffmpeg
    * modules/stream_out/transrate/transrate.c : misc optimizations

commit 55bb1c7a8cc84425a980aea54930087934f8461a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 18:06:12 2003 +0000

     * all: - increased avcodec version needed to 4680 (latest release)
            - open the codec after that p_context has been fully initialisated.
            (fix ASV1)

commit 849e41bada7a511105bc77805eed3899dacafc68
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 17:14:39 2003 +0000

     * mp4: another fix for another buggy file.

commit d7e221563b493ca29c3b0e844ac3fc7d35813c18
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 29 16:36:56 2003 +0000

    * modules/gui/wxwindows/menus.cpp: moved audio/video track menu to the top.

commit bc3c81e28118abbddd49e8cd407a9675af0729d8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 29 16:29:24 2003 +0000

    * modules/access/cdda.c: removed double ';'

commit 9ad37e4ea2055e81a830ba790b3411bb4a686f29
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 29 13:39:43 2003 +0000

    * modules/gui/wxwindows/*: got rid of the Misc menu and moved everything in the Settings one.

commit bf61fa48f6f8fa2a1ec3bd2e78796678eb85db4f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 13:12:11 2003 +0000

     * all: - fixed non I420 input
            - added raw output support.(in a pure hack way but allow
            transcode{vcodec=I420} )

commit e16a703cc6cdf090e413c7b3f3a93107a3aeadee
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 12:03:08 2003 +0000

     * encoder: added a memset.

commit 27c49515536085399eb057d633203797dcd4d1b9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 29 11:12:46 2003 +0000

     * all: better handling of multiple (video) tracks.
        - now vout are checked for release every 300ms
        - when *-es are triggered, all same es are unselect not only the
        last selected. (more intuitive) The only problems are that it's not
        possible to select again all ES, and the checkbox can show only one
        selected ES.

commit 80d6bfb22ee78e877b9e02b0f1ca76ee1b21a7a4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 29 00:41:35 2003 +0000

    * modules/codec/ffmpeg/encoder.c: fixed compilation problem with ffmpeg 0.4.8

commit 1f239513e66b664e19126c14b1216fea469e3bf7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 28 23:40:09 2003 +0000

    * modules/codec/ffmpeg/*: fixed the code to disable cpu features.

commit 93187b326413da326c2f8da92a25240e825ec364
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 22:23:04 2003 +0000

     * mkv: fixed a buffer overflow.

commit 5fee9b1b38b81686019976693c668f101e33c3ba
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 28 22:16:30 2003 +0000

    * modules/misc/dummy/input.c: use p_input->psz_demux = "vlc,none" to force the demux.

commit 50476b831ac673b0caa9901a7bde6a31435c1317
Author: Jason Luka <geshp@videolan.org>
Date:   Fri Nov 28 18:19:57 2003 +0000

    - Update to 0.7.0-test1
    - Updated version numbers on dependancies
    - Removed ALSA support until RH/FC turns to kernel 2.6
    - Added --enable-speex and --enable-pp
    - Mozilla plugin now built for 1.4.1
    - Currently broken (Matroska/EBML problems)

commit 3bf459f3109e87a01b833300f537f0e1d6a44315
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 28 17:30:31 2003 +0000

    * Fix text subtitles which were missing their last char since the API port.
    * Track Name is now stored in fmt.psz_description

commit a366f66cf412169f049ea120d05258e0fbfbdeb9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 17:04:31 2003 +0000

     * input: avoid double free/release when InitStream fail.

commit 47a1f97ee3d3a3753f59e9f55153af16cab98f92
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 16:09:07 2003 +0000

     * ffmpeg: added h264 codec.

commit 9bb05f5e2be6363d2726093864eae89f32ec484b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 16:06:56 2003 +0000

     * input_dec: does pass empty block to the decoder.

commit 8bd5cebc722037386b608ca450ec484e7047ec32
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 28 13:24:52 2003 +0000

     * avi: fix end of file...

commit d24c6d1a89d418e81157ffb748618fc54d527462
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Nov 28 10:36:58 2003 +0000

    Forgot that yesterday...

commit 698fe2a987c57710be913bb78779252d6bcf9654
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 27 22:44:51 2003 +0000

    * modules/stream_out/transcode.c: new options
       - strict_rc : strict rate control mode for CBR streams
       - pre_me : add a pre-motion estimation pass
       - hurry_up : allow to discard the hq mode in real-time if we're late
    * modules/mux/mpeg/ts.c: useful debug messages
    * modules/packetizer/mpegvideo.c: useless debug message

commit 02ddcc7d47749ff0dbca4441a6b0e1c212b3a498
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 27 21:24:57 2003 +0000

     * item: lalalala... (remove a debug change -> psz_auther set to "Arg")

commit 2226791315f6cd235b7c84b4cd23e1a63882ad65
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 27 20:51:31 2003 +0000

     * faad: drop packets with b_discontinuity set.

commit 7de8c209db67eb84b51802708c91792b44a7169a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 27 20:50:48 2003 +0000

     * mp4: ported to stream_*

commit 646f7beb332351fbc634fc828a64844a9132477c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 27 19:39:53 2003 +0000

    copy: set pts to dts if pts <= 0. (Needed to make div3 streaming working
     again)
    ts: use one stream_id for mpeg video (and one for mpeg audio).

commit ee6c4f54ffd6e90c7deb6789d770523f058840ff
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 27 12:32:51 2003 +0000

     * mp4: converted to es_out* and partialy to stream_*

commit c299138fd9323261466a5d05dfd3fc2cb7f0a806
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 27 12:32:03 2003 +0000

     * all: drop block(s) with b_discontinuity set.

commit e5c71f3f7ddba6518ef00ec8d52b7f7f28a35bcc
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 27 12:22:15 2003 +0000

     * bug fixes.

commit cb16ed216388d88b46e44aa38cd2ac892d0a075e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 27 10:34:51 2003 +0000

    * modules/stream_out/transcode.c: don't crash when the user specifies a acodec/vcodec with more the 4 characters in length.
    * modules/gui/wxwindows/streamout.cpp: grrr, thought I add committed this stuff.

commit 6a35747e845bc97265955876a60dc640a15fbf09
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 27 10:13:11 2003 +0000

    * hu.po was missing here.

commit e00c88e8b942b788a6fd1712a29fe533a85ac74d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 27 10:06:13 2003 +0000

    * updated translation

commit ef0ccf79841826e266ae763861d897e8cecc5330
Author: Mohammed Adnène Trojette <adn@videolan.org>
Date:   Thu Nov 27 06:37:11 2003 +0000

    * Fixes for MRL Updates
    * SetToolTips

commit be8812aeb5c08a9d823586f2f4bfc34de376adaa
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 27 05:46:01 2003 +0000

     * all: added an sout-all option to stream all es (does work only with
     demuxer using es_out_* ie everyone but TS and PS).

commit f67a6d79bfacccf0086d102fa51b599663bbc77d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 27 05:41:19 2003 +0000

     * livedotcom.cpp: added call to input_InitStream.

commit 46e872e431f01dcdd98c018553574fbee8a7ca8b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 27 04:11:40 2003 +0000

     * all: implement more es_out_* control, audio-channel and spu-channel are
     implemented.

commit fc1221c11bfd3b4b3c66f823d9fbf43c475e35a3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 27 00:57:12 2003 +0000

    * mozilla/Makefile.am: don't forget mozilla/npvlc_rc.rc in make dist.

commit decbe365f9e4772429e14f5a794bf2287d53b256
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Nov 27 00:05:51 2003 +0000

      * toolbox: more cvs2cl fixes.
      * ChangeLog: updated changelog.

commit b2192adfa59e11f52f3cf6b823dc7d0de59f1815
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 26 23:32:07 2003 +0000

      * toolbox: Attempt to fix a strange cvs2cl behaviour.

commit 63bed47c188e3864598eed6bfab0855dc9420974
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 26 23:14:01 2003 +0000

    * po/*: update for 0.7.0-test1.

commit 6d0acab61d719797ada7b521dc11e70e24046c91
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 26 22:56:04 2003 +0000

    * modules/stream_out/display.c: fixed timestamp generation.

commit 204169641b642296bfb93b0b28c7fbbd19a80e4b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 26 22:18:29 2003 +0000

    * modules/codec/ffmpeg/chroma.c: oops.

commit ed9247b29773cdc2973610fa0341f97f9ea5dfb5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 26 22:12:48 2003 +0000

    * modules/codec/ffmpeg/*: fixed small memleak in chroma plugin.
       Added back missing bitrate setting for video encoding.

commit cee266c93de99861faaaf353a95b08bde7571016
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 26 22:00:56 2003 +0000

    * modules/access/v4l/v4l.c: fixed small mem leak.

commit 25d4e55f8f7cdbfe2205d7bdebf0c05bbf926bc6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 26 21:54:00 2003 +0000

    * modules/access/dshow/dshow.cpp: small change to default chroma selection.

commit 97f52890be346167787e0648dd7e2974d687cc06
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 26 20:44:38 2003 +0000

     * system: change some msg_Err to msg_Warn.

commit f78aa8ea253afd8f610f482380d5c9de3e74dd4f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 26 18:48:24 2003 +0000

    * src/input/input.c: fixed a whole load of mem leaks when the input is closed before the initialisation is complete (inexistant input, etc...).

commit 071841ed39bee70467654db34e3c77548340a53e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 26 13:59:16 2003 +0000

    * modules/codec/ffmpeg/encoder.c: bframes are supported for mp1v and mp2v as well as mpgv.

commit 37c3eadcd507bc123f74379fcc28035691436b4b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 26 10:45:21 2003 +0000

    * Merged sort functions
    * Added a randomize playlist function

commit 380edbae4061b349232364c7d7989c4ef8e8931f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 26 08:18:09 2003 +0000

    * ALL: fixed memory leaks.
    * modules/demux/mp4/libmp4.c: fixed parsing of the "wave" tag (I'm sure there's a better fix but this one works).
    * modules/demux/ogg.c: another seeking fix (We also need to flush the per stream buffer with ogg_stream_reset()).

commit 695943b9f6d103e9540353dfdb9c5ebfcba4d50b
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Nov 26 03:40:31 2003 +0000

    Remove unused code accidentially duplicated in split.

commit c2323552a23efcebbd28a1432279a1263b88b522
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Nov 26 03:35:26 2003 +0000

    Split out cdda to facilitate later changes.

commit 11337d43d80d34bfe7544ac8de4deb1a3f9025eb
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Nov 26 03:34:22 2003 +0000

    Guard against including twice.

commit 5b96a625f3cfe77751dcd8be32952175208718dd
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Nov 26 02:41:02 2003 +0000

    Leftover comment.

commit bf2c675db6e81f3ea1b8bb079049d99f62eda290
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Nov 26 02:00:41 2003 +0000

    cddax has moved.

commit 6a99be21c9b008fecfd8a7d173db5c0dcda18210
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Nov 26 01:45:03 2003 +0000

    And 'nother name.

commit 451fbf1f6e4878285c56fa14b7447ffc2df35324
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Nov 26 01:40:16 2003 +0000

    One more name...

commit 092eac7a915197da0b6d1e6fcdd10396de9d28e2
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Nov 26 01:32:54 2003 +0000

    Move libcdio CD-DA plugin into its own directory before the big split up.

commit f9ce508b392dbe132b6b45e0d530f8ae79db1a25
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Nov 26 01:28:52 2003 +0000

    Minor name-change tidying up.

commit fe2a8730463e46502e19e3a984a12fb68976eacd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 25 21:21:36 2003 +0000

    * modules/audio_output/coreaudio.c:
      - Many of the error streams were identical. This isn't helping debugging.

commit 92bbd4ea05497e69e59d65edbb43e17ebc1d5109
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Nov 25 20:41:35 2003 +0000

    PDA Interface:
    - Fixed a p_playlist refcount problem
    - Clearing VLC playlist and Playlist widget.

commit 66a795307428bba16b5affc8eedf24aa775c1492
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Nov 25 20:01:08 2003 +0000

    PDA Interface:
    - Fix segfault when adding one file to the playlist widget from the fileview widget.
    - Cleanup of code.

commit 407540bff540e20ea459582590563ea275ff130c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 25 19:59:04 2003 +0000

    * modules/access/satellite/access.c: do not use p_es->i_demux_fd ; fixed
      demux filters leak (particularly harmful on the Dreambox) ; correctly
      handle PAT and PMT changes.

commit e4345c822561aa4f82e28eb5f70b38be813fc562
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 25 12:35:15 2003 +0000

      * src/misc/modules.c: Allow for premature Ctrl-C escapes even while VLC
        is loading its plugins.

commit 0863ba24dc82bc00214d3ec9357f16c8209c126f
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Nov 25 03:55:12 2003 +0000

    Forgot to delete keypress callback.

commit a09257808967bb49001a0dd114edcb88f859ba75
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Tue Nov 25 03:54:33 2003 +0000

    Plugin now tested ;-) Add missing prototypes.
    
    Remove unused Mouse event handling. Forgot to delete keypress callback.

commit aac4de4eca4c46aae705774a9593c9dcff4d4c25
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 25 00:58:41 2003 +0000

    * modules/gui/wxwindows/*: fixed a couple of memory leaks.

commit 4ae90d8f5d81a8d7fe035e8779bb2e054ebb6a86
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 25 00:56:35 2003 +0000

     * all: fixed a lot of small memory leaks.

commit 89fd537f7dbd6775d9fd3b6295e4a3bf1a61bbf7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 24 23:22:01 2003 +0000

    * src/input/input_dec.c, include/vlc_codec.h: added 2 callbacks in the decoder_t structure for pictures linking/unlinking.
    * modules/codec/libmpeg2.c: restored pictures linking/unlinking code.
    * modules/codec/ffmpeg/video.c: idem and reenabled direct rendering even when the hurry-up mode is activated as it doesn't seem to create a problem anymore with recent ffmpeg.

commit f4d5ed752021a45241c180d685dcfd89b2981440
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 24 21:47:33 2003 +0000

    * src/audio_output/mixer.c: fixed timestamp rounding problem.

commit 3adaad543eb620331e536d72eeefb4e8b1b745d1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 20:50:45 2003 +0000

     * moved EsOut* to es_out.c and introduced internal input_EsOutNew and
     input_EsOutDelete.

commit 7747309f53ad270320aa603ca2b1674a5d12e73a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 24 20:45:23 2003 +0000

    * modules/access/dshow/*: compilation fixes.
    * include/vlc_common.h: added a couple of casts to TAB_APPEND().

commit 29920e214984d6044575074d67d0ad98309c4e90
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 19:30:54 2003 +0000

     * dshow: ported to es_out_* and stream_*. Not tested (sorry).

commit df0c60d6cb2f68288ec40ac734c3373866606e94
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 24 19:27:46 2003 +0000

    * modules/access/v4l/v4l.c: small fix and added a --v4l-chroma option to force a chroma fourcc for the video device.

commit c43321236da5b5c17ab095a1ec8e6885abececae
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 24 19:20:19 2003 +0000

    * src/input/input.c: oops, set the ES format before selecting it.

commit 3106fa79d2118784c839a644a493e605546b4f98
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 19:19:02 2003 +0000

     * rawdv.c: ported to es_out_* and stream_*.

commit 40200aae2bf70021306d307461df24ed4ca6d3e3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 24 18:00:10 2003 +0000

    * configure.ac, extras/MacOSX/*: bumped version number to 0.7.0-test1 in preparation for the test release.

commit 907645f87a0743a83c1e59c1c82f17f7f7e90a14
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 17:34:21 2003 +0000

     * m4v: ported to es_out*, stream_*  and use the mp4v packetizer. Anyway
     dts are  still calculated for  a 25fps stream. (The  packetizer doesn't
     calulate pts/dts for now).

commit b4a99b59e309e3816e15df79030d003fcd68bd9f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 17:11:23 2003 +0000

     * cddax: ported to es_out_* and stream_*. Not tested (sorry).

commit 45e9db1f8019d4cd8f2d623570dbfaa6f8ad41a3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 16:45:53 2003 +0000

     * v4l: ported to stream_* and es_out_*. Not tested !

commit 98d646edf12f08df39c38fb6cb983377bda41600
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 24 13:40:03 2003 +0000

    * modules/gui/wxwindows/menus.cpp: small fix.
    * modules/codec/quicktime.c: compilation fix on win32.
    * modules/demux/avi/avi.c: small hack to avoid eating all the resources on broken files.

commit ce6550efdcb9daf33a7027897878f37eb4015be8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 12:44:24 2003 +0000

     * cdda: ported to es_out*.

commit 26df56c229d8a98a6488e54d6fe70632ba8c95c1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 03:30:38 2003 +0000

     * all: do not export input_NullPacket
     * input_dec.c: fixed a (big) memory leak.

commit 58cd81bfb076f2ee2bafe4ed6b78ea072c1bed42
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Nov 24 03:30:36 2003 +0000

    Minor debug output change.

commit 54c8b4cc03ab2c95fd59f68042425d97020e0b25
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Nov 24 03:28:27 2003 +0000

    Add keyboard input handling, e.g. if visualization plugin. Needs some
    more work, but it's a start.

commit a71b75aea2c469ce6390e67f9cc4e2ab60024ca2
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Nov 24 03:27:28 2003 +0000

    Change debug output slightly to make more informative and to assist
    in determining which selecting ES we might be at.

commit 0981604c0e13a9856cb3e0dea6a0ffd19fa635b6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 02:35:50 2003 +0000

     * all: ported/cleaned up/renabled dvb subtitle decoder. But it is untested.
     (I have no sample at all)

commit 5bab317bca09e2e3c5db3be8442067ac24f2dfe3
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Nov 24 00:41:19 2003 +0000

    Set cdio log routine.

commit 4d50b304c5d926371d8800af3fd6d4707613bd9e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 00:40:36 2003 +0000

     * input_ext-dec.c: useless file.

commit f2dbf8ee26c0f7bc766094443ef848ed4719e36e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 24 00:36:37 2003 +0000

    * install-win32: added a registry entry for the mozilla plugin (the xpt file still needs to be registered by hand though).

commit 3439df81011c06ba3c10b6aaf649732298f94622
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 24 00:39:02 2003 +0000

     * all: removed decoder_fifo_t.

commit 057d2ab9db7bfbc6fe8bfb29480098d22b4061fc
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Nov 24 00:23:55 2003 +0000

    Add intf-vcd.txt to distribution and installed documentation.

commit b3674200977cedfa1b9477ecccb07da723649eae
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 24 00:01:42 2003 +0000

    * modules/codec/ffmpeg/postprocess.c: fixed uninitialized variable.
    * modules/mux/ogg.c: allow embedding mpeg1/2 video (only vlc will play back these files).

commit 07afa46c5375f17b8581b994a0a89026d5716ee7
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 23 22:29:27 2003 +0000

    Use snprintf instead of sprintf

commit 20da59b56469323dc7493860eab104f3c5fb7280
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 23 22:18:08 2003 +0000

    * Compile before you commit was our slogan right?

commit 5669a2c5e382a899c53ed2b712aac20f3c8f1ea5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 23 20:37:04 2003 +0000

    * modules/gui/wxwindows/*: added new codecs for stream output.
       Added ffmpeg postproc to menus.
    * modules/codec/ffmpeg/*: allow switching postproc filters on the fly.

commit 38d4a3f777385eeaa11bd4a4bb5b2f7f18dce53a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 18:40:09 2003 +0000

     * all: disabled dv, xvid, dvbsub (they won't compile anymore really soon).

commit 5a6c9e6c0fa7661853400967050b39c906cc02f2
Author: Alexis de Lattre <alexis@videolan.org>
Date:   Sun Nov 23 18:31:55 2003 +0000

    - Updated French translation (still a lot of work to do...)
    - Modified some strings in VLC source code
    - ran ./toolbox --update-po

commit fbd2afa09cdf2688fceb15606583efa4515fef86
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 23 18:24:38 2003 +0000

    Next/previous/return navigation bugs - not setting item type.

commit 2db5679b7f11b1675fe2f904cce73303fa86739f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 23 18:21:48 2003 +0000

    * src/input/input_dec.c: set p_dec->b_error when we can't create the output.

commit 22d48a5cc11b9506a8b88e1c880f64bb40e21037
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 23 18:16:45 2003 +0000

    * modules/control/http.c: cough cough

commit 07004fb9b7d06f34c9a33da8ef70f6904c99f9d3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 23 17:51:54 2003 +0000

    * modules/gui/wxwindows/*: small cleanup.

commit 6d46c2a110b24aa047e9e8be788b8784b4dc3858
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 23 17:46:06 2003 +0000

    * modules/control/http.c: fixed segfault when deleting items and prevent adding empty items.

commit fd6e137a617824a0f1944620d8720c8db39226a3
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 23 17:18:00 2003 +0000

    Update/correct debug flag documentation.

commit 6378fd38a8de472e186f98f6f92bf7c507c26f82
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 23 17:06:43 2003 +0000

    Some basic help for the VCD plugin.

commit a4c533fe4c5998461a61f50daa0eeccc0660cee9
Author: Simon Latapie <garf@videolan.org>
Date:   Sun Nov 23 16:27:54 2003 +0000

     * index.html: oops (forgot refresh cludge)

commit 32ed571bf3bd17fc99c8d2c3c4234a72de069946
Author: Simon Latapie <garf@videolan.org>
Date:   Sun Nov 23 16:24:20 2003 +0000

     * src/playlist/item.c : stops the playlist if we delete the currently
       played item
     * doc/intf-http.txt : adding "pl.group"
     * share/http/index.html : little cosmetic change (better according to
       gibalou).

commit 11aaa3f7ef4fb312bb08438f42e9e998b185738e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 23 16:02:56 2003 +0000

    * NEWS : added a few missing things
    * AUTHORS: updated sam's, sigmund's, garf's, gibalou's and fenrir's records

commit f228aee3eb3a526233006e3d8e866d7d87e38c04
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 23 15:50:07 2003 +0000

    * modules/codec/speex.c: support for speex encoding.
    * modules/codec/vorbis.c: removed unused code.

commit 3fd71df7976762ab2a35633bde14ca54bf69eb26
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Nov 23 14:49:51 2003 +0000

    grmbl again

commit 8a55f6f405697f14d0404925174c5fc93fdf3273
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 23 14:34:19 2003 +0000

    Add configuration options to set default device. For VCD's add
    configuration option to specify whether or not to use PBC.

commit 2b015a6e5764db6d2f30b2cce37849eee8488aba
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 23 14:28:15 2003 +0000

    * NEWS: updated with new stuff.

commit 2dd7a46bd36fe17657f8e4098896cbaffa590dc5
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Nov 23 14:00:25 2003 +0000

    Bug fix for *.a libraries.

commit 990d95c859f5bbd5b848d0b94d09f9a27bf0678a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 23 13:25:32 2003 +0000

    * modules/codec/quicktime.c, modules/codec/cinepak.c: use pts if available, otherwise use dts.

commit 86747ddc49b9db122e0c2227558e5448cecc6447
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Nov 23 13:23:20 2003 +0000

    Fixed bugs.

commit 9c374559aeb922fd6531a6ad6e29d44fa471f22f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 23 13:15:27 2003 +0000

    * modules/demux/*: some containers don't carry any PTS information, just a DTS. In that case, make sure the PTS forwarded to the decoder is set to 0.
    * modules/codec/ffmpeg/video.c: use PTS if available, if not find out the PTS from the DTS and the p_context->has_b_frames and p_pic->reference flags.

commit 0eb0aecc2def1c9bad9b9ca10916ab321a91c540
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Nov 23 13:06:43 2003 +0000

    * Fixed bugs in the contrib build system. In particular 'make bin' should
      work now.

commit 929113ae53a9b6786fd93a0505a54185a78caa22
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 23 11:02:39 2003 +0000

    Improved the list (all ports at the end, reworked order)

commit 4584a5d758533dc95fd0798b1c9b36cbc354e8ef
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 05:30:56 2003 +0000

     * cinepak: little clean up and increase priority (ffmpeg cinepak decoder
     is buggy).

commit 4b47be3d6e43c18e42e0805d9061dd136843ed22
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 04:58:00 2003 +0000

     * adpcm: bug fixes.

commit 8259076d9f300a5f76cd5083f6a4610befaed51f
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 23 04:56:08 2003 +0000

    Bug in processing numeric entry - passed wrong value.

commit c1482fe573e0b9453f56e8b4c8929771e04ca258
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 23 03:58:33 2003 +0000

    intf.c, vcdplayer.c: Add code for multi-default selection lists. But
    this required new libvcdinfo API - so change to configure.ac for
    pending new libcdio/vcdimager releases.
    
    Additional libvcdinfo routines also means less VCD twidling inside vlc
    code, thus simplifying what is already a bit complicated and likely to
    get more so.

commit 2d037953d9b39dce6fd6bd0f175fe78789029eef
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 03:55:01 2003 +0000

     * all: do not use p_fifo.

commit 53d9b1b2e7d0910cd9055f3f642854e9c66e481e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 03:45:11 2003 +0000

     * quicktime: removed a define.

commit c5bc2448bf9c2cbc8c5a212d381939bee86eb1da
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 03:41:58 2003 +0000

     * quicktime: ported to the new API, fix compilation with w32dll loader.
        -> but untested under OS X and win32.

commit 7b8e8730b313dc4e24b6f8a5c9ba5568a360691e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 23 03:17:39 2003 +0000

     * input_dec.c:
        - also check for p_dec->b_die and b_error.
        - unload module before joining thread (in DecoderThread) otherwise qt
        win32 dll loader will segfault. (but perhaps I'm the only one using it)
            -> find a better solution.

commit 61f6d450b1863de272a471d34d35af8d031390da
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 23:39:14 2003 +0000

     * all: only include header that are needed (and no more stdlib.h, string.h
     as vlc/vlc.h include them).

commit 192c809130c7d6359daf72226ef2440c0d3e62c4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 20:26:39 2003 +0000

     * input_dec: set also p_dec->b_die.

commit d3f5f59b4c12bb3a495abbb54e33ec4f12ebfc68
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 20:25:01 2003 +0000

     * ts: added lpcm and dts stream. (untested)

commit 1c9f6db4b6905405f7e8b14efe0bf269884b4d18
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 20:17:14 2003 +0000

     * copy: removed the old spu packetizer.

commit aa1ca8032cbcf5d2a1607c24adb17a8b111117ae
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 20:15:34 2003 +0000

     * spudec: it also does the packetizer.

commit 82ca25cb1910a31a8c5b564b2399564691dc9e40
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 19:55:47 2003 +0000

     * all: ported to new API.
      -> i_rate isn't used for now : it will need to be fixed.

commit 1a80449a5ac193f37787ac1dc88c29b352aa0fcb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 22 18:11:22 2003 +0000

    * configure.ac: get rid of the oggpackB_read check in libogg because we don't use it anymore.

commit 7369bb2a8ed6ac52352fa1912c8ef65dc3164703
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 22 18:04:10 2003 +0000

    * include/input_ext-intf.h, include/vlc_es.h: moved ES categories into vlc_es.h
    * modules/codec/lpcm.c: ported to the new decoders api + lpcm packetizer.

commit 348244d2c63eb2f5607c77db599118a0e367dade
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 17:03:57 2003 +0000

     * stream_output.h, transrate.c : do not use SOUT_BUFFER_FLAG_GOP anymore
     (may be readded later).
    
     * mpgv.c: new demuxer using the packetizer (allow to stream ES).

commit 9cbc047c7f48b4cf6e12cee14ddcb020b86f56c3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 16:53:02 2003 +0000

     * mpegvideo: ported to new API (need more clean up).

commit 294d2ef0eedb56b9c62ad58bf60e7c8d3873098f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 16:48:49 2003 +0000

     * ts: fixes.

commit 9d3e0fb5bca5d1245c34c08bac54bfdb231a53f9
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 22 16:18:05 2003 +0000

      * modules/video_output/caca.c: Oops, compilation fix (thanks zorglub).

commit 3aa3ecc18ab8d93ff4e0901973aa302eb50da4ec
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 22 15:53:18 2003 +0000

      * configure.ac:
        + Fixed internal symbols for version numbers containing "+".
        + Added a --enable-caca flag.
      * modules/video_output/caca.c:
        + Updated libcaca video output to the released version.
        + Added --caca-dithering flag (none, dither, random).

commit 6f73a8f38f3061f7da6dfb6b35b09307a8031f09
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 15:10:38 2003 +0000

     * avi: more check on b_die (when building index).

commit 42886fbe364906f917eed96fa2237b081e426532
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 22 15:06:50 2003 +0000

    * modules/codec/tarkin.c: ported to the new decoders api (I know, this is a waste of time ;).

commit 4033ecea22e62a442877385864a2afc5b9276bd5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 22 14:42:47 2003 +0000

     * block: initialise all fields.

commit 9c78d56c0eaf7b1b274e5671beee10f5395c27d0
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 22 13:56:21 2003 +0000

    vlc_common: Avoid a redefinition of PATH_MAX on cygwin

commit 03e8fefe41a5472c68510972f0dd3a2cf01044be
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 22 13:49:12 2003 +0000

    * modules/stream_out/transcode.c: put back the dumb downmixing routine.

commit bfa286d3558f6aa3ae2d98bd9fa3f95f82ec1ccd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 22 13:19:30 2003 +0000

    * src/input/input.c: fixed previous fix (sout needs to be destroyed after the ES).

commit 6ae3f4f4d420e20569dde538ee811b45d0a898a5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 22 12:41:32 2003 +0000

    * src/input/input.c: don't free the ES twice.
    * modules/demux/ogg.c: ported to the es_out_*() api and fixed flac support.
    * modules/codec/flac.c: couple of fixes.

commit 0b18806cd1bfd7f7e22a77568d4a0abb0f77f78d
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 22 12:35:17 2003 +0000

    src/playlist/item.c:
     * fixed a minor memory leak

commit 37b7392666f8dfc35889a4f8e4af7b6efc2863b3
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 22 12:33:04 2003 +0000

    modules/misc/sap.c:
     * fixed a possible buffer overflow

commit 3f38be4f33c2ad97d6559ff3d2a1258901e8cf0e
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 22 12:17:08 2003 +0000

    modules/misc/sap.c:
     * fixed a couple of nasty memleaks

commit 983c79c1060691de8450c827976def4f75670b60
Author: Eric Petit <titer@videolan.org>
Date:   Sat Nov 22 06:26:16 2003 +0000

     modules/gui/macosx/intf.m: don't destroy the playlist when closing the
       interface because this makes crash others interfaces which might be
       still using it (e.g. sap)

commit e70836d31e8fcd06b84590a0ec09f29e1d51902a
Author: Eric Petit <titer@videolan.org>
Date:   Sat Nov 22 04:02:10 2003 +0000

     src/misc/block.c: added a missing vlc_mutex_destroy()

commit eae53f7c783a6e60165f99d034257c8cadcde65a
Author: Eric Petit <titer@videolan.org>
Date:   Sat Nov 22 00:41:07 2003 +0000

     + modules/misc/freetype.c: fixed a couple of typos
     + *threads*, src/libvlc.h:
       test HAVE_KERNEL_SCHEDULER_H before PTHREAD_COND_T_IN_PTHREAD_H
       for now because Zeta now has a pthread implementation but it's doesn't
       seem to be (enough) POSIX compliant atm.

commit 09d997200c05de78bb05ea4e2219fec752aef5a9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 21 20:49:14 2003 +0000

    * modules/codec/flac.c: added a FLAC encoder.
    * modules/mux/dummy.c, modules/mux/ogg.c: you can output "normal" flac streams with the es/dummy muxer or output them with an Ogg container.

commit ea1b641e16d5dda49f420b7b0298e2b2c65ebc11
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 21 18:55:40 2003 +0000

    * modules/gui/wxwindows/*: drag&drop on the playlist only enqueue.
       Small cosmetic change to the playlist.

commit e6a8cb4f463b2c0434b746fde21f245300e88158
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 21 16:07:20 2003 +0000

     * mpga: fixed. (using es_out_Send with PES)

commit 621e5f4079a4cc03738487b5892bc46508217bfa
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 21 16:02:36 2003 +0000

     * asf: pes -> block

commit 52226f31e689b545427f968922c181414f75787e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 21 15:51:32 2003 +0000

     * avi: use block instead of PES every where.

commit bfeea8d61f8591f77a75a8c8a7a0c09c8681bda7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 21 15:32:09 2003 +0000

     * all: remove sout_format_t and use es_format_t instead.

commit 151a7cdf2a5c4fe998567691a89960ae296849e7
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Nov 21 13:20:41 2003 +0000

    * Reverse sort the playlist when clicking twice on the column header

commit 85ed45c9a46854cc77b6cf106cebdc47a1fab5f2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 21 13:01:05 2003 +0000

    * modules/mux/ogg.c: send the mp4v VOL data in one of the header ogg packets.

commit 662af912f9048257516fec844925f937db85dff6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 21 12:18:54 2003 +0000

    * modules/demux/flac.c, modules/codec/flac.c: couple of fixes.

commit 9b889a6a3d40788f6a6d9048cbb12455243cd938
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 21 09:23:49 2003 +0000

    PDA Interface:
    - Code cleanup and fixes for file view widget.

commit ca9786f7f00e4626e5df7b15db961a0af43977b5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 21 06:14:59 2003 +0000

     * livedotcom: added return value for sdp:// Open.

commit 40c4b64095e00df941c5681c9f2b70f1dc671873
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 21 01:45:48 2003 +0000

    * modules/codec/flac.c: complete rewrite of the flac decoder + new packetizer.
    * modules/demux/flac.c: rewrite of the flac demuxer which makes use of the flac packetizer.

commit 231d0470d084693eb25042ef22a111d21c63f241
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 21 00:38:01 2003 +0000

    * include/vlc_common.h: include stdlib.h
    * include/ninput.h, src/input/stream.c, src/input/input.c:
        new stream_Block() function to read a block_t from the input.
        es_out_Send() takes a block_t as input, for PES (deprecated) use es_out_SendPES().
    * modules/demux/*: changed to new es_out_Send(). asf.c and avi.c still use es_out_SendPES() though.

commit 571f69bab779d190704c37fdb9e39439e758fffc
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Nov 20 23:13:28 2003 +0000

    modules/misc/sap.c:
     * more verbose header parsing code
     * support for compressed announces if zlib is available (using some code
       from Mosu from the matroska project)
     * if the sdp packet contains more than one m= line, pass it to the
       livedotcom module
    configure.ac:
     * link sap with zlib if available
    modules/demux/livedotcom.c:
     * accept sdp from the sap module

commit b38ec88240b239452c5cbd272c140e2695962eba
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 20 22:10:56 2003 +0000

     include/vlc_es.h: defines es_format_t, audio_format_t, video_format_t.
     all: removed i_extra_type from es_format_t.

commit 6e94863269db988d825289b149755c4cae969cd8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 20 18:27:44 2003 +0000

     * copy: ported to new API.

commit 05d8c3ba408d1b70e3a707c529a1280eae857618
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 20 18:26:44 2003 +0000

     * ts: fixed a stupid bug for MS codec.

commit f5d380662671da1c5153ea14ea4529ddf594fd3f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 20 17:48:44 2003 +0000

    * mozilla/vlcshell.cpp, modules/video_output/directx/*: round of fixes for the win32 mozilla plugin.

commit 2c54b61a73ca115e77be271ffe39ed2b95d0b51d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 20 14:39:31 2003 +0000

    * windows -> orderedWindows. Finally window commands like fullscreen, half size
      double size and float on top are sent to the correct window.

commit f850c3cabe25236d426a2a77b6c038b456e0e7a9
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Nov 20 10:56:44 2003 +0000

    tell cvs to ignore .pyc and .pyo files

commit fecb04cb5f730086a80bdb33da9ab893e5f4149e
Author: Simon Latapie <garf@videolan.org>
Date:   Thu Nov 20 08:44:30 2003 +0000

     * http.c: little keep and del functions fix ( don't remove currently
     	   playing playlist item ).

commit de409e6f596a398a2f89cd40d671a748c539cbd7
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Nov 20 03:56:22 2003 +0000

    Reorganize more analogous to dvdplay. Should give some growing room to
    start the custom demuxer.

commit 2a335dff63bfc2ee7f57f20745c46e2fb7ee578b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 20 02:39:09 2003 +0000

    * fixed the dockmenu. had gotten disconnected somehow.
    * cleaned up the playlist source.
    * set the correct sizing properties on the playlist buttons.
      bigben: see the bottom of the size panel of your inspector. when adding items
      always take this into account to make resize work correctly.
      also. windows are opened at the position where you save them when the nib is open.
      Always make sure the controller and playlist are to the upper left side.

commit 132df1320e7c345f3481d53d9f64e6ed8a00be99
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Nov 20 02:17:33 2003 +0000

    In some ways better, in some ways just different.

commit 244318045553f014bd5670385d2ad43210ef4baf
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Thu Nov 20 02:15:37 2003 +0000

    Miniscule changes. In some ways better, in some ways not, just
    different.

commit ff4158b434cdbe70fa9cfd2620355c09091e557d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 19 23:44:35 2003 +0000

    * modules/video_output/directx/*: we now create a video sub-window which is a child of the main window and which always fit exactly the size of the video.
      As a result the overlay color key is only painted in the video area and the rest of the window is pure black.

commit 9883237c44384269835bdc4d8df43cd8143246f6
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Nov 19 19:00:16 2003 +0000

    - get rid of an unused variable
    - use same name than in menus for random, repeat and loop options
    - random, loop, repeat checkboxes are nom updated accordingliy to the state set in the menu. (not sure I've done that the proper way ;-)

commit 473f399d632d4ced73782ad6a1799bb89479a9c0
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Nov 19 14:58:54 2003 +0000

    small clean-up

commit 8801088991e329a3ef552bc793cc09111020d356
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 19 13:25:48 2003 +0000

    * modules/codec/subsdec.c: Add debug messages and fix a crasher
    * modules/misc/freetype.c: let's keep the freetype-fontsize option useful :)

commit 3c74cac8f0b9388b6f33544a034ab0fb6b5f6f4a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 19 13:10:48 2003 +0000

    * modules/codec/ffmpeg/: don't re-use the same pts twice.
    * src/misc/modules.c: win32 fix for when module fails loading.

commit c729eee9bc1ede43a1cc488c8e445e697c324d5c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 19 12:13:00 2003 +0000

    * changed the relative fontsize option from a string_list to a int list with string comments.
      not possible before, but is now and we can still change it without effecting the
      config files of 1000000 users.

commit 4a50d0fd37d4cbfb55e5893f01e06bad9694e8ff
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 19 10:17:51 2003 +0000

    * src/misc/modules.c: don't forget to return an error when we fail to load a plugin.

commit 8c3f66a131a692a2b03102e43bf617ec49def388
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 19 00:14:39 2003 +0000

     * ninput: initialisate i_bitrate.

commit 9148662f02b1eab89152408b67e28d1af6e2623d
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Nov 19 00:06:06 2003 +0000

    fixed some warnings

commit e858da021aedb57bea5cfc4160507023cb26914d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 23:58:10 2003 +0000

     * fix a memory leak (p_block should be unallocated).

commit 0615d81bd2a06f1bdc25eabddbed8ba40ff4841c
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Tue Nov 18 23:25:38 2003 +0000

    modules/codec/subsdec.c:
     * fix a crash when --subsdec encoding is set to a wrong value

commit ecde7dccafe0c5d2c43fbcc7e9c836a3e7259c0a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 22:48:46 2003 +0000

     * input_dec.c : handle SPU_ES (and not as VIDEO_ES ....) so subtitle
     should work again.

commit 490af54fb76828039a2185c4e439243f732a79a2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 18 22:08:07 2003 +0000

    * src/input/input_dec.c: fixed nasty bug. Thanks Meuuh :)

commit 7d5b21c45a36f88f5ef8e5c62071fac8b42297e0
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Nov 18 20:36:40 2003 +0000

    PDA Interface:
    - Cleanup code
    - Cleanup interface
    - Adding items to playlist widgets from File, Camera, Transcode tabs.

commit bec4516d49e6a3bec5a8c2de7371fca2e7f8d385
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 20:34:23 2003 +0000

     * allow packetizer to return multiple blocks at once.

commit 355794923679b416110e848bbc875a4a546980f2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 20:15:38 2003 +0000

     * include/vlc_bits.h: bit stream reader/writer.
     * mpeg4video.c: rework of the mpeg4 video packetizer.
     (not well tested)

commit 7d0dc9c466cd72e86332b28c510316318508805b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 18 18:45:33 2003 +0000

    * NEWS: updated with new features.

commit 2dd37f66b3a1a2977f17923f79a06ce6a48f9f3c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 18 16:46:31 2003 +0000

     * display: set correct ES type (otherwise it segfaults in input_dec.c) but
     that implies that ES appear twice in the interface.

commit 8e0bb47fae1fd8486a5ff8294450546172fa7a30
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 18 12:32:04 2003 +0000

    * modules/control/http.c: fixed the "keep" command.

commit 1754611ac00854feaf80d37b001e8e014548dc65
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 18 00:57:04 2003 +0000

    * modules/demux/ogg.c: call ogg_sync_reset() after seeking so we don't get spurious PCRs.
       Cosmetic changes to the file info data.
       Fixed Flac seeking.

commit fffdde54e8ae939eb1a98a78b5c72d0b7cf064c1
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Nov 17 23:36:12 2003 +0000

    - Use NSTextField instead of NSSearchfield for the playlist search, since it is not supported on MacOS < X.3.
    
    - Search now restarts at the beginning of the playlist when reaching the end.

commit 2a176d9799b2d0fd68dd2ab1a212f83c04aa5e0a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 17 22:53:05 2003 +0000

    * modules/demux/ogg.c: support for FLAC in Ogg.
       And by the way, putting the FLAC STREAMINFO metadata in the second ogg packet is really convoluted!

commit 32cc6dcf81c1b2290b918b65b34e635f0e1e1a44
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 17 19:05:03 2003 +0000

    * fix the search field and cleanup of the checkboxes init.
      - currently we don't seek in playlist position 0->currently selected
        wxwindows doesn't do this either.
      - bigben: for the state of the checkboxes look at callbacks (see playlistChanged in intf.m)

commit 5078da2ab4a279affa4538f2960983b7aba1c20d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 17 18:48:08 2003 +0000

    * modules/packetizer/mpeg4video.c: ported to the new packetizers api (This packetizer really ought to be rewritten from scratch).

commit e10d812e612f6292d4384d28ae9251531e5d5739
Author: Simon Latapie <garf@videolan.org>
Date:   Mon Nov 17 15:29:03 2003 +0000

     * http.c: fixed bug with spaces in mrl

commit b89a461339f406f6051e8ecaf1114d98b5d70f5a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 17 15:11:05 2003 +0000

    * fix previous commit

commit 8c510a9f3f3e15d3499d4580f318606c421e6093
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 17 14:46:37 2003 +0000

    * modules/access_output/udp.c: more debug
    * modules/mux/mpeg/ts.c: new dts-delay option to add delay between the
      PCR and the DTS of the current frame.
      When deleting a video or audio stream (in case of PMT change), the
      new video and audio ES will take again the pid-video and pid-audio if
      they have been specified.

commit 9d38f295b4d6cb1fac0108bd17d585979d446bec
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Nov 17 14:11:05 2003 +0000

    Checkboxes stat at startup, in the playlist, now reflect the state set ine the prefs. They still are not updated if you set random/repeat/loop in the menus though (at least until next VLC startup).

commit b98dfa6716005dd91b4d0f29b94ea29834832317
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 17 13:14:25 2003 +0000

    * use more recent libebml and libmatroska

commit a047a67d7772245c70a47876eeaeb895cd532614
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Nov 17 13:05:17 2003 +0000

    added search function to the playlist

commit 2e3381e626d5cf41d336f3283cc76aaef2654a34
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 17 11:25:54 2003 +0000

     * ts: improve PCR handling. pcr-soft doesn't exist anymore.
       Options:
            - caching: time on which bitrate smouthing is applied (default: 200ms)
            - pcr : delay between 2 PCR (Really more accurate). (default: 30ms)
            - bmin and bmax doesn't work anymore.

commit 1672cb91be5ad0d200c379eefac3b891a459aa15
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 17 06:31:22 2003 +0000

     * THANKS: hungarian translator and designer of OSX intf controller added
     * modules/LIST: updated
     * Makefile.am: include new OS X art in the dist.
     * NEWS: updated
     * */.cvsignore: added and improved some of these.
     * modules/gui/macosx/prefs_widgets.?:
       - new config controls much like in the wxwindows module. not yet in use.
       - beware not tested irl. but it compiles :)

commit bbf924778755743e30cd30cefd5bf2e45b30c889
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 17 02:55:22 2003 +0000

     * transcode: hmmm, the compil fix was for this file ...

commit a8f3c4cad2e3ff540726d0526b014d79e11963ae
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 17 02:52:39 2003 +0000

     * all: a little compil fix and more sanity checks (needed for wma).

commit a48ec614244d4ba9f287b65b6484a511515ceb1d
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Nov 17 00:06:19 2003 +0000

    modules/gui/wxwindows/*:
     * implemented sorting by a column by clicking on it

commit aed1e85b4b7f5fe7f59dff6bbf2951d913ce0787
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 16 22:54:12 2003 +0000

    * ALL: moved i_bitrate out of audio_format_t into es_format_t

commit 45cb9defb39750f7607cfa40d36225393378c29c
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Nov 16 22:29:33 2003 +0000

      * modules/video_output/caca.c: color ASCII art video output using libcaca.

commit dd6bbcec746d5482f61a8fba5e63cf3427d88cc7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 16 22:23:47 2003 +0000

    * modules/codec/ffmpeg/video.c, src/input/input_dec.c: a couple of fixes. Thanks fenrir :)

commit b42629dbe0ec9df757ed3a8fa7510e785715ee48
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Nov 16 22:10:16 2003 +0000

      * include/vlc_keys.h: Fixed a warning in StringToKey().

commit 20f3795b505d98de2beb0a8785d5bec753d126ef
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 16 21:28:26 2003 +0000

    * modules/misc/dummy/encoder.c: forgot a file

commit 1e9f16e284a4bb84ac446bf18e6b5581754fc6d3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 16 21:07:31 2003 +0000

    * ALL: final improvements to the decoders/packetizers api.
       (There are still a few decoders/packetizers left to be converted but this shouldn't take too long).
    * ALL: small improvements to the encoders api.

commit 1b973c9444e11319376708d3c85c3636d0907d9e
Author: Simon Latapie <garf@videolan.org>
Date:   Sun Nov 16 20:41:36 2003 +0000

     * http.c: little fix

commit 85f81858cdbac35107b7ec3d00f3ca622c6c9664
Author: Eric Petit <titer@videolan.org>
Date:   Sun Nov 16 15:51:59 2003 +0000

     avi.c: compile fix

commit b48dc5240ebb28e0918d336cb2f7bedd3bd99640
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sun Nov 16 11:21:48 2003 +0000

    Added random, repeat one and repeat all checkboxes to the playlist

commit 63197875839b162da8948fd8371b4db73b810b9f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 16 00:08:02 2003 +0000

     * fixed a segfault with avi without index.

commit 460286dc1207a9e355e44ec0750e1b30595ba7a9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 15 23:21:35 2003 +0000

    * v4l: hack from xine from GStreamer to compile v4l on debian unstable.
    
     (message from xine: fix build on Debian unstable, those dummies seem to
      have put the Linux 2.6 headers in place of the 2.4 ones in glibc...)

commit 1e96bee0ce3c52f4774b605abcc818707ead8784
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 15 22:42:16 2003 +0000

    * New OSX controller (iTunes style)
      - Drag and drop implemented
      - still need new sliders and remove the titlebar.
    * revert the mozilla plugin changes. i will build a seperate module for that
    * simplified previous/next (only playlist, people with chapters and titles
       will have to use the menu
    * Moved the disable screensaver from interface to vout.

commit 02619e2b11bb5e02e8744aeadedbde58d9e1ad65
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 15 22:02:15 2003 +0000

    * added ffmpeg cvsroot (not in use atm)
    * forced some config options on ffmpeg

commit 0fe9b6988f8d59a1716abe67e659adf5f843a250
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 15 18:57:12 2003 +0000

     * set dts/length of all pes packet.

commit cfd8992aed5c805e208c887aa5af182f0930847d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 15 15:40:19 2003 +0000

    * extra data has changed and was crashing.

commit 9b61c0aaa39ddc6432b7cd90afab17bb8e2bb5da
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Nov 15 13:09:02 2003 +0000

    * Fixed typos.

commit 11a86fba8228b97deb9845beb159a3468a5e9064
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 15 10:38:01 2003 +0000

    Small fix in a preference description string

commit 306a32f926544f2636db54f895049a57d1bb4490
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 15 02:38:25 2003 +0000

    * broken URL

commit 3b099bef9abb9143b2a0c45b6d9bf83aaea3ef9e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Nov 15 01:21:48 2003 +0000

    * New build system for the contrib packages of VLC. It supports to
      download a precompiled binary package, or to build all the packages
      from the sources, at the user's option. It is currently written for
      Mac OS X, but could easily be ported to other platforms.

commit b7d624b9d97b741aca1730f35a775273b747bda6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 15 00:26:15 2003 +0000

    * spelling fix

commit 42ea64beae9e6baf3388fe85da6b2a4a5529990a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 14 20:17:29 2003 +0000

    * Fix the label in the prefs of the play/pause hotkey.

commit f61ff374e43d48d040ae8781ed437cf50935a087
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Nov 14 03:51:39 2003 +0000

    * fixed playlist_Pause

commit be0055dc67d7a1fa2bbe1d3a5812f244a4cb266d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 13 21:15:43 2003 +0000

    * modules/video_filter/transform.c: fix for ./toolbox --update-po

commit ce6b6b1f789c76cc3d723e2f9d6568365418c4f7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 13 17:59:34 2003 +0000

    * include/ninput.h: ES_EXTRA_TYPE_SUBHEADER wasn't defined.

commit e832247c897aa57f773031591e688ec7cdac90dc
Author: Loïc Minier <lool@videolan.org>
Date:   Thu Nov 13 14:23:30 2003 +0000

      * INSTALL.win32: slightly changed the list of required packages

commit 55320a77c20c9855c67c9f07598daee5804e57d6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 13 13:31:12 2003 +0000

     * input: handle also SPU in es_out_Add (and fix a bad lock).
     * sub: use es_out_Add (and that give a proper solution for multiple tracks)
            fixed seeking with sub. (pf_demux was called in Seek instead of
            pf_seek ...)

commit 3f71e7714a4380254cda040ad67e1fb7c5d7bae4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 13 12:28:34 2003 +0000

     * src/input/input.c: es_out_Add automatically add informations
     (input_AddInfo) on the ES.
     * all: removed duplicated input_AddInfo.

commit e33dbc3f24e6ac171dce4d15f6ff0df9a3b0a128
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 13 11:49:27 2003 +0000

     * avi: little clean up, and ported to es_format_t.

commit 1c8b01a73cf4b30bb239ec4c12849a851d309d28
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 12 20:01:01 2003 +0000

    * modules/misc/sap.c: fixed misplaced variable declaration.

commit 730460c00c3d132dfe573ee03013f0c77362a20f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 12 18:13:31 2003 +0000

     * all: big clean up (no more global variables).

commit c7bc1acb0e8a53bf3e147dc6493df6b5cf397b5b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 12 08:10:21 2003 +0000

    Support for announcement of playlist group in SAP announces
    Needs the latest miniSAPserver CVS

commit 5edf9f31910c5bda5b472efec01f724d346ce0c2
Author: Simon Latapie <garf@videolan.org>
Date:   Wed Nov 12 03:02:56 2003 +0000

     * little fix due to my last commit

commit 664c9f197e4d8e0d86d823579ea358539f957dca
Author: Simon Latapie <garf@videolan.org>
Date:   Wed Nov 12 02:56:13 2003 +0000

     * http.c: little fix in RPN evaluator (now it is real RPN).

commit b03111a7d577e52f7cdd8fc908c16ffaa52f6513
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 12 02:45:26 2003 +0000

    * small fix to the playlist window

commit 0caf8ce6e94bcc97e8e0f1f61fb0559d1fba743d
Author: Simon Latapie <garf@videolan.org>
Date:   Wed Nov 12 02:43:33 2003 +0000

     * http.c : added parsing of options in Add MRL option. In http.c is a the
                parse_MRL function which perhaps should be somewhere else
                (playlist ?).
     * Makefile.am : forgoten style.css
     * index.html : little fixes
     * intf-http.txt : updated doc

commit 4dcb355c719fc9ce631ca5bf1c614b0f99bc2c54
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 12 01:22:40 2003 +0000

    * Away with that annoying playlist drawer. We now have a nice resizable
      window, with additional index and author columns.

commit 764f9e8b0e6799686fb6509269784baa734dfdfb
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 11 23:50:41 2003 +0000

    * include/vlc_keys.h: added StringToKey()
    * src/libvlc.h: added macosx defaults and changed the quit shortcut to ctrl-q
    * modeules/gui/macosx/controls.m: now jump 10 seconds. works better than 5
    * REST: implemented configurable hotkeys for OS X.

commit 0f04eb53b57c0b5f5e65f38f946f8cb736a8265b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Nov 11 21:23:56 2003 +0000

    * when config_ResetAll() a key config value becomes "Unset" (0) instead of
      it's original value. With this you at least won't break your config file,
      because it comments out the value during saving, when it's identical to the,
      original value. The question however remains, why does a resetAll result
      in a 0 in the 'current' config in use, and in original value at time of saving?

commit 11cd21f9c8aa7970dd343c39102b764657e9598f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 11 02:49:26 2003 +0000

     * wav: es_format_t

commit b2c9cc064876d0c721f4a118f128e9f5bd398865
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 11 01:33:18 2003 +0000

     * mkv: ues es_format_t.

commit 5f782bc34f618ef58e01cd8fcba1f2fc0cb29402
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 11 00:37:59 2003 +0000

     * all: use es_format_t and es_out_*. (Not well tested yet...)

commit a7a7e7097451c2b7bb70dd7ad59eb1b050090d52
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 10 18:21:35 2003 +0000

    * modules/gui/wxwindows/open.cpp: compilation fix for unicode version.

commit 6720c6b10f12f34fbbb64f045efba3d88e4383f4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 10 17:47:42 2003 +0000

    * configure.ac: link ws2_32 in the right order on win32 for livedotcom.

commit b7ba11b0eb48300f47ce34b6f9f9091abb36e6ee
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 10 00:49:48 2003 +0000

    * New Hungarian translation contributed by 'DirectX' (Name under investigation)

commit e39089dc7d18b72ed6ca781189591274789ace4c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 10 00:14:05 2003 +0000

    * modules/gui/wxwindows/*: dshow open panel is fully functionnal.

commit a4c1c8f52695d1bfb70c00952e80d76e214d92a0
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 9 21:29:52 2003 +0000

    PDA Interface:
    * Transcode tabpage added
    * code cleanup

commit 8150192bace03463f1af51cf0960640e7148c8d3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 9 20:13:46 2003 +0000

    * modules/gui/wxwindows/open.cpp: added an AutoBuildPanel() that is used to construct the dshow tab.
       (It is not quite useful yet but will be shortly).

commit c6d07829b0fba915e3a8ea1aef676204c22d8850
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 9 19:49:48 2003 +0000

    PDA Interface:
    * Camera tabpage is done.

commit 06b4737cfb1ad8d5e1bd95c426e33cfb10fefed5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 9 18:52:29 2003 +0000

    PDA interface:
    * improvements on Camera tabpage

commit 9af94c5ad9bf92435142a9c7275e6dd2155649e7
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 9 18:06:11 2003 +0000

    Allow return to have a numeric prefix too.

commit 1601147f60744e780e7262dba227ad5e90fd628a
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 9 17:45:41 2003 +0000

    Small changes to assist debugging.

commit cf1ded5901502712e880a5de58e078f67653785e
Author: Eric Petit <titer@videolan.org>
Date:   Sun Nov 9 16:00:54 2003 +0000

     + modules/gui/beos/VideoOutput.cpp: fixed modifiers
     + src/misc/beos_specific.cpp: cosmetic

commit 21c8b34b86fb3b786ecb003bd71f18a8ac55410a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 9 15:55:23 2003 +0000

    PDA Interface:
    * More changes on the Camera tabpage
    * Cleanup some dead interface wood ;-)

commit dcc66e959ce3c6a143db161805401bce1eccb3f1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 9 15:29:41 2003 +0000

    * modules/access/v4l/v4l.c: couple of fixes.

commit 6289ccbb1281abb5534525312a0ba070110d20a3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 9 13:59:21 2003 +0000

    PDA inteface:
    * Redesigned "Camera" tabpage.

commit efaf688c314ef247ae5b69a01642cef145449cd3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 9 13:20:32 2003 +0000

    * modules/gui/wxwindows/preferences_widgets.cpp: compilation fix.

commit 38518cedfc51bcfd7df21ac2ea452c36a1bb8de8
Author: Simon Latapie <garf@videolan.org>
Date:   Sun Nov 9 05:22:56 2003 +0000

     * http.c: removed a completely useless check (now you can change volume
     	   value without playing anything)

commit fe2d68958103eb6c823c0b712eed37db48361db4
Author: Simon Latapie <garf@videolan.org>
Date:   Sun Nov 9 05:15:17 2003 +0000

     * index.html: little fix with volume textbox

commit 7584c7bb123bfc9996d65c9db8c688f1a6dd06cd
Author: Simon Latapie <garf@videolan.org>
Date:   Sun Nov 9 03:43:25 2003 +0000

     * http interface: changed index.html for new seek function. small change
      		   in css.

commit 637b0249baf0576b8a29b4af896af5233c518aec
Author: Simon Latapie <garf@videolan.org>
Date:   Sun Nov 9 03:41:50 2003 +0000

     * http.c: modify seek function (now you can put almost everything which
     	   looks like a time/length)

commit c7897a28504494e5e0e3c431772bc732c1700292
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Nov 9 00:52:32 2003 +0000

    Handle keyboard input: numeric entry, next, prev, return and default.

commit 204044c98196dd97d0eb87b4822d18052bbaae42
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 8 23:12:15 2003 +0000

    use "video" and not "audio" as media type, and 33 (mpeg2 ts) and not 14
    (mp3) as payload type

commit 180e96686abd126db01bc7db5a687d831990a703
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 8 23:02:38 2003 +0000

    ignore streams that are not m=audio or m=video

commit 28521d8e02309211175d13775880734be5fd8a99
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Nov 8 18:31:01 2003 +0000

    PDA Interface
    * simplefied network tabpage

commit 6b4fa4aac8dbea26b364b7e81b5b98daec03676a
Author: Eric Petit <titer@videolan.org>
Date:   Sat Nov 8 18:23:40 2003 +0000

     + configure.ac: link httpd and stream_out_standard against -lsocket
     + modules/gui/beos/*: use hotkeys
     + include/vlc_keys.h, src/misc/configuration.c:
       renamed modifiers into vlc_modifiers so it does not conflict with
       BeOS' modifiers()

commit 78da8d7d6d1fdf8c2e322da0330d84b52a8c1892
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Nov 8 16:04:05 2003 +0000

    PDA interface:
    * Network tabpage works
    * cleanup of code

commit 5a58a1ef4354b50c084357889e0c15e3e930917a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 8 15:59:46 2003 +0000

    * spelling fix and fix of copyright and version strings on info.html

commit e12e442b95f178a008b8b9a758103e6b01d29a3f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Nov 8 14:54:03 2003 +0000

    By default disable the stream_out_transrate plug-in since it takes 2 hours
    compiling.

commit a347d39f24cdad70adaa6b84a4ad933238211687
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 8 12:25:59 2003 +0000

    modules/misc/sap.c:
     * support sap announces that use dos style linebreaks

commit 2ad7219497f66e03b9edf4efbb88b43d51332646
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 8 09:05:42 2003 +0000

     * useless.

commit fb34c95ea126e8c382795bd47a96a00ad7f302e2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 8 06:47:34 2003 +0000

     * livedotcom.cpp:
        - added X-QT and X-QUICKTIME video support.
        - first try for seek and position display support.
        (position is buggy, and seek won't really work as long as wx try to seek
        each time the slider is moved)

commit d44952d768ea5aeb23ff04c05f8401e849b01a1a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 8 04:57:56 2003 +0000

     * araw.c: prevent segfault with ulaw/alaw.

commit d2d96bbb8f608b224060969779881c00aa7029e8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 7 22:56:02 2003 +0000

    * configure.aci, modules/demux/livedotcom.cpp: win32 compilation fixes.

commit a4669bcc6895a729ed96883805e381006a8f33ae
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 21:44:53 2003 +0000

     * lalala added livedotcom

commit 132943e98630239d6994b1ca509526a70a2d16e9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 21:44:20 2003 +0000

     * configure.ac: added --enable-livedotcom and --with-livedotcom-tree.
     (--with-livedotcom-tree is mandatory when using --enable-livedotcom, so
     livedotcom isn't compiled by default)

commit c37e84c1f930e22a99d03e76a6a7f2a4be3ed420
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Nov 7 21:30:52 2003 +0000

    * modules/stream_out/transrate: New transrating module, based on GPL
      code from www.metakine.com.
      CAUTION : the code is currently very ugly, with static variables, no
      code convention, etc. I check it in "as is" because it may be useful
      to some people.
      Don't expect a bitrate reduction of more than 30 % with acceptable
      quality.
    * modules/demux/mpeg/ts.c: Useful debug message

commit 5cefc0731165d7e6ed58942d422136f3126c6842
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Nov 7 19:30:28 2003 +0000

    * src/misc/threads.c: Implementation of real-time priorities for UNIX-like
      pthread systems (activate with --rt-priority)
    * modules/access_output/udp.c: Only discard packets which are _very_ late

commit ccfe579bf51e131ff0cf579d8109c9d8b759da7d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Nov 7 18:41:09 2003 +0000

    * modules/mux/mpeg/ts.c:
      - By default send PCRs every 90 ms, because the upper limit is 100 ms
      - New pid-video and pid-audio sout variables

commit 0ffc325f03635be0f5810181bb0af75d0f27a8b8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 18:32:55 2003 +0000

     * udp: mp3/rtp is now correctly working.

commit 30410626e849412d4bc33aad851f8cd9836c8c02
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 18:32:24 2003 +0000

     * rtp: removed a annoying debug message
     * announce.c: fixed a warning.

commit 2d0e1f208224c11c107b71ca8f210fef43dacbf3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 18:08:54 2003 +0000

     * livedotcom.cpp:
        - improve a lot pts handling.
        - added --rtsp-caching.
        - implemented DEMUX_GET_TIME  and declared the input as seekable to
        make the interface displaying the time.
     Now I can read rtp stream from VLC using http export for sdp :) (MPEG4
    video, MPEG 1/2 video and mp3 audio tested successfully)

commit 8b67f70abe2b95bd79ecf760cfed77f6205ffa28
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 17:44:43 2003 +0000

     * added vlc_url_t structure, vlc_UrlParse and vlc_UrlClean.
     (It could avoid a lot of duplicated code...)

commit 7a9053f22593bfc8da0a459b4ddbc0714762623f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 17:43:42 2003 +0000

     * rtp: added a sdp options to export sdp. For now only as http.
    options: #rtp{dst=ip,port=port,[sdp=http://ip:port/file],[mux=]}

commit 277ca5711cb0cc2ed8fe748597beb884bc678178
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Nov 7 16:53:54 2003 +0000

    * modules/packetizer/mpegvideo.c: Detect discontinuities and trash
      corrupt packets. Also flag GOP headers with SOUT_BUFFER_FLAGS_GOP.

commit 1fa786db6a611ebb0b03357e64280504c3b329ab
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 7 14:15:23 2003 +0000

    PDA interface:
    * cleanup code
    * cleanup interface

commit c986d9702ced2ba8694cb2a153dda48a97aa0078
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Nov 7 13:31:26 2003 +0000

    * Updated documentation.

commit 8b8bfe34d6e7769bbb21d133f6cc7d1b3f4dcd53
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Nov 7 13:28:23 2003 +0000

    * modules/access/satellite: Big rework of the old satellite module.
      - ability to select between different tuners if the board has several
        tuners
      - abitility to select between different demux if the board has several
        demuxes
      - if frequency isn't specified, do not try to tune the tuner and
        assume some other software already did it
      - set a bigger buffer size to avoid packet losses
      - do not filter too many PIDs since some board only have 8 filters
      - kludged so that the module works perfectly well with the demuxstream
        demuxer
      - use DMX_PES_OTHER all the time because some boards do not have a
        decoder chip (this may be a problem for you)
    
    This changeset is part of the Dreambox port of VLC.

commit 4343919e55fd15ac83a5f659caa8197c2c9b0765
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 7 13:01:51 2003 +0000

    PDA interface:
    * Directory browsing works
    * Coredump is solved
    * Adding files or entire directories to the playlist GUI control works.

commit 1b18a01582ae64a8a5d7f99316f046879662cdaf
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 12:27:30 2003 +0000

     * livedotcom.cpp: - better pts handling  but still bad. (and using rtsp
     over tcp doesn't really work yet).
                       - fixed bad usage of delete vs delete[]
    (using --rtsp-tcp still leads to segfault)

commit a58fb4dc368c140239360699ae2e2041a03b6fe7
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Fri Nov 7 10:33:41 2003 +0000

    Need to change libvcdinfo to be more robust when there are
    reading the extended PSD. Given that area-highlighting and
    features in the extended PSD haven't been implemented,
    best then to not try to read this at all.

commit 8da122f0f15ff880eb3150bbe56306bf499c07bf
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 7 09:24:58 2003 +0000

    Basic functionality of File tabpage is working.

commit 40693f9830f5bfb0ec4bbd583ceeeb83a00a888c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 7 07:59:00 2003 +0000

    Removing GPE specific stuff.

commit a7794253d806b3308272902d883c3721a77789ca
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 7 00:28:58 2003 +0000

     * more tolerant  sdp check when using  rtsp://. (SDP from some  DSS have a
     lot of mandatory fields missing, like v, o, and s)

commit 1250236d84a022e846c3b17e072992b34f729012
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Nov 6 22:23:27 2003 +0000

    Sync with latest changes

commit 371803fd769f4318558131fe8753e5342d23f521
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 6 22:14:57 2003 +0000

     * livedotcom.cpp: use live.com library to read rtsp and sdp file.
        TODO:
            - handle PTS (for now, I just use mdate() :)
            - support TS/PS (hard as it needs a lot of work on TS/PS demuxers).
            - support X-QT and X-QUICKTIME. (I don't know if it's really used).
            - implement pause, seek ...
            - clean up/bugs fixes...
            - ...

commit aebd934a9e415e41e5816ac688dc9fc5fd1e8902
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 6 20:12:37 2003 +0000

    * modules/demux/mpeg/ts.c: compilation fix for old libdvbpsi.

commit 82dcb9168f442b4c79f48fe51e7bd6cc399979e6
Author: Damien Lucas <nitrox@videolan.org>
Date:   Thu Nov 6 19:35:05 2003 +0000

    . a small fix .... (many other to follow in the next days)

commit 27c92fc494178ae0a1aeb33c8e7836a35ad7b375
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 6 18:55:22 2003 +0000

    * Going to Fullscreen was effecting all vout's. should affect only the frontmost one.

commit eb2566027744c66405e23b1f53cc84a908718b36
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 6 18:35:19 2003 +0000

    * Updated the Output dialog.
      - support for slp
      - support for theora
      - support for demuxdump

commit 98bee728e9d4efa236dbf1bcd88caeea138c7b25
Author: Damien Lucas <nitrox@videolan.org>
Date:   Thu Nov 6 17:08:12 2003 +0000

    . I422 -> YV12 Chroma
    
    This work is part of the work done by Anevia for the "Gran Theatro del
    Barcelona".

commit 28950fce6d627837171b266271e1651dd32e4fe3
Author: Damien Lucas <nitrox@videolan.org>
Date:   Thu Nov 6 16:54:40 2003 +0000

    . 422 deinterlacing (bob and blend filters)
    
    
    This work is part of the work done by Anevia for the "Gran Theatro del
    Barcelona".

commit ef4c3d6315ccb307864809056b5ffbafb3a3f6e2
Author: Damien Lucas <nitrox@videolan.org>
Date:   Thu Nov 6 16:37:19 2003 +0000

    oups, ... forgot the interesting file !

commit 1ddb23b6e8845902086e46a23c5b7bbd8a81d4cf
Author: Damien Lucas <nitrox@videolan.org>
Date:   Thu Nov 6 16:36:41 2003 +0000

    dvbsub.c: DVB subtitles decoder (ETSI EN 300 743). There is still a lot of
              things to write to implement competely the standard but this decoder
              will work in most of the pictures subtitles cases. Text subtitles
              decoding is not implemented at all.
              This decoder has been validated with CAVENA encoders after few
              remarks of their developpers.
    
    include/*: addded a p_spuinfo field in the decider_fifo_t and the
               es_descriptor_t
    
    codecs.h: added a dvb_spuinfo_t structure to identify the id of the selected
              track.
    
    modules/demux/mpeg: added the support of the dvb subtitles track. Need last
                        libdvbpsi (0x59 descriptor) to compile. The demuxer
                        creates n fake ES as each ES carries up to 256 subtitles
                        tracks.
    
    
    This work is part of the work done by Anevia for the "Gran Theatro del
    Barcelona".

commit 56a43112a120c06293977c90672790fa686b10b5
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 6 16:28:28 2003 +0000

    * changed how cursor hiding works. Not perfect, but it's less complicated.
      - less vague bugs :)
    * changed the global hotkey for play/pause to command-p since 'space' won't be
      defined as the hotkey. i was sick of all the hacks i had made to have it work
      that way, so the end. space only works in the vout from now on.

commit dbe002fde81bf97e83fd59f45e8f57de1a2577a4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 6 16:06:28 2003 +0000

    * New (experimental and incomplete) demuxstream module. It bypasses the
    stream output, and takes what comes from a DVB card and sends it onto
    the network. I didn't activate it in configure.ac because I suspect there
    might be problems with iovec on Windows (and there is probably a better
    way to do it).

commit 96e75a5fabd0e7ebc036fbee6ffbfc7e69aa6d07
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Nov 6 10:09:16 2003 +0000

      * bootstrap: remove autom4te.cache before running autoconf

commit cd32c3ae016fa05e457519a53b78d80b5b916bc3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 6 09:59:45 2003 +0000

    * modules/misc/sap.c: compilation fix.

commit 8d80d1775248d3f3729b08f249b265741a15516c
Author: Simon Latapie <garf@videolan.org>
Date:   Thu Nov 6 01:49:19 2003 +0000

     * http interface: added volume control (relative or absolute) and
     		   sort playlist function.

commit 323dfafae8386d9d08f10a22d5be02db4e933a5b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 6 00:12:17 2003 +0000

    * modules/access/v4l/v4l.c: big clean-up of the Video4Linux input.
       New --v4l-vdev and --v4l-adev config options and the ability to play an audio only stream.

commit 5ab31c4eb15e8bcfc5b6753f72e86f56d1f14cf0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 5 23:32:31 2003 +0000

    * Compilation fix. One to many )

commit 3f41f383e3162cf1984ed39981fbc4ed2afe6613
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 5 23:28:36 2003 +0000

     * sap: big clean up + some buffer overflow fixes (still need some work).

commit 313cc2da25628882c9619c91df5630005fc1e73c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 5 20:06:36 2003 +0000

    * modules/gui/wxwindows/streamout.cpp: fixed a couple of things.

commit 8331d3636cf6be25da00f7ac7077f8aabe467522
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 5 18:59:01 2003 +0000

    * include/vlc_codec.h, modules/codec/ffmpeg/encoder.c, modules/stream_out/transcode.c: tell the encoder to respect the aspect ratio of the input.
    * modules/gui/wxwindows/preferences_widgets.cpp: compilation fix.
    * src/misc/configuration.c: use strtol() instead of atoi().

commit 48190fd306402746f081f290f0223642b1dfeecf
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 5 17:57:29 2003 +0000

    * src/input/input.c: honor the --demux config option (will be overriden if demux is specified in the MRL).
       I'm not exactly sure this is wise as some users will surely fuck-up their preferences and force a specific demux...
       but this also allows me to specifiy the demuxdump demux with an input option (very handy to include the demuxdump option in the streamout gui dialogs).
    * src/misc/modules.c: changed module_Need() to use var_Get() instead of config_Get.
    
    * modules/gui/wxwindows/*: moved the demuxdump option from the open dialog to the streamout dialog.

commit 64336427c00672d4c2d15dbb6691e6d57a00e4e7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 5 17:46:21 2003 +0000

    * modules/codec/ffmpeg/encoder.c: fixed bug in the audio encoder.
    * modules/gui/wxwindows/preferences_widgets.*: bug fix.

commit 5f2aa46677df7327d3a961eb72cf07a2501fa8b9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 5 09:16:55 2003 +0000

    * include/video_output.h: forgot this file in the vout_Synchro commit yesterday.

commit 93de8cf8684cc3ab620e1f3a1a7e67929f9712c9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 5 02:43:55 2003 +0000

    * modules/gui/wxwindows/preferences_widgets.*: added a refresh button for config vars with choices lists which have a pf_list_update callback.
    * modules/access/dshow/dshow.cpp: provide a callback to update the devices lists.

commit b380a99486e04b5da9bbe7af58d3d004838b7f1e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 5 01:47:40 2003 +0000

     * all: who has seen that I have just forgot to release any buffers...

commit c3b01ee068d9d09de8cd6cf156e85a9982ba9c8d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 5 00:40:08 2003 +0000

    * moved garfou's changes before a variable that is at risk of overflow
      maybe this will fix the random crashes?

commit e53ac062b4ad2228ce69d11c481a0f0f17368159
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 5 00:39:17 2003 +0000

    * include/configuration.h: some small re-work of the config declaration macros.
       String choices lists can now also have a list of text descriptions associated with them.
       Added integer choices lists.
    * modules/gui/wxwindows/: modified config widgets to use the new config options.
    * ALL: updated for the new config options.

commit 354c7ab964f7e4bcc31a39ed0358b7f8c1135d38
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 5 00:17:50 2003 +0000

    Please test if this has any regressions
    
    * include/codecs.h:
      - created a subtitle_data_t to be used by subtitle demuxers
        and decoders to pass information.
      - ToDo: access/dvd/es.c and spudec need to be fixed to use the palette field
        of this new struct.
    * modules/codec/subsdec.c:
      - moved the decoding of ssa textlines to here.
      - ToDo: support for any tags is lacking atm., but now possible.
    * modules/demux/mkv.cpp:
      - ssa is now passed undecoded to ssa subsdec.
      - ssa headers are passed to ssa subsdec via subtitle_data_t
      - ToDo: decode idx header info and fill the subtitle_data_t
      - ToDo: support for compressed vobsubs.
    * modules/demux/util/sub.?:
      - moved ssa decoding out of here.
      - ToDo: add support for multiple tracks
      - ToDo: implement reading vobsub .sub files (not .idx)

commit ed6c9819636a124acf8ac0b795da1d04a4f46400
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 4 17:46:18 2003 +0000

    * src/video_output/vout_synchro.c, include/vout_synchro.h: got rid of the dependency on the vout.
    * modules/codec/libmpeg2.c: updated with the synchro api changes.

commit d9f10b40faa0591ed913646b46dc85022f73ddc0
Author: Simon Latapie <garf@videolan.org>
Date:   Tue Nov 4 15:52:52 2003 +0000

     * http interface: added "fullscreen" and "keep" functions

commit 05d53d9041be184be774ebf5ba6b887e52f93931
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 4 15:31:44 2003 +0000

      * bootstrap: Fixed an automake breakage when gettext is not present.

commit 294d05e1675721c5dae98a0ae91291d1e8a25c87
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 4 15:26:04 2003 +0000

      * debian/control:
        + Build-depend on fixed dvb-dev packages.

commit def5f9e2207c9b20fc0e3c2c95b013ed63f8cc66
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 4 14:51:51 2003 +0000

     * adpcm: converted to new API (need more testing).

commit 9498c61e75ec90ba9893894089b77d43097ce638
Author: Eric Petit <titer@videolan.org>
Date:   Tue Nov 4 11:11:30 2003 +0000

     + configure.ac:
         fixed a link issue on BeOS
     + modules/demux/util/sub.c:
         gcc != 3 fix
     + modules/gui/beos/*:
         compile fixes; never replace int32 with int32_t, these are not the
         same on BeOS (long/int)

commit ea33ac4ce9e2faeeb072cc8e41b7a6cc6fdaf8ba
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 4 02:23:11 2003 +0000

     * input: fixed position-offset, time and time-offset.
    
     * hotkeys: never _never_ use  demux_Control outside of src/input/ (it's
     completely broken,  there is a lot  more things to do),  all interfaces
     have  to  use  var_Get/Set  (time(-offset),  position(-offset),  state,
     rate(-slower|-faster)...  ).
     Btw,   input_SetStatus,   input_Seek,   input_Tell,   input_ChangeArea,
     input_ToggleES,  will   be  quickly   obsolete  and   removed(at  least
     unavailable for intf), so we should convert remaining interfaces (ie all
     except wx, osx, rc, http, hotkeys).
    
     * avi: implemented DEMUX_SET_TIME (not yet used).

commit 2069ebe6e98735676dfebf7c6370236ac43af7ec
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 4 01:27:33 2003 +0000

     * araw: ported to new API.

commit 689e6f400d7b96decb1a96d56a97b2ae67428664
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 3 23:05:03 2003 +0000

     * removed old faad detection.

commit 4e0f5d8d4d7c77ba335e3a9a22476b4e82a19cdc
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 3 22:36:45 2003 +0000

      * modules/misc/sap.c: fixed a warning and some coding style insanities.

commit 62442c205f8846b77304b028f383a6951924e49e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 3 22:30:15 2003 +0000

     * all: ported the faad decoder to the new API (btw, aac HE untested).
     I have not kept the compatibility with older faad version (but check is
     still be  done in configure.ac). (I  didn't like it as  old version are
     really buggy).

commit 2afa5ceae006865a1da30a9d8a900ba0321a2232
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 3 20:22:21 2003 +0000

    * modules/access/dshow/*: attempt at supporting DV inputs (completely untested).

commit 03d18c98e8576eab70efae9100279861bd657650
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Nov 3 15:27:28 2003 +0000

    * modules/gui/macosx/*: Commit of the Visualizations menu item.
    * ALL: bring the project files to XCode.
      10.2 users should revert the change in Makefile.am or they won't be able to
      build VLC on their machine. Editing the project files will probably also not
      be possible for them.

commit 9a1da9ef09e57e8fdcb4b539d0c1fcdfe78a28cd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 3 14:02:54 2003 +0000

    * modules/demux/mpeg/*: added support for ISO/IEC 13818-7 Audio with ADTS transport syntax to the TS demux.

commit 80646cc9b334bc68493679f4a7d293caeb445e3b
Author: Simon Latapie <garf@videolan.org>
Date:   Mon Nov 3 03:21:38 2003 +0000

     * http.c,index.html: add seek function in http interface. Also added "stream_position", "stream_length", and "stream_time" which could be usefull later (for a slider, for example :) )
     * changed http interface more "neutral" colors

commit 6edaeb5f7049161ffa38ec995504292e7ca375f3
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 2 23:13:30 2003 +0000

    Removed debug messages

commit 63beb0fdd72141b27e689dfc765484837f5ae821
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 2 22:51:56 2003 +0000

    * modules/control/http.c: cough cough.

commit 452fecf02665e718b5459dfc71fb85e9d939e7fe
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 2 22:28:46 2003 +0000

    * Makefile.am: small change to the package-win32 target.

commit 597323ab20931ee0ad9d53c0e30fa54cd5ba68c9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 2 22:16:32 2003 +0000

    * modules/gui/wxwindows/preferences_widgets.cpp: show the current value when using sliders.

commit 80f941556058d053fc64901e953797e1d8160ffc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 2 22:15:14 2003 +0000

    * modules/demux/util/id3.c, modules/demux/util/id3tag.c: don't use input_Peek() to read an id3 tag as these tags can be bigger than what input_Peek() can read.

commit ae27f53b5e8bcc9a1ad1604d357dec65ca15a369
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 2 21:26:41 2003 +0000

    * Makefile.am: include the .css file from the html interface into the win32 package.

commit 2a212b5c72f1d35d6683bc75821f9cbab58fb9ec
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 2 19:26:30 2003 +0000

    * modules/control/http.c: delete command supports a list of items.
    * doc/intf-http.txt: update for delete command.
    * share/http/index.html: added the possibility to delete playlist items.

commit 8a4ad005745fcadf6a4e5d67fa637e73f336d3dd
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Nov 2 18:03:45 2003 +0000

    modules/demux/mkv.cpp:
     * proper fix for timing with vobsub tracks ( and possibly some other cases )

commit a77da79156885e72f2356586149b218d56ff329f
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Nov 2 16:12:27 2003 +0000

    modules/demux/mkv.cpp:
     * fix a segfault on close caused by setting default language

commit 5f151d5106880ffccb0641f3eabdeee93ad34de0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 2 12:22:45 2003 +0000

    * src/audio_output/input.c: on-the-fly visualization changes.
    * modules/gui/wxwindows/menus.cpp: added a visualization entry.

commit faf9b659a939847862216ea3d80dd7e3c7b6f47e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 2 06:33:49 2003 +0000

    * modules/audio_output/input.c: created variables to allow for a autogenerated
      Visualizations menu (is this the right location?)
      Problems currently are: Doesn't work on the fly. where to start?
      For that reason it now also uses config options instead of variables.
    * modules/visualization/visual/visual.c: small adaptions
    * modules/gui/macosx/controls.m: fix warnings.

commit afc9d70d88fc2ba08cf81ced2f491285d7acb2a7
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 2 01:41:12 2003 +0000

    * Fixed bugs in parsing SSA lines. Turns out we are currently parsing within demuxers.
      The parsing of lines should of course be moved to the decoder level.

commit a90eb78daf580157cdedca4ac54a6ea0e9f34fd0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 1 21:50:01 2003 +0000

     * added stream_out_rtp.

commit 942d48852ca6848c9b8f8de5dc982a0eb7d2cf6a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Nov 1 14:35:38 2003 +0000

    * an ebuild that pulls vlc from cvs and installs that.

commit 9bcf04ca297e25fa0e15344cb15e3d44f706af8a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 1 10:07:09 2003 +0000

      * debian/control:
        + Build-depend on a newer wxwindows version to avoid incompatibilities.
        + Build-depend on linux-kernel-headers and build-conflict on dvb-dev
          because these packages cannot be installed together.
      * debian/rules:
        + Temporarily disabled the framebuffer video output plugin because of
           current code errors in linux-kernel-headers.

commit c43fd0523b9c234cc39c5fef62e78fe151adb0aa
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 1 06:57:51 2003 +0000

     * rtp: added l8 (u8 samples) and l16 (s16b samples) support (eg to use with
     transcode).

commit cf57335cd17f3cb99d435f0f9b90c7278b7ac3ac
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 1 06:56:29 2003 +0000

     * araw: mhh, aout_buffer_t.i_nb_samples is samples _per_ channels...

commit b780be348bb4804089e64da71de658e3cc58d141
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 1 06:27:45 2003 +0000

     * araw: added pseudo raw encoder. (s16b and s16l -> u8,s8, s16l,s16b).

commit 10b3709f8fd82bd34292b3b33faa486a2cfebd67
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 1 04:17:43 2003 +0000

     * rtp: - added TS/PS support. (ex: #rtp{dst=ip,port=port,mux=ts} )
           PS will work if there is only one stream as the muxer doesn't set
           correctly dts/length for muxed packets. (so pretty useless ;)
            - added mpeg1/2 video. (how overcomplicated is rfc2250),
           tested with mplayer+live.com (but I'm not sure that my ES parsing
           is ok.)
            - btw, there is a ttl option.

commit 0905f6ee8501f94baa4d6a459bfade2597956b0f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 1 00:15:49 2003 +0000

     * rtp: Added mpeg4 video(rfc 3016) and audio(mpeg4-generic). ( but far
           from perfect)
            Use udp raw mode.
            Generate a SDP file (for now it is just fprintf to stderr).
            The streams produced work under gmp4player. (mpeg4ip)

commit 94db15a8d7f67d201f96e2bfc53ad260a19fcb6e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 1 00:11:31 2003 +0000

     * udp: added a new option: raw, to use it udp{raw} (It doesn't try to
    fill packet send to mtu size, needed by rtp)

commit d41734c3c76cbdf3ad210ee84ea55bb5dfb473cb
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 31 23:57:28 2003 +0000

      * The "coincoin" Debian upload (no, it's not a cocker).

commit fc19e0d5ce3164e1ce11bd5ec8b22e3f7c73bb8d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 31 22:46:19 2003 +0000

    * starting support for external vobsubs.
      we can now read the .idx file. TODO:
      - create a structure to store subinfo in (like WAVEFORMATEX and BITMAPINFO
      - allow for multiple tracks in the sub demux
      - open the .sub vobsub file, remove the mpeg crud and prepare a packet
        for spudec.

commit f698e1fcbd9fd808c70395ff25b2d552742edc34
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 31 18:18:46 2003 +0000

    * modules/control/hotkeys.c: use demux_Control( p_input, DEMUX_SET_TIME, ...) to seek, for better precision.
    * modules/video_output/directx/events.c: fix to catch the Alt key.

commit 86982725e98788776e6d8f90f25c33bc886bff50
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 31 16:57:12 2003 +0000

     * begin to add a rtp mixer. For now it support mpeg audio and ac3(untested).
     TODO: (a lot of work)
        - gather multiple small frames in one packets (not really important).
        - add mpeg 1/2 video
        - export a sdp file (needed for all next codecs).
        - add mpeg4 audio/video
        - add ts/ps over RTP.
        - perhaps ogg over RTP if something is abled to read that.
    
     command: #rtp{dst=ip,port=port,[mux=muxer]} (mux not yet implemented)
    
     It automaticaly uses ip:port, ip:port+2, ip:port+4 ... (port should
     be odd btw)

commit 18949ec8ff41205ddc2e75eb73b214c4b17bf273
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 31 15:54:53 2003 +0000

    * modules/demux/mkv.cpp: Set English as the default for track language.
    * modules/gui/macosx/vout.m: removed debug
    * modules/gui/macosx/open.m: Panther compilation fixes
    * modules/gui/macosx/controls.m: OSDMessages :)

commit 2ec1057c8bd6b51f3f5ff640f2e8cd9cb90a25e1
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 30 23:17:59 2003 +0000

    * Use the new vout_OSDMessage on the new hotkeys functions.

commit a6233ea01656066338399427cea3dc8f764ffbfa
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 30 22:34:48 2003 +0000

    * implemented a vout_OSDMessage to display messages on the video at a specific
      location by any module.
    * added a OSD config option to the Video options. this will allow you to disable
      the messages printed by OSDMessage. Subtitles will still be shown however.
    * src/audio_output/intf.c: volumeSet sets the intf-change variable.
    * modules/gui/macosx/vout.m: fix the modifier detection.

commit 1c3e013ae4ba26fb2c74f56f97fa16f3c6f1043f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 30 21:44:48 2003 +0000

    * include/modules_inner.h: bigger p_config[] array because the main module is becoming quite big.

commit c8249bfb0b31c318f6252b057e212e2e62d867c5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 30 17:59:12 2003 +0000

    * modules/gui/skins/win32/*: fixed a problem with drag&drop when restarting the skins engine.

commit 46c6826dab36f83bc43f3be7281b245b4ba58adf
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 30 17:58:07 2003 +0000

    * modules/control/hotkeys.c, src/libvlc.h, include/vlc_keys.h: added hotkeys for jump actions.

commit fe21029c681ff70f4534ef9bfd53b3ffa604fe7f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 30 12:01:01 2003 +0000

    * modules/stream_out/transcode.c: fixed last pts/dts calculation breakage.

commit 90322f67b1f9932fb96fafcf3b51f6203679ef68
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Oct 30 00:12:02 2003 +0000

    modules/demux/mkv.cpp:
     * fixed timing with vobsubs

commit f67d9f1a8f09d5d1626251b0b19fc51abee22a75
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Oct 29 23:36:59 2003 +0000

    modules/demux/mkv.cpp:
     * added support for matroska files with embedded spu tracks, what the
       matroska people call VobSubs

commit 79270b87226aa12b6f496a400584e633669e85e8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 29 23:31:57 2003 +0000

    * modules/gui/wxwindows/preferences_widgets.cpp: attempt at optimizing KeyConfigControl which is really slow on wxGTK.

commit d93b7343bc7f455f7587ed235c7ed28a35311106
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Oct 29 22:25:11 2003 +0000

    Wrap help at 72 chars instead of 80 to get our whole text displayed in the normal size

commit 80675857ea89ab2bb3a27158c7b04634fe960c7f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 29 21:04:55 2003 +0000

    * modules/gui/wxwindows/preferences.cpp: restored the old size of the preferences panel... it is big enough already.

commit 33143a6885bd79a5a07029ebf9cd4d788756dbb8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 29 20:53:41 2003 +0000

    * modules/codec/ffmpeg/ffmpeg.c: CODEC_ID_MPEG2VIDEO only supported from version 4676.

commit faf0b1842eed295615aa24669446f9b5c109b3d9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 29 19:35:43 2003 +0000

    * modules/codec/ffmpeg/ffmpeg.c: CODEC_ID_MP3 is only available on recent ffmpeg versions.

commit 7f257862a9968d254db0a1013fd3e0105a8ff742
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 29 18:54:46 2003 +0000

    * modules/gui/wxwindows/*: fixed breakage.

commit fd616f91f91cb7bd90abf18d0f6e1e2d73fd7f15
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Oct 29 18:00:46 2003 +0000

    Grmbl, it was obvious I would forget to add the new files

commit 84b846bf8c510666af2b7436ce4563025e6b6063
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Oct 29 17:32:55 2003 +0000

    * src/playlist/* && Makefile.am
       - splitted the enormous playlist.c file
       - implemented a better item group system: groups have a name
         and must be created before use by
          playlist_CreateGroup( p_playlist, "newgroupname")
    
    * modules/misc/sap.c
       - Create our own playlist group ("SAP") and use it
    
    * modules/access/slp.c
       - Create our own playlist group ("SLP") and use it
    
    * modules/demux/util/id3tag.c
       - Trigger playlist update when we have parsed our tag
    
    * modules/gui/wxwindows/interface.cpp
       - Fixed the about box by using vlc_wraptext
       - Added the simple open and the streaming wizard icons
               *** Icons need to be changed ! ***
       - Added the visualization to the extended gui
    
    * modules/gui/wxwindows/preferences.cpp && include/vlc_help.h
       - Enlarged the window to fit the wrapped text
       - Added help for audio encoders
    
    * modules/gui/wxwindows/stream.cpp  & open.cpp & include/vlc_interface.h
       - Created a "streaming wizard" window (3-step streaming)
    
    * modules/gui/wxwindows/iteminfo.cpp:
       - Group change is now based on the name
    
    * modules/gui/wxwindows/playlist.cpp
       - Added author and group columns to the listview
       - Redesigned the window
       - Added the Sort menu with several criteria (title, author, group)
       - Added up/down buttons to move an item in the playlist
       - Added the group menu to enable/disable a group in an understandable way
    
    
    TODO:
    -----
    
    * playlist core :
       - Implement advanced sort capabilities  (multi-criteria)
       - File format to save the new features
       - export playlist (to M3U, eg)
       - more robust group creation (duplicates check, ...)
    
    * wxWindows playlist:
       The idea of a treeview seems impossible, because of wxWindow's treeview,
       that don't allow multi-selection, and, as far as I know, multi-columns.
       - Provide a frontend to advanced sort (when it's done :-) )
       - Allow moving items by drag & drop (well, if possible, haven't checked yet)
       - Allow moving several items at once
       - Customizable listview (ability to remove/move columns)
       - Find a solution to the focus problem
         (when you change track, the selected one scrolls at the
          bottom of the visible screen)
    
    * wxWindows interface:
       - New icons, our icons begin to get old and not so pretty
       - Find a solution for the volume bar (nobody understands what it is)

commit f0c465614ef39eb6e325bb5c21818238ac85e6b2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 29 12:23:51 2003 +0000

    * modules/misc/freetype.c: don't use the pitch of the picture to calculate the text alignment.
    * modules/video_output/directx/events.c: fixed key modifiers detection.
    * modules/gui/wxwindows/*: removed the sorted flag from a couple of comboboxes.

commit d9066737e54be64a2172d43e4d98822d7d78faa6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 29 11:54:48 2003 +0000

    * hopefully this fixes the instability of the osx vout.

commit cd2c272c7c2d743f6e94c06752242aa4aebaa7c9
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 29 02:13:04 2003 +0000

    * the OSX vout has support for the new hotkeys now. no prefs for it yet.
      And this is no final solution, i think it should be handled in VLCApplication.

commit 90973854600e7a80bf71ccd87018704fe06a49af
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 29 01:33:27 2003 +0000

    * ALL: improved hotkeys support.

commit e41adc05831be2a11c69bcbdf0ce9c0477e1f8b9
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Oct 29 00:04:56 2003 +0000

    modules/misc/freetype.c:
     * fixed freetype module on big endian systems
     * removed a nasty debug line
     * cosmetic fix

commit 896ea693267f07e7658ab62f9bd6e8d53d6557d5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 28 21:59:13 2003 +0000

    * modules/video_output/x11/xcommon.c: hotkeys handling cleanup and support for ctrl/alt/shift modifiers.
    * modules/gui/wxwindows/preferences_widgets.cpp: correctly select the active hotkey (needed on win32).

commit 3b9cfe30fbe9882657de62153670d66ecb37ad4f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 28 20:34:41 2003 +0000

    * fix the missing symbols ogg issue

commit b5b04149251512a564ec56bcfcbd4395321e7123
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 28 20:15:48 2003 +0000

    * src/misc/darwin_specific.m: fixed some languages.
    * include/vlc_keys.h: added some extra keys on my keyboard.

commit f9d2937164ac82ab01aa29295a11e133a143d956
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 28 17:02:14 2003 +0000

    * modules/video_output/directx/events.c: added centralized hotkeys support.
    * modules/misc/freetype.c: fixed default font on win32.

commit 01bf97e772f886dd7035e8b9cd5e0300632b17e0
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 28 14:51:50 2003 +0000

      * include/vlc_keys.h: inlined the static function to avoid warnings.

commit e4890e53ba4447e3c02185bb9817353d272be73e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 28 14:17:52 2003 +0000

    * modules/codec/ffmpeg/video.c: fixed screwed up indirect rendering.
    * modules/codec/ffmpeg/postprocess.c: idem for postprocessing.

commit 553eb3fdefa40ae13b2d7751045f6377146e12ba
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Oct 28 07:17:45 2003 +0000

    Fix for a synchronization problem when a checkbox has 2 identical events

commit 52b25baa6b7d96c4bf7d58b9976d011309b5288c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 27 22:42:02 2003 +0000

    PDA interface update:
    * File tab is beginning to work
    * Adding file to Playlist begins to work
    
    Note: not very usefull yet.

commit fe3f88cae034e66a540dd031bfe84c5ad53bd32e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 27 22:13:36 2003 +0000

    * modules/gui/wxwindows/streamout.cpp: added theora to the list of video codecs and a few more bitrates.

commit 5d8bdd3f4d1e5c32cf9b4f49feb7f4c82fa8431d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 27 21:54:10 2003 +0000

    * src/audio_output/dec.c: moved the audio desync option out of p_vlc so it can be modified on a per input basis.

commit 21567c21a4b0b029ed4d249c3bc795de8145f822
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 27 20:53:10 2003 +0000

    * modules/stream_out/transcode.c: bail out if we can't find an audio encoder.

commit f6dca10f5937cbbf5b2924e0357c555875a94027
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 27 19:48:16 2003 +0000

    * modules/stream_out/transcode.c, modules/codec/ffmpeg/encoder.c: move the ffmpeg pts hack to the ffmpeg encoder.

commit 1e13b57c8d1cae1f6d12677427f9f665e9f14f29
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Mon Oct 27 18:57:12 2003 +0000

    Don't assume when Activate is called that i_tell is at the beginning of
    an MPEG. Instead save that position seek to the beggining and restore
    the position. This allows Video CD's to be able to start from an
    entry other than the first one of a track.

commit d83f47c4865ace22bd5d3f9c94a4f41ec9186f26
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 27 17:50:54 2003 +0000

    * modules/codec/vorbis.c: fixed vorbis encoding.
    * modules/codec/ffmpeg/*: fixed ffmpeg encoding.
    * modules/stream_out/transcode.c: transcoding is working again.

commit e7d665052834a3cb508893fe3060ba3ae929b88f
Author: Damien Lucas <nitrox@videolan.org>
Date:   Mon Oct 27 13:35:16 2003 +0000

    . in PMT decoder, fix the iso639-2B language code decoding bug:
       only iso-639-2T codes were decoded

commit 17a52d7d32384d61f368cb80d27017142969aa4f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 27 10:00:40 2003 +0000

    * modules/codec/ffmpeg/audio.c: compilation fix

commit 630b0fc7072379071fb53c12efdcc52360f0c4e5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 27 01:04:38 2003 +0000

    * modules/codec/ffmpeg/*: ported the ffmpeg audio and video decoders to the new api.
       Isolated the video postprocessing routines in postprocess.c
    
    * modules/codec/ffmpeg/encoder.c, modules/codec/vorbis.c, modules/stream_out/transcode.c,
       include/vlc_block.h, include/vlc_codec.h: extracted the encoders out of transcode.c.
       transcode now uses encoder plugins (currently ffmpeg, vorbis and theora).
    
    PS: transcoding is currently a bit broken but I'll fix that ASAP.

commit 074f7be593767bd863a4584eb63f95a7b3da42b0
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 26 23:03:47 2003 +0000

    modules/video_output/x11/xcommon.c:
     * report F1 to F12 keys

commit 42ffb818d463290a4727e7acce46d2cbc582efe4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 26 17:50:23 2003 +0000

    * modules/video_output/x11/xcommon.c: compilation fix.

commit 82e4304a9b3ede2d8d9c1c41f53b370f8a717790
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 26 17:11:56 2003 +0000

    * Makefile.am: strip the mozilla plugin when doing the win32 package.
    * configure.ac: on win32 we compile the theora module as a plugin, not builtin.

commit dc29951c7ffea201558f1237a1f2378f342f3b07
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 26 16:12:35 2003 +0000

    * configure.ac: check for mozilla-config.h on win32 as well.
    * mozilla/support/npwin.cpp: some mozilla sdk don't include mozilla-config.h explicitly so do it ourselves.

commit c253c2560a4f55141bc6b126f0442e9172359667
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Oct 26 14:49:26 2003 +0000

      * bootstrap: Fixed breakage from previous commit.

commit 0ef59d80b3ce464b8c12d66b5040c6a70667224a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Oct 26 13:57:39 2003 +0000

      * bootstrap: Fixed a shell thinko causing unwanted plugins to be built.

commit 78984fbe8eb7538aef18dae48972ec6a446d77bb
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 26 13:10:05 2003 +0000

    modules/access/dvdplay/intf.c:
     * use new key-pressed in p_vlc, and not the one in p_vout
    src/video_output/video_output.c:
     * do not create the key-pressed variable in p_vout

commit 54167ecfaa603fd199627944650aacced2e16e6c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 26 13:07:50 2003 +0000

    * INSTALL.win32: updated build instructions.

commit a27027bb051019a579c5f0e5df0accfce1528412
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 26 12:49:24 2003 +0000

    * configure.ac: added a --disable-fribidi option and make sure the freetype module is linked with libiconv.

commit 9ec1b8a0275afa50e0f161b38932d2425970451b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 26 12:46:55 2003 +0000

    src/libvlc.c:
     * created a variable "key-pressed" in p_vlc that can be used to
       report or read key presses
     * allways try to start hotkeys interface in the background
    configure.ac, modules/control/Modules.am, modules/control/hotkeys.c:
     * a new control module that reads keypresses from "key-pressed" and
       performs an action depending on what is asosiated with this key.
       Also uses nice on screen messages to indicate what action was performed
    modules/video_filter/filter_common.h:
     * removed code to pass old style key reporting through filters
    modules/video_output/x11/xcommon.c:
     * report key-presses through the new mechanism. Incomplete, I need help
       with this.

commit 4363f75abf93c34cb68f83ad93370bf2df5ba51e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 25 20:19:19 2003 +0000

     * v4l: added fps option to reduce the frame rate.
     Untested -> please report success or faillure.

commit c4c17554d9135072b9eeb7b610b0583f243b44b5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 25 17:48:05 2003 +0000

    * bootstrap: fix for the AC_MSG_WARN() problem when pkg-config is not installed (hopefully).

commit 1aabea86036a7919e293e513d45f3d47d94b838d
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 25 04:49:41 2003 +0000

      * modules/gui/wxwindows/Modules.am: Added a missing header to the file list.

commit 1412088fc990a72f4d19a09b532eb0a8a856b1bd
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 25 04:48:55 2003 +0000

      * bootstrap:
        + Fixed a typo causing the Mozilla plugin build to fail.
        + Call the generic rule in "all" instead of "all-am" to spare one make level
          of recursion.

commit 5b629ba1082e7f9bbb81bd220e9e55f39fcac854
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 25 03:44:46 2003 +0000

      * bootstrap:
        + Smaller makefiles.
        + Faster builds. Heh.

commit 88991a5ce9c2603bc5a9be0779353fe08b29e8f9
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 25 00:49:14 2003 +0000

      * include/vlc_common.h:
        + Removed u8, s8, u16 etc. for good.
      * ALL:
        + Replaced all occurrences of u8, s8, u16 etc. with uint8_t, int8_t, etc.

commit a2fefa1c19f7368c90086d547047a15e33301bcd
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 25 00:42:31 2003 +0000

      * modules/video_output/wingdi.c, modules/video_output/svgalib.c: Fixed compilation
        errors due to the recent API change in vout_AllocatePicture.

commit 1a67448183a9c5ab7b5b427fb80d2d1a2e34ff8d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 24 21:27:07 2003 +0000

    * configure.ac: fix for wxWindows headers detection.
    * all: changed the prototype of vout_AllocatePicture() and vout_InitPicture().
    * src/video_output/vout_pictures.c: new vout_InitFormat() function that initialises a video_frame_format_t structure.
    * include/vlc_video.h: extended video_frame_format_t.
    * modules/codec/rawvideo.c: ported to the new decoder api.
    * modules/video_output/x11/*: simplifications.

commit 170d7aa695e5af0cf0510d916e7effe2db12ea76
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 24 17:55:14 2003 +0000

    * modules/packetizer/mpeg4audio.c: when packetizing adts streams, make sure we remove the adts headers before sending the data.

commit d5bbc638506e23f1c7303a6cc41eb21a58ab2bf0
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 24 17:43:51 2003 +0000

      * modules/visualization/visual/:
        + Renamed fft_init into visual_fft_init because of a name clash with
          the ffmpeg libraries.
        + Replaced u8 s16 etc. with uint8_t int16_t etc.

commit a6590ac0ae663b7863462af1c76eee20ecccc903
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 24 17:41:58 2003 +0000

      * include/iso_lang.h: Since the exported functions use the "const" keyword,
        put the declarations in extern "C" {} in C++ modules.

commit 139e02861abcb1966ced0098e0a2572d385c1e2b
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 24 16:34:30 2003 +0000

      * Makefile.am: Recurse into doc/ to install documentation.
      * configure.ac: Removed mention of plugin packetizer_mpegaudio which does
        not exist.

commit be7e3f05a32652f3a484a19f922730613fce992e
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 24 14:50:07 2003 +0000

      * toolbox: On Debian woody, don't activate the speex plugin, and use
        ttf-thryomanes instead of ttf-freefonts (not available).

commit 38b51aec85241caf4b6e1ba6792e9e09a91f0d54
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 24 14:45:24 2003 +0000

      * debian/rules:
        + Activated the speex codec.
        + Activated the PVR input module.

commit e1c0a5c02b0d1a564aba82c4e133b5e000c5a700
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 24 14:13:59 2003 +0000

      * modules/misc/freetype.c: Compilation fixes.

commit f581e336a959ce4c1b1d0fe7e004fcce7953df3d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Oct 24 12:22:51 2003 +0000

     * avi: fix for playing avi file from ffserver.

commit 267e0621ed77aa715d25fb0ffcd434a883ebcaac
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 24 11:53:59 2003 +0000

      * bootstrap: Fixed the "clean" rule in module subdirectories.

commit b6563901b1dfc5442563f17b5286fc6a80d38338
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 24 11:31:51 2003 +0000

      * debian/rules:
        + Disabled the deprecated satellite plugin; the dvb plugin is now
          the recommended one (Closes: #216367).
        + Don't install fortunes in /usr/share/games, they are too private for
          common mortals (Closes: #212856). They are still available in the
          /usr/share/doc/vlc directory though.
      * debian/control:
        + Depend on ttf-freefont for subtitles.

commit 9ed7b9fae5ce2ebe9a288e572f73625ba6557f91
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 24 11:28:57 2003 +0000

      * modules/misc/freetype.c: Set the default font to a common Debian font.

commit 418cd5fefced96179e7ea005aefb79111f916d0c
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 24 11:28:12 2003 +0000

      * modules/access/satellite/access.c: Typo.

commit 949ecd0d2af59311d28552526e46990fc1bff82d
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Fri Oct 24 09:32:32 2003 +0000

    changed input parametter to channel, to be compatble with v4l input

commit ec8704b3d0e76c31d54b4b3fe178bd6de43c50fb
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Oct 23 23:00:37 2003 +0000

    configure.ac, modules/misc/freetype.c:
      * Bidi support in the freetype module through fribidi

commit 8fb55fe0cb1b1e581de5dc42dbd73baa9ffa176c
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Thu Oct 23 22:46:16 2003 +0000

    Added the "input" parameter in pvr input command line. Default is input=4 (tuner)

commit 8ac29ed7b351177c2bfd21dcf9bccadff60016fe
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 23 21:55:50 2003 +0000

    * modules/audio_output/alsa.c: recover more easily in case of underrun.

commit 8d66384715b15db3d2450841b62ca3997ab3656d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 23 21:28:11 2003 +0000

    * modules/codec/mpeg_audio.c: debug_message--;

commit 48d16c435e5f09f40fa45658f0a1c7a8759caa29
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 23 20:51:20 2003 +0000

    * include/vlc_block_helper.h: fixed an idiotically stupid bug in block_PeekOffsetBytes().
    * modules/codec/mpeg_audio.c, modules/codec/a52.c, modules/packetizer/mpeg4audio.c: fixed a couple of issues.

commit 3fa2bee809cf60426baa3e430fe8388aa314bee6
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 23 17:04:40 2003 +0000

      * configure.ac:
        + Detect <mozilla-config.h> on newer Mozilla versions.
      * mozilla/vlcpeer.cpp:
        + If neither NP_UNIX, NP_MACOSX nor NP_WIN are defined, default to NP_UNIX.
        + Use <mozilla-config.h> whenever possible.

commit 287b6a68e97c22762091077578835912558005a1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 23 16:48:45 2003 +0000

    * modules/demux/ogg.c: arrggg... I shouldn't be allowed to commit ;)

commit dda8e39fcf2b35ac22c46edc03ca3fd0b0df1c20
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 23 16:43:37 2003 +0000

      * src/libvlc.c: hid p_static_vlc in a vlc_current_object function so that
        it can later be used from outside as well.

commit aa9e8c482d54ebebb4208bb958b7a065f6f46ba1
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 23 16:26:21 2003 +0000

      * doc/Makefile.am: Install a few files in /usr/share/doc/vlc/.

commit ffe7cd8e81d98da8ab7151bde5dde93da5218829
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 23 16:00:48 2003 +0000

    * modules/gui/skins/src/*: don't forget to recreate a win32 timer when the skin is changed.

commit edad4b8a0f412b28a2c7c6bc455ccbb027879301
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 23 15:30:22 2003 +0000

      * bootstrap: Only start removing files when required tools have been
        checked, to prevent inadvertent file losses.

commit 10b303ec01f33e53bf98ef386cccc615dc120229
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Oct 23 14:30:26 2003 +0000

    Reviewed file:
    - fixed border cases with peeking in the packet.

commit 876e2bb5925c8140755b3fd196b7c94ea96431b1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 23 11:26:08 2003 +0000

    * share/skins/default/theme.xml: set "playondrop" to false for the playlist window.
    * Makefile.am, modules/visualization/visual/Modules.am, modules/stream_out/Modules.am: added missing headers.

commit 0ca852db5dce29d78412314d84f839d45af994ad
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 22 21:08:15 2003 +0000

    * NEWS, modules/LIST: updated with the new features.

commit bbf9da7dac74bbf2c0e5e97a335ea51a23e79c95
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Wed Oct 22 19:12:56 2003 +0000

     * modules/gui/skins/*: Added a "playondrop" attribute to the "Window"
         tag, which enables to choose whether drop files should be played
         directly or only enqueued (default is "true", to be backwards
         compatible).
         Implemented on win32 and x11, only tested on win32.
     * doc/skins/skins-howto.txt: Updated the doc accordingly

commit 2b22ca834cba666adf4c271bd77524c20f295038
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 22 18:24:08 2003 +0000

    * modules/codec/speex.c: fixed a couple of bugs.

commit dd9e6708a21f91e0b78772ad8f8de54a0d81c94e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 22 17:12:31 2003 +0000

    * configure.ac, modules/codec/Modules.am, modules/codec/speex.c: new speex decoder and packetizer using libspeex.
    * modules/demux/ogg.c: added support for speex to the Ogg demuxer.
    * modules/mux/ogg.c: added support for speex to the Ogg muxer.
    * src/misc/variables.c: when creating choices object variables with inheritance enabled, automatically add the inherited value to the list of choices.
    * modules/access/udp.c: use an object variable and inheritance for "udp-caching".
    * src/input/input.c: disable the hack for filenames with colons on win32 because filenames can't contain colons.

commit c106f23b7d6f68a637acb1d73fba58df9b3c01ac
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Oct 22 00:00:54 2003 +0000

     * added support for S_SSA and S_ASS old way (fix 1373).
       added removing of all {\xxxx} in the SSA stream.

commit 1547721fd31073c17fa895b26d1c8a43e4b71734
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 21 18:33:53 2003 +0000

    * modules/codec/ffmpeg/video.c: compilation fix for the latest ffmpeg changes (AVRational).

commit 7f6e157f1a4cb628fbe312e28c98d2dcaf67cf82
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 21 17:31:36 2003 +0000

    * configure.ac: tell the build system that mkv is a c++ plugin.

commit 9a88dda145b60346eb47e27e0dcbdfaa17a411e5
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 21 12:30:40 2003 +0000

    Fixed dropdown lists. they were returning descriptions on a SaveAll instead of config options.

commit b91de5ff8acdeb6ae4a023712dcfa83ecff40621
Author: Eric Petit <titer@videolan.org>
Date:   Tue Oct 21 01:48:02 2003 +0000

     beos/VlcWrapper.cpp: started to use object variables

commit fa3d8b417ce69e4824138c7259e0fddaeb03bebd
Author: Eric Petit <titer@videolan.org>
Date:   Tue Oct 21 01:05:32 2003 +0000

     configure.ac:
      + updated libebml/libmatroska detection as matroska headers no longer
        include ebml headers directly. Hope you upgraded it - if not, you'll
        have to set your CFLAGS accordingly.
      + on BeOS, libmkv_plugin.so has to be linked to libstdc++
    
     modules/control/http.c:
      + fix for gcc != 3

commit 0dea3ebd6785930e513f68c0cf344c4698899271
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 20 22:43:36 2003 +0000

     * intf-http.txt: small doc about how to write .html page for the http
     interface (up to date, but a bit technical...).
    
     Btw, the first who ask me to write another documentation will just go
     to hell ;)

commit 49603672a3dd4415294931fa63f0487b894230d4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 20 22:28:26 2003 +0000

    * src/playlist/playlist.c: added a playlist var_Set( "intf-change" ).

commit 1414f630aa5830878f49d1dfc11dae5150b312f7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 20 22:27:05 2003 +0000

    * modules/gui/skins/src/vlcproc.cpp: play, pause, and stop checkbox controls are now updated on "intf-change" playlist variable callback.

commit 2cead86e31b49c3e4fa2e462071efaaaa9d39bef
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 20 21:48:46 2003 +0000

    * Makefile.am, install-win32: include the mozilla plugin in the win32 package.
       You'll still have to install the mozilla plugin manually though.

commit d8799dcf608e43e5b25e74442ed3398a01ab33ac
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 20 17:18:54 2003 +0000

    * modules/demux/avi/libavi.c: multiline strings are not valid C.

commit 45adcf75e1dcb75c7549f3d6913ba938b0dc1895
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Oct 20 15:28:03 2003 +0000

    Removed an awful debug message

commit 3173b30a2dcaa8b3f3ff8af9f0a11c05e945551a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 20 12:25:22 2003 +0000

    * modules/gui/wxwindows/preferences*: added GetName(), GetType() and IsAdvanced() to ConfigControl and got rid of ConfigData for even more simplifications.

commit de1be1c13f90635eb4788ff1c2e1e9e09942cda7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 20 10:37:56 2003 +0000

    * Makefile.am, bootstrap, mozilla/Makefile.am: don't try to build pic _and_ non-pic code on win32 as there's no need for pic code on this platform. This should almost reduce the compilation time by a factor of 2 when the mozilla plugin is activated in the build process.

commit a51b1992747c9cec7770574aa11e03c3074096db
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 20 01:07:28 2003 +0000

    * even less duplicate entries by id3tags. Dupes are annoying :)

commit c26c8eec7db66a7c4f57bccefc33debc3fa46504
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 20 00:09:27 2003 +0000

    * modules/gui/wxwindows/preferences*: beware, casts from strings to char * are allocated on the stack.

commit 414b3c3bca14dcf84753d38bc3627ee9f434033f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 20 00:01:06 2003 +0000

    * Added a "demuxed-id3" variable to input.c so id3tags won't be parsed
      multiple times anymore.

commit 6fc5b53e3e384e7f71f7d74622059479197707aa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 19 23:38:09 2003 +0000

    * modules/gui/wxwindows/preferences_widgets.cpp: compilation fix for unicode build.
       Small cosmetic fixes to the code.
    * modules/gui/wxwindows/menus.cpp: added a couple of new options.

commit 908f4efc3cb731ec5752c6822323452e88d88a97
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 19 23:12:16 2003 +0000

    * include/codecs.h: cosmetic fixes.
    * modules/gui/macosx/*:
      - remove the enqueue option from the open panel. why did i even add it? KISS
      - better use of name and uri fields of playlist_item_t
      - when users d&d a CD on VLC, it will now play. This breaks d&d folders
        located on a CD for now. Not really important but should be fixed later on.

commit 4b33c51d7d583e94519f8f8771d7ac01021910e6
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 19 22:52:11 2003 +0000

    modules/gui/wxwindows/interface.cpp: oooops

commit cae376f2e813ec03e57bdaf1c491a3bbb7481314
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 19 22:41:18 2003 +0000

    Factored the code for each of the different types of config options out into
    separate widgets. This makes preferences.cpp much cleaner and opens up
    greater possibilities for the config item controls.
    * Added "browse..." button to CONFIG_ITEM_DIRECTORY
    * Added a slider to CONFIG_ITEM_INTEGER when i_min or i_max differs from 0
    * Made it possible to change CONFIG_ITEM_KEY options with the preferences
    dialog

commit ed1df1f7702722d7ca3506b7636eeec730bc066a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 19 22:25:10 2003 +0000

    * modules/gui/skins/x11/x11_window.cpp: try _NET_WM_STATE_STAYS_ON_TOP as well for KDE.

commit f20d985a2cd8bd74443a2387a06c2f4f66ee2357
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Oct 19 20:32:21 2003 +0000

    * lalala

commit 7ebb8a7e288fd447443700498fb8d75981ebbcd5
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Oct 19 20:05:56 2003 +0000

    * tried to implement on-top windows on X11, but doesn't work for me :(

commit 65be662091ddd4159f2180499f4b9b2148690c28
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 19 16:53:59 2003 +0000

    * modules/demux/ogg.c: fixed endless loop when trying to play a theora stream while the demux was not compiled with theora support.

commit 76d5dc167fe3906ff899b30e0920714527c4ad97
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 19 14:02:33 2003 +0000

    * Update portugese brazilian translation

commit 898575aa36be19b77958da222f9445c1e2e4b3b3
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 19 13:39:12 2003 +0000

    * modules/demux/avi/*
      - print a debug message in case of 0xfffe audio
        This is either a WAVEFORMATEXTENSIBLE or encapsulated vorbis audio
      - use c-style comments
    * modules/gui/macosx/info.m:
      - release your objects when you finished using them.

commit af0b400d37091bd1de2ca92f5386c48d8e23aa5f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 19 12:37:03 2003 +0000

    * modules/gui/skins/src/vlcproc.cpp: free()/delete mismatch.

commit ae9e72a7a759eeb5f184a29a22e8215fe12cdd13
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 19 12:20:00 2003 +0000

    * src/playlist/playlist.c: fixed locking problem.
    * modules/gui/skins/src/skin_main.cpp: fixed division by 0.

commit 0ee11d7b4768f03dbe7def78e48d663ebe459519
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 18 22:48:25 2003 +0000

    * id3tag fills the psz_name and psz_author field of playlist_item_t

commit 61c55d3e29100a81b364513c93649b274b0d37ae
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 18 21:46:01 2003 +0000

    * The SAMI parses did case sensitive tag parsing. However both START, Start
      and start are legal tags. I added a local_stristr (also sometime known as strcasestr)
      function to this file. It probably doesn't belong here, anyone is welcome
      to move it.

commit a75d76c11c381c9b44fdcd986ea3009a5a39165d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 18 20:09:23 2003 +0000

    * modules/access/dshow/*: fixes and optimizations. Also changed all the parameters into config options.

commit d20e5f41636fe42e32e6e75488da5aeb8819b6f0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 17 21:28:21 2003 +0000

    * modules/gui/wxwindows/streamout.cpp: fixed the rtp field.

commit c416fc0b88dccb1147f59f705093c6d343df4d26
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Fri Oct 17 20:21:59 2003 +0000

     * modules/gui/skins/src/banks.cpp: Two events had the same shortcut
     * doc/skins/events-howto.txt: Updated the doc accordingly

commit 99f278fcea1fc95fc1000b228ef931c3b92ef604
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Oct 17 18:59:00 2003 +0000

    * A few sanity checks
    
    * Escape < and > to prevent script injections (could be done easily with crappy playlist items)

commit 7fc09b62942f78801368e6fd595eef8d465ef549
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 17 18:45:20 2003 +0000

    * Makefile.am: don't forget include/vlc_keys.h in "make dist"

commit c306264221b8b3713d4c5895312969bc4b7c43b9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 17 18:38:47 2003 +0000

    * src/video_output/vout_synchro.c: mpeg video synchro patch that fixes the susceptibility to timing jitter when decoding the first frame (courtesy of Simon Gittins).

commit 98fe36c3cbda4fbf75fb46f7674d3a201ed5ae88
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Fri Oct 17 18:17:28 2003 +0000

     * modules/gui/skins/*:
            Added an "Always on top" entry in the system menu (it can also
            be triggered by Ctrl+T). Implemented on Windows only, but to do
            that on X11 you just need to write X11Window::ToggleOnTop().

commit 1ecc320869fa09ca48e630eb913ff725c843fa59
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 17 16:40:09 2003 +0000

    * modules/gui/wxwindows/preferences.cpp: fixes some alignment issues in the config options panel.
    * modules/gui/skins/src/*: use (AOUT_VOLUME_DEFAULT * 2) as max volume.
    * modules/video_output/directx/*: use inheritance for the direct-always-on-top object var.
       Added Ctrl+left/right arrows as shortcuts for seeking in 1 min chunks.
    * modules/mux/mp4.c: fixed the audio/video sync.

commit a0d1480b651605bbcea38161a5408b00fdeb4553
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 16 16:04:25 2003 +0000

    * modules/gui/skins/src/vlcproc.cpp: don't forget to lock the playlist object.
       Check p_playlist->i_index is != -1 as well.

commit 8b784013ef6e0ff9b62bb9070abfc6bd2b82b914
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 15 22:49:48 2003 +0000

    * modules/video_filter/*: forward fullscreen event between children and parent.

commit 205c1ecf056412619c3bca175546639b23026d54
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 15 12:24:14 2003 +0000

    * modules/gui/skins/win32/win32_run.cpp: don't forget to delete VlcProc
    * modules/gui/wxwindows/*, modules/gui/wxwindows/*: don't forget to delete all our variables callbacks.
    * modules/gui/wxwindows/dialogs.cpp: don't delete the dialogs provider twice.
    * modules/gui/wxwindows/menus.cpp: small cosmetic changes.

commit 28ea8cc25d9184d44013779f15aeb1a90231cfe9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 15 07:34:25 2003 +0000

    * modules/control/http.c: small bug fix.
    * mozilla/vlcshell.cpp: win32 fix.

commit a4f4d02fdbb650647a062bc9688a61d76f2216e7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 14 23:09:03 2003 +0000

    * src/interface/interface.c: interfaces added on the fly are attached to p_vlc instead of the main interface.

commit 3a5ec777c6ebdb84f8b908c7613a73499e0c8a43
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 14 22:41:41 2003 +0000

    * modules/gui/wxwindows/*: don't forget to delete the timer.
       Use wxApp::OnExit() to cleanup the dialogs provider.
       Added a "Miscellaneous" section to the menu. Added a "Switch interface" and "Add interface" entries to this menu.
    * modules/gui/skins/src/*: dialog providers have object types of VLC_OBJECT_DIALOGS.
       Don't forget to attach/detach the dialogs provider to its parent intf.
       Work around a bug in imlib2 when we close the plugin.
    * src/misc/objects.c, include/vlc_objects.h: added VLC_OBJECT_DIALOGS for dialogs providers.
    * src/interface/interface.c, include/vlc_interface.h: added 2 object variables to switch/add interfaces on the fly (intf-switch and intf-add).

commit 980bfb98009d0c1d3cc8c940f344dfee64a913dc
Author: Alexis de Lattre <alexis@videolan.org>
Date:   Tue Oct 14 16:46:39 2003 +0000

    New update again !

commit 26215d2cdb8c6e4b5702329a7ed28887dce6e083
Author: Alexis de Lattre <alexis@videolan.org>
Date:   Tue Oct 14 07:30:31 2003 +0000

    Spanish translation update.

commit d97791f21199a5a34258d592f44713a2da23dd1c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Oct 13 05:48:08 2003 +0000

    * modules/misc/sap.c: Fixed a stupid option (no-ipv4-sap)
    
    * NEWS: added some more stuff

commit d3a29a550f7c755074a2cfe621334ec25b94a674
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 12 23:28:36 2003 +0000

    * Updated the pt_BR translation
    * Added the new es language to the preferences
    * Updated same stuff in the NEWS file, new release will still take a long time
    * Updated the subtitle info in the README file.

commit 40fafab20cd884fc2ef8958fd138736aad46acc8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 12 21:53:58 2003 +0000

    * added a "auto" mode to sub-type. This is because the wxwin intf doesn't
      like dropdown lists, with no selection. it therefore selects the first item
      in this case microdvd, which then has the potential that you can save and
      set this sub-type accidently.

commit 5120576ee8b285163d20ed333de3c4499dc88629
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 12 09:49:30 2003 +0000

    * src/video_output/video_text.h: removed useless file.

commit b841a87b2abbeaf5fd07bbc9f874d2f4fbb8789e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 11 22:40:05 2003 +0000

    * src/input/subtitles.c: made the autodetection fuzziness a config option.
    * ALL:
      use a counter and pass this along to New_Subtitle, so we can add more
      than one subtitle file. This 'fixes' a problem where all subtitles got the
      same track_id and therefore were all (un)selected at the same time.

commit b6990fe68831226c0effd81deb10ab26b99454b2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 11 21:08:40 2003 +0000

    * src/misc/charset.c: Fixed a segfault and removed some gcc warnings
      The day i understand strings and memory in C is going to be a joyful day :)
    * modules/demux/mkv.cpp: fixed an error if there is no ICONV support

commit efaa4dec1d89f373f16bb8cf89d9f112695e1454
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 11 14:08:58 2003 +0000

    * removed an undef HAVE_ICONV from this file, and fixed a cast warning.

commit a337712aaec0bf2ac306c298c9bc7f440649adf6
Author: Alexis de Lattre <alexis@videolan.org>
Date:   Fri Oct 10 19:42:30 2003 +0000

    Minor fix.

commit 1091a5bb480c95b09990f65a21047fcfdfac71fb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 10 17:09:42 2003 +0000

    * src/input/input_dec.c: use VLC_OBJECT_PACKETIZER for packetizers.
    * modules/mux/ogg.c: win32 fix for ogg muxing with several elementary streams.

commit f2b00777215cea9117cde175390f598a1be0bc63
Author: Alexis de Lattre <alexis@videolan.org>
Date:   Fri Oct 10 07:33:53 2003 +0000

    Ran toolbox --update-po.

commit 64804e8afb8bc9d750fbfd0c772a5422b5507178
Author: Alexis de Lattre <alexis@videolan.org>
Date:   Fri Oct 10 07:28:37 2003 +0000

    New spanish translation, by Antonio Javier Varela.
    
    P.S. : it compiles fine, but I can't figure out how to change the
    language on the CVS version of VLC, so I couldn't test it.

commit 4a368fcdb82bd25fb17c24918eb25c9f82020571
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 9 19:40:29 2003 +0000

    * modules/stream_out/transcode.c: yes, I can do it!

commit 0c0e3ff4bec62ac66442bac1b7b835687502ab9a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 9 19:31:38 2003 +0000

    * modules/mux/ogg.c, modules/stream_out/transcode.c: better fix for the starting pts problem in the ogg muxer.

commit 35bd842a5d85bb3d74d5851c8c882f73d38631a6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 9 18:53:01 2003 +0000

    * modules/stream_out/transcode.c: couple of fixes.
    * modules/codec/theora.c, modules/mux/ogg.c: proper granulepos generation for theora streams.
    * modules/mux/ogg.c: ignore pts from headers.

commit 0bb8f3996efc6a55b78aba72e571d626ee1c5361
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Oct 9 18:05:32 2003 +0000

    HOLY SHIT, IS IT TOO DIFFICULT TO COMPILE YOUR SOURCE BEFORE CHECKING
    IT IN ???

commit 1a60ab95b9992aab2141fc1c77dfc5cce4c8e985
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 9 12:31:05 2003 +0000

    * modules/stream_out/transcode.c: fixed resizing with theora encoding.

commit f076665a6b767df4366d21e695a85e3a6857c26c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 9 11:48:41 2003 +0000

    * modules/codec/theora.c, modules/stream_out/transcode.c: fixed encoder module unloading.
    * modules/mux/ogg.c: fixed packing of OggDS structure.

commit 5bf1e98f7bcf4ec1de13d3f00424c0308fe4eb8b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 9 09:39:16 2003 +0000

    * modules/stream_out/transcode.c: fixed transcoding.

commit 0b9cad3ac2333bff340b0680c014a22c2d8589e1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 8 23:00:40 2003 +0000

    * modules/codec/theora.c, modules/stream_out/transcode.c: theora encoding fixes.

commit a80030a9e198442ffd09a50fba6102729674b729
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 8 21:03:36 2003 +0000

    * modules/demux/util/sub.c: fix when no subs specified.
    * modules/video_output/x11/xcommon.c: fixed invalid chroma.
    * modules/codec/a52.c, modules/codec/libmpeg2.c: small cleanup.

commit d44f9d26aec48a4af5e4eccca6fb1fc9bbc75c13
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 8 21:01:07 2003 +0000

    * include/vlc_codec.h: defines decoders/encoders related structures here.
    * include/vlc_video.h: new video_frame_format_t structure which defines the properties of a video frame.
    * include/vlc/decoder.h: include vlc_codec.h
    * src/misc/objects.c: added VLC_OBJECT_PACKETIZER and VLC_OBJECT_ENCODER object types.
    * modules/stream_out/transcode.c, modules/codec/theora.c: experimental theora video encoder.
    * src/input/*: some cleanup.

commit c28682f6ad82acc4771bc4a393cb25dd97f651c9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 8 19:40:42 2003 +0000

    * include/vlc_help.h src/libvlc.h: thou shalt not hardcode newlines in the middle of sentences.
    * src/extras/libc.c, include/vlc_common.h: resuscitated vlc_wraptext() and added utf8 support.
    * modules/gui/wxwindows/preferences.cpp: use vlc_wraptext() for capabilities help.

commit 52f2126b0ac23dcc372f1b2f3862a35753186647
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 8 18:26:58 2003 +0000

    * modules/misc/sap.c: fixed win32 breakage.

commit 260e120d837d9ae585da25ae00c873dad9593bb8
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Oct 8 12:18:50 2003 +0000

    * Fixed slider values (boundaries were wrong, some values were unreachable)

commit e8fbf16e4d133f0d9402e5d5af571dd5e5144b9a
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Oct 8 11:24:59 2003 +0000

    Compilation fix

commit 123a98f9d6b98c6731cd91cdc542715bdc7df080
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Oct 8 10:07:22 2003 +0000

    * modules/misc/httpd.c: added missing sanity checks
    
    * modules/misc/sap.c: added sanity checks and more coding style fixes
    
    * src/video_output/video_output.c:
      Video filters can now be enabled on the fly (vout is respawned)
      You need to var_Set( p_vout, "filters", psz_yourvalue)
          for this
    
    * modules/gui/wxwindows/interface.cpp : Enable the adjust filter on the fly

commit ef41e224bdfb414f0e4cbd0f4e4bed4a6c73eb76
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 7 21:13:01 2003 +0000

      * bootstrap: Fixed a shell syntax error when pkg-config is not present.

commit 2b9e90c50341325fd7e57849d0d2916c6dbb11ae
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 7 18:53:01 2003 +0000

      * Only look for kernel32.dll if the target is windows.

commit 0195728baf678ec88a12219595769111125ecd28
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 7 16:54:53 2003 +0000

    * Makefile.am: forgot to include vlc_block_helper.h

commit 67c26fdc7c5e99e7e702c889869ec63bf13926c5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 7 14:59:10 2003 +0000

    * modules/mux/mp4.c: Use SoundDescription instead of SoundDescriptionV1.
    * modules/demux/mp4/*: Added support for the "wave" tag used in mov files with aac.

commit 43a0fe325420cb20d5205770cb7f79e6236edb93
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 7 09:32:48 2003 +0000

    * src/misc/modules.c: win32 compilation fix.

commit 9549f78f20273da24d982ab8a9b8e251263710c1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 6 17:41:47 2003 +0000

    * modules/gui/wxwindows/*: compilation fixes for the unicode version.
       made the "Extended GUI" option a checkable menuitem.

commit 12cbd4c8b63bcd5bfc077e24a11166171c421c38
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Oct 6 16:23:30 2003 +0000

    * include/vlc_playlist.h
      src/playlist/playlist.c:
         * Implemented a boolean b_enabled to disable a playlist item
         * Implemented the idea of group (p_item->i_group), that allows
           to enable/disable and to sort some series of items
         * Implemented an unused (at the moment), psz_author field
         * Started to implement a new playlist format to store all of these
    
    * modules/gui/wxwindows/interface.cpp:
         Added a hiddeable panel to put some important options.
         (Menu Preferences->Extra GUI)
         At the moment, we put the adjust filter and aspect ratio, and must
         decide what options we want here
    
    * modules/gui/wxwindows/playlist.cpp
      modules/gui/wxwindows/iteminfo.cpp:
         Added "Enable/disable group button", options to enable/disable selection
         Added an item info dialog box
    
    * modules/misc/sap.c :
         Added a sap-group-id option: the SAP playlist items are in a separate group
         (defaults to 42)
    
    * modules/visualization/visual/effects.c:
         Minor coding style fixes
    
    Todo:
    -----
    
    * Advanced sort (alphabetical and/or by group)
    * Ability to load 0_6 playlists
    * Really use the libid3tag

commit de2868c437d01f3d476d239ee787f255e1b699d2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 6 15:22:53 2003 +0000

    * src/input/input_dec.c: forgot to commit that with my last libmpeg2 plugin changes.

commit 1552b5a3454732a23741a80707649ce13b52f8f6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 5 23:03:35 2003 +0000

    * src/video_output/video_output.c: fixed a recent patch that had been causing a lot of jerkiness in the video.

commit 78ee7a2c9896558377606a59bb0ad636077f280e
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Oct 5 21:29:23 2003 +0000

      * configure.ac:
        + Better BeOS dynamic loader detection.
      * src/misc/modules.c:
        + Consistency fixes.

commit 80a06d334ffffacd9e72ef579006c2f339d13139
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 5 18:09:36 2003 +0000

    * modules/packetizer/mpeg4audio.c: ported to the new decoder api and added ADTS streams packetization.

commit f8258e32b120fdd43872f68ba32816f7f31e54c7
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Oct 5 15:35:59 2003 +0000

      * src/misc/modules.c, src/misc/modules_plugin.h.in:
        + As platform-dependant dynamic loader functions are no longer inline,
          moved them to modules.c which is their real place.
        + More verbose error messages on some platforms.

commit ddd4b1ddc218ef3c2c0d4eb1eefef4ac06088675
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Oct 5 14:51:47 2003 +0000

    Add ability to dynamically set debug ouput.

commit a17a2eba75bcac57ea0d8a78b70d55697e81d863
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Sun Oct 5 10:54:55 2003 +0000

    Add pf_demux_control setting. Also fix some small typos.

commit df4116fc59d30e0da8c44618e4dbfd203fd8b609
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 5 09:27:46 2003 +0000

    * use the new look also for capabilities and main helps.

commit 1c2c4af53fed544470118c84e52855cb4525fc8e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 5 00:50:05 2003 +0000

    * modules/codec/mpeg_audio.c: fixes and improvements.
    * include/vlc_block_helper.h: fix for an offset problem in block_SkipBytes() and block_GetBytes(). (This fixes the problems with the new mpeg_audio decoder/packetizer).

commit 84c04e7279ff93f8c3e34482ddf6d6bf4a02ab21
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Oct 4 23:52:32 2003 +0000

    modules/gui/wxwindows/preferences.cpp:
     * Increased size of and decreased margins around the section heading. It
       looks nice now.

commit fd05dc698e736455dfa075fdb93f3600365f4e9d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 4 18:55:13 2003 +0000

    * modules/access/vcdx/*: Brand new VCD input module using libcdio, libvcd and libvcdinfo. Courtesy of Rocky Bernstein.
    * modules/access/cddax.c: Brand new CDDA input module using libcdio. Courtesy of Rocky Bernstein.
    * modules/LIST: update.

commit 0f814562371962e47d9f5b023c2ce1055c6002fb
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Oct 4 15:51:22 2003 +0000

    Further doxygenization.

commit c992c9ca99a2ff32d858aa634815926d54522d11
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 4 15:49:13 2003 +0000

      * src/misc/modules_plugin.h.in: Added a missing return value that caused
        module loading to fail.

commit 9ca675f3d35da07ccc4daa427bbca11b890ab9c4
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 4 15:04:49 2003 +0000

      * src/misc/modules_plugin.h.in: More meaningful errors from the OS X dynamic
        loader.

commit 580edf4df5a7977a7e252017a7d111e384862cb1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 4 14:59:38 2003 +0000

    * modules/gui/wxwindows/wxwindows.cpp: fix for the skins showing the popup menu even when left-clicking with the mouse.

commit 5692fbd8eed9becb9bc8512ac5c44315dd2c6083
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Oct 4 12:30:53 2003 +0000

    Fixed dyld commit.

commit ca902f8541966db294b5dad5523b8ca7185028b4
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 4 12:25:00 2003 +0000

      * include/modules.h: Fixed the OS X build by adding a required header.

commit d3daf21fd9e7eb70fd8db4cf1f4e732bedb0bf8d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 4 12:04:06 2003 +0000

    * modules/packetizer/mpegaudio.c: updated mpegaudio to the new decoder api.
    * modules/packetizer/mpegaudio.c: moved the packetizer with the decoder (they share most of their code).

commit 123367786fb422d14ec330359416647eb4a34886
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 4 12:00:00 2003 +0000

    * modules/codec/a52old/*, modules/codec/mpeg_audio/*, modules/codec/mpeg_video/*: got rid of deprecated decoders.

commit 2d3c9c2c6f268f0d998d4444c3bc2a319949409d
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 4 11:17:04 2003 +0000

      * configure.ac:
        + First try to detect the OS X native dynamic linker before falling
          back to dlfcn.h.
        + Enhanced the dlopen-style loader detection.
        + Added a check for HP-UX's shl_* functins.
      * src/misc/modules_plugin.h.in:
        + Support for the dylib dynamic loader on OS X.
        + Support for the shl dynamic loader on HP-UX.

commit 782cc32bdbf86d3ea9afa13ec2bc9042a8ff70df
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 4 10:54:45 2003 +0000

    * configure.ac: added --with-ffmpeg-faac for when using an ffmpeg which is compiled with faac support.
    * modules/stream_out/transcode.c: added mp4a fourcc for MPEG AAC audio transcoding support.

commit f49d0705420d8c44d055d955acdf2e8c5e3da56f
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Fri Oct 3 23:31:43 2003 +0000

    src/libvlc.h: fixed line length of a string
    modules/gui/wxwindows/preferences.cpp:
     * slightly modified layout of the window
       * The help text is now below the controls
       * Neither heading nor help text is inside wxStaticBox but rather
         separated from the controls with a simple line.
     * changed a lot of strech-factors, makes the dialog look generally more tidy

commit d33c1fc3e391e631053982f7361e1f1848791be4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 3 18:17:55 2003 +0000

    * modules/stream_out/transcode.c: get decoder specific info from the audio encoder (useful for MPEG AAC).

commit d434d7a9e5ac233533d8ef79cbb35b04244af035
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 3 18:04:58 2003 +0000

    Some fixes for file listing and playlist. Do not use this interface yet, it is not useable now.

commit 46cc486fa4cc8a7fd430e8eb5aca3d441970db27
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 3 13:35:56 2003 +0000

      * src/misc/win32_specific.c: minor code clean-up.

commit 4f3ee7be019490f0da9e86c9e27eafebb4a39b92
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 2 21:12:45 2003 +0000

    * modules/codec/cinepak.c: ported the cinepak decoder to the new api.

commit 2f24327b862f1f0b2cc8c1d90a1291e0585d7c69
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 2 18:07:26 2003 +0000

    * compilation fix

commit 057ed2ca4d84d57fa108235644a085bd3360b718
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Oct 2 15:43:44 2003 +0000

    Rework in DVB plugin to allow tuning to DVB-T cards.
    - cleanup of messages
    - adding status events messages from frontend
    - separated tuning for DVB-S, DVB-T and DVB-C into seperate functions.

commit e26f8fd1f42845267083babf86d73e1c87cc353a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 2 13:31:00 2003 +0000

    * src/libvlc.h:
      - Removed a dupe.
      - Added a 'L' commandline shortcut for loop and 'R' for repeat. There
        already is a 'Z' shortcut for random.
    * modules/codec/subsdec.c: debug info.

commit db7f59de4229959b9f6ca8bdb96fcac25b9e6ba3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Oct 2 10:28:04 2003 +0000

    Fix bug for DVB-T tuning. The code always used default upper and lower frequencies from DVB-S for DVB-T, but for DVB-T they could very well be different. Now using --lnb-lof1, --lnb-lof2 and --lnb-slof values are used by default instead. This make it overrideable on the commandline.

commit 155d24a887deeb2598b948d0c035862f437a0e5c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 2 00:16:05 2003 +0000

    * Small fix to doxygen comments

commit 7c64ed169265876ad4876b58705e7513d62e1655
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 1 22:44:58 2003 +0000

    * modules/misc/freetype.c: spelling errors
    * src/libvlc.h: spelling error
    * include/ninput.h: There should not yet be a Subtitles section in Doxygen
    * src/input/subtitles.c: Doxygen comments for this file

commit b8b1c4e90c286d5fc78e7af5b11aeff1f72463dc
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 1 22:40:39 2003 +0000

    * Did you know that VCR2 and PIM1 are actually MPEG1 ?

commit 2290ce7c64d19ab027cf09d01b6e235e8a3e5640
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 1 22:39:43 2003 +0000

    * Added a bunch of fourcc's
    * Added the new cinepak and msrle codecs as well as some other forgotten stuff

commit 91f6deaecd53f6d94266424d1138343a635c97e1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 1 22:19:57 2003 +0000

    * modules/codec/subsdec.c: cleaned up and ported the text subtitles decoder to the new decoder api.

commit 2f72e38f4f07d52a02db89d477c524bf9694c14b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Oct 1 20:58:45 2003 +0000

    Implementing new PDA User Interface design using the GTK2 widget set. This interface is currently in a rewrite and is currently unuseable. However:
    - it compiles ;-)
    - will have more UI assets to tweak with, then the old interface had
      to name a few: supports stream out, camera's through v4l, use preferences,
      manage playlists, play audio/video local and from a network source
    - is not functional (yet)
    
    So expect more functionality to come in and the necessary bug fixes.

commit 699c64c8db2b7629ed9e084102c7bb1a5aedc9d5
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 1 20:57:34 2003 +0000

    * Fixed some small inconsistancy.

commit c60aacd5f811634bf874fba0f6b0ad0240fa3cbb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 1 18:32:13 2003 +0000

    * modules/codec/a52.c: fixes and simplifications.

commit 706de3e3b2a4fade948faae6f014655b3f5c25dc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 1 17:44:25 2003 +0000

    * modules/demux/ogg.c: had mistakenly got rid of the old i_dts = i_stop_date hack for text subtitles.

commit 2d80f7c24759d6d2d68fa4ae76b079e62829b08f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 1 12:01:46 2003 +0000

    * modules/stream_out/transcode.c: get the mp4v vol data from the encoder. This will make the mp4 muxer happy transcoded mp4v.

commit 74b2905711f648dc48b881d22ea466a6ca10ef5b
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 1 03:38:24 2003 +0000

      * Fixed license blurb; these files have always been *GPL*ed.

commit a1b3ffaedfc8e91a6e8146790204091601f4a70f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 30 20:36:46 2003 +0000

    * include/vlc_block_helper.h, modules/codec/a52.c: same as thedj ;)

commit a4ee447788e85ead0d1ce0e0f7f345af3829ddc9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 30 20:23:03 2003 +0000

    * include/vlc_block.h, modules/codec/libmpeg2.c: re-added the discontinuity flag in block_t and re-enabled the discontinuity gestion in the libmpeg2 codec.
    * include/vlc_block_helper.h: implemented bytestream reading helper functions for chained blocks.
    * modules/codec/a52.c: modified to use the bytestream reading functions.
      The flexibility added by these functions makes the code simpler and better at detecting synchro code emulations.

commit ebc29b883cc010c515ae762b784c827cf1f4ee42
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 30 16:41:13 2003 +0000

    * compile before you commit

commit 9f797e41bae4ef8ef5fac51a6aaebdab535a03e2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 30 16:09:58 2003 +0000

    * src/input/input.c: fixed usage of sub-file variable.
    * modules/misc/freetype.c: i_render_height and not i_window_height.

commit e652d20247892c3ec8e767bf27b33f187d1e071d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 30 15:36:39 2003 +0000

    * Select the subtitle track, if it's specified via the "sub-file" option.

commit 6877b7bef43ca4f4bbd245cf189a1dcde4893855
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 29 22:37:36 2003 +0000

    * modules/mux/ogg.c: always backup the vorbis/theora headers so we can resend them if we close/reopen the stream (chaining).
      fixes for text subtitles muxing.
    * modules/packetizer/copy.c: support for text subtitles.

commit 9517d76ea704a40f81cc55ee702ea846eb0609a5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 29 18:20:37 2003 +0000

    * include/os_specific.h: oops, fixed my last commit.

commit 08e5a1f7e5ee18ca7aa1be633a260cb2d3274283
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 29 17:36:35 2003 +0000

    * include/os_specific.h, src/libvlc.[c,h], src/misc/win32_specific.c: new win32 specific option (--one-instance) to have only one instance of vlc running at once.
     Running another vlc (with --one-instance as well) will only transfer the requested playlist items to the first instance.

commit 1b6aa2c8266002a3ae7a7c915ae69fe9e333dd0b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Sep 29 15:45:19 2003 +0000

    Doxyfile:
     * changed project name from 'vlc' to 'VLC'
     * excluded src/extras from the documentation
    src/misc/variables.c, include/variables.h:
     * Doxygen-documented most of the vlc variables code

commit 7088ececf1f84919e7c280a561934459e655d3af
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 28 22:18:57 2003 +0000

    * modules/mux/ogg.c: proper fps and ogg packet granulepos when embedding mp4v/div3 (mplayer can play the file now).

commit a4d9dd4ef3974d64b86051421979d90dae72c3a5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 28 21:54:21 2003 +0000

    * modules/codec/theora.c: don't forget to delete the sout instance.
    * modules/mux/ogg.c: fix for embedding theora in Ogg.

commit 9fbf506fffafd871ded190b11970f2f4cb9a1eab
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 28 19:58:19 2003 +0000

    * modules/mux/ogg.c: each ogg stream has to be cleared in OggCreateHeader().

commit bff03e0b8699a97cbe43edd91c6c166b30bb47a1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 28 16:50:05 2003 +0000

    * modules/demux/ogg.c, modules/codec/vorbis.c: misc small fixes.
    * modules/mux/ogg.c: support for inserting/removing elementary streams on the fly (really handy for the --sout-keep option). This will produce a chained Ogg bitstream.

commit f5012c554558fa38a47c8b9c1f63d47deb56ac83
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 27 15:33:02 2003 +0000

    * modules/demux/ogg.c: support for DEMUX_GET_TIME. External subtitles files should work fine with ogg files now.

commit 653b4cc30ab394e1881a57b668a018db1f5806a4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 27 14:32:54 2003 +0000

    * modules/demux/ogg.c: support for 'chaining' (concatenated ogg streams).

commit f061a98aea0ea1063d1f88c0164da58e6ace79b5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 27 10:09:57 2003 +0000

    * install-win32: cosmetic changes.
    * configure.ac: forgot one include path for the mozilla plugin.

commit e14437f3055f9a734728097fe9b4aa64cceda26d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 26 16:10:24 2003 +0000

    * modules/codec/ffmpeg/*: some chroma conversion routines require libavcodec to be initialised.

commit d5e8b5bba393df6599fed03300205c3bff552bff
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 26 16:03:21 2003 +0000

    * modules/video_output/directx/*: some graphics card allow the creation of several overlay surfaces but can only display one at a time.

commit 1cad06581755f62bba69558165b1030b8a2774e4
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Sep 26 13:32:42 2003 +0000

    Updated design of PDA GUI.

commit 4b54e648343f2543acb7cef36bf4c5d4d1c5ee79
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Sep 26 12:11:26 2003 +0000

    Adding files for PDA interface using the opie libaries.

commit 34158773eb54011008b78eaee978503549508ff7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 26 11:30:06 2003 +0000

    * src/misc/modules.c: removed an old win32 hack which was creating more problems than it was solving.

commit 8cbc8f8dcc38bf05a892b3a83b718baaa0d95deb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 25 23:09:41 2003 +0000

    * modules/demux/ogg.c: reworked a bit. Ogg web radios should work again, vorbis audio tracks switching should work better as well.
    * modules/mux/ogg.c: attempt at supporting theora.

commit 6001ebac66cd493a22531d81ab251e9d9247c8de
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 24 23:45:06 2003 +0000

    * modules/codec/vorbis.c: wait for the first dated packet before starting decoding anything.

commit 45687727c788bdf224fd102f17d9ded73af0d03c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 24 21:31:55 2003 +0000

    * include/main.h, src/libvlc.c, src/libvlc.h, src/misc/configuration.c: added a --config, --save-config and --reset-config option to the command line.
    * modules/gui/wxwindows/preferences.cpp: fixed breakeage of "Save", "Reset" and SwitchAdvanced().

commit 1692658e9310713ecfd29f6f4360419e1ccba966
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 24 16:10:02 2003 +0000

    * modules/video_output/directx/events.c: fix for the mozilla plugin on vout close.
     The mozilla plugin seems to be working very well now, except that it doesn't receive mouse and keyboard events yet.

commit 765d8a393ce39b498a39e1b584417c90d89a19d7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Sep 24 14:59:21 2003 +0000

     * all: set pf_run *only* if we accept this stream.

commit 6ffd34f1472ce84399a9ae84f0e1fafbaa0306be
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Sep 24 10:21:32 2003 +0000

    * modules/visualization/visual/visual.c: fixed strings
    
    * src/playlist/playlist.c: fixed sorting

commit f056f1fca635a4e1fbbbc3c5496892da71ea4ae2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 23 16:07:49 2003 +0000

    * configure.ac, mozilla/vlcshell.cpp, mozilla/support/npwin.cpp: mozilla plugin for win32 is finally working (well there's still work left).
    * src/misc/modules.c: small clean-up and fixed --plugin-path on win32.

commit f57fdbddd91b6db6371a5eb4b0a29349e7a07175
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 22 21:07:35 2003 +0000

    * modules/gui/wxwindows/preferences.cpp: compilation fix + cosmetic code clean-up
    (indentations mainly).

commit a8855655eb349eea1910b82c57261946f08934e7
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Sep 22 14:40:12 2003 +0000

    * modules/gui/wxwindows/preferences.cpp:
    	- Created the "General Settings" section
    	- Added help strings in the two main sections,
    		in the libvlc categories,
    		and in the module capabilities
    
    * modules/gui/wxwindows/playlist.cpp & wxwindows.h
    	-Implemented random, loop and repeat using variables
    	-The eye candy of the dialog box is not very good
    	 but I have no idea how to improve it.
    	-Focus on the currently playing item
    
    * src/libvlc.h:
    	- Added help strings for the libvlc categories
    	- Changed a few "advanced" flag
    
    * include/vlc_help.h:
    	- Help strings for the two main sections
    	- Help string for the module capabilities (both by Anil)
    
    * po/*: updated potfiles with the new strings

commit 03f4adcdce0be78eab1bb2978aaf8bb0dc3331e0
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Sep 22 07:29:46 2003 +0000

    Removed compatibility tweak for old satellite GUI.

commit 7de8e4b444fd514fd875d1adafc2f55a9dde72e6
Author: Jason Luka <geshp@videolan.org>
Date:   Mon Sep 22 06:04:59 2003 +0000

    Changes to Red Hat spec file:
    - Added wxwindows, alsa, and skin support
    - Fixed dependancies, specifically a version conflict of xvidcore

commit 21c4f10c6e9615cdd597b0639102d6ecf7be088d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Sep 22 03:40:06 2003 +0000

    * modules/gui/macosx/playlist.?: implemented Save Playlist
    * modules/gui/macosx/output.m: updated part of the Stream output dialog
    * modules/demux/util/sub.c: removed sub_detect() and moved the sub-file and
      sub-autodetect file options to src/input/input.c
    * src/input/input.c: added the moved options and use them to add subtitle
      tracks.
    * src/libvlc.h: description strings etc for sub-file and sub-autodetect-file
    * src/input/subtitles.c: new subtitles_Detect() largely based on the
      code used by MPlayer. Adapted for coding style and structure differences.
    
    The autodetect routine can now detect multiple subtitle files and assigns scores
    based on their names. if they much well enough they are sorted based on their
    score. It will then return this set, and they will all be added as SPU tracks
    to the current stream. The (un)selecting of these tracks will need to be fixed
    because they all get assigned the es id 0xFF currently.

commit c66b7a83ad682162925b55c24ba9e73e1f8cdf41
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 21 18:07:51 2003 +0000

    * modules/gui/wxwindows/*: got rid of the close button in the fileinfo and playlist dialogs.

commit 1b50257c249bc1a5e3d8c51679e361d2086f5247
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 21 17:52:43 2003 +0000

    * modules/gui/wxwindows/*: we now have only 1 global "Advanced Options" checkbox in the preferences panel instead of 1 for each section (KISS).

commit e603af3f7901787f11bdffa5402ffeeb57402a14
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 21 11:48:58 2003 +0000

    * modules/stream_out/duplicate.c: improved last fix.

commit 7d0c93158d1afb34538de30802f9542b04db0b55
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 21 10:23:59 2003 +0000

    * include/vlc_common.h: ssize_t is now typedefed in new mingw headers.
    * modules/access/dshow/dshow.cpp: compilation fix related to ssize_t.
    * share/vlc_win32_rc.rc: stringify version number.
    * mozilla/*: compilation fix and cosmetic changes to the .rc.

commit 9a16e576ecf684b0016f540cb189e14c72ca8dc3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 20 23:46:01 2003 +0000

    * modules/stream_out/duplicate.c: fixed array overflow.

commit 0fc16f660eab98169bd60773a0c89784cfc7d186
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 20 22:52:27 2003 +0000

    * mozilla/vlcshell.cpp: on win32, try to find the location of the vlc plugins from the registry key.

commit 2b78a774864846373c70d97332a0969dcb7ec8d3
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Sep 20 19:37:54 2003 +0000

    * include/vlc/vlc.h:
      - removed the defines for i_mode concerning random and loop. We use config
        variables for all of these.
    * src/libvlc.h:
      - removed the enqueue playlist config option. It's no longer used.
      - added a repeat option. vlc will keep playing the same playlist_item,
        until the option is unset.
    * src/playlist/playlist.c:
      - added a repeat, random and loop variable.
      - wxwindows should use these as well I think.
    * modules/gui/macosx:
      - added the INTF_ABOUT_MSG to the about dialog.
      - implemented the about and repeat items.

commit 19ff195c709bada6f284adaaa3545ce49d5712c7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 20 17:35:38 2003 +0000

    * src/input/input_programs.c: p_input->stream.p_selected_program needs to be reset in input_DelProgram().
    * modules/demux/mpeg/ts.c: use dvbpsi_DetachPMT() when a program is deselected.

commit becae536672fa03efe74214797d0c35c090b15d6
Author: Jason Luka <geshp@videolan.org>
Date:   Sat Sep 20 17:24:09 2003 +0000

    Fixed a typo.

commit de171c13eb7b6014a06f7f75e77e08345882145c
Author: Jason Luka <geshp@videolan.org>
Date:   Sat Sep 20 17:19:35 2003 +0000

    Updated for tentative 0.6.3 release.

commit cd35bf7cc1952960fbf46ac0cfd46afcaece66a6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 20 15:52:19 2003 +0000

    * configure.ac, mozilla/Makefile.am: more win32 mozilla plugin build fixes.

commit 973cf0496f5d5a1134928e578c8ffbb0af630822
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Sep 20 13:52:23 2003 +0000

    * configure.ac, mozilla/*: the win32 mozilla plugin compiles again (most likely won't yet work).
     Added a --with-mozilla-sdk-path option (win32 only) to ./configure so you can pass the path of your mozilla sdk tree.
     You also need to set the XPIDL env var to the the path of the xpidl mozilla compiler when ./configuring.

commit 50f7bdc9745a95caee1121e52f0fb670df8056ce
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Sep 20 13:50:14 2003 +0000

     * input: added position-offset and time-offset for relative seeking.
     (Untested)

commit 47d57d6db23a6bd693dfba2abaec210b1cdb15c3
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Sep 20 13:46:00 2003 +0000

    * modules/gui/macosx/*:
      - implemented the new input variables for control.
      - reevaltuated the locking mechanisms in the osx intf.
        a lot of this can now be removed, because of the new input structures,
        and the vout garbage collector of playlist.

commit 92b1b630f65ead2270fa4557d94f6e326def03ec
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Sep 20 03:38:52 2003 +0000

      * modules/list.sh:
        + "==" is not valid shell test, use "=" instead.
        + Set LANG for consistency of sort output.
      (NB: this really belongs to the toolbox script).

commit c4c3e73700b318f0d5b0300d3a715a0ef6eacac4
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Sep 20 02:47:41 2003 +0000

    * NEWS: updated some entries
    * po/pt_BR.po: Updated by Andr� de Barros Martins Ribeiro <andrerib at_ajato.com.br>
    * src/libvlc.h: Added es (Spanish) to the list of choices.

commit 457b8d3568df26e9e430eb01090bbc1225e8c459
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Sep 20 01:36:57 2003 +0000

    * LIBAVCODEC_BUILD_STR has disappeared from ffmpeg. We now use LIBAVCODEC_BUILD
      ( Yes it's backwards compatible ).

commit 3bc30b81efad39a38c77c76c1ab0a66b7fd0f55a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Sep 20 00:37:53 2003 +0000

     * all: clean up.
            use vout_Request to release the vout (so vout isn't closed when
            changing playlist item).

commit 07d406a6dedcdce9f248880b48ff7fd42fde8627
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Sep 19 23:03:27 2003 +0000

    * extras/MacOSX/vlc.pbproj/project.pbxproj: Added a slew of file extensions
      recognized by VLC
    * modules/code/quicktime.c: Added samr (AMR) to the quicktime decoder.
      Although it runs on OS X, it only plays back silence for some reason.
      Might be a problem with one of the converters?
    * modules/gui/macosx/*:
      - 'fixed' several compiler warnings
      - removed some old no longer necesarry stuff

commit 2bd94a6ca420385fa09301076f1eafc9b77fdd48
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Sep 19 21:53:48 2003 +0000

     * playlist.c : unlock playlist before calling vout_Destroy (for osx)
     * mp4: send complete atom for amr to the decoder.

commit 904ba46e9ced0ddee32b057ae6bbe07ab0d56d7b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Sep 19 21:53:32 2003 +0000

    Fix a crasher with strcasecmp and empty strings

commit b1fa329227b0e66680f087781155a1ce3e6e1837
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Sep 19 15:33:58 2003 +0000

     * src/misc/objects.c:  change the way  that FIND_ANYWHERE work.  Now we
     first search  the root of  the object  using p_parent and  not directly
     using p_vlc. If this first search  failed then we search using p_vlc if
     it wasn't the  case. (I'm not sure  it's harmless but I  think it's the
     correct behavour for FIND_ANYWHERE)
    
     * src/video_output/video_output.c  : we could now  use FIND_ANYWHERE to
     catch the  playlist (even when the  vlc is exiting. (Hehe, now visual
     effects won't reopen the vout every playlist item.)

commit 9befbcb96a75d3c70d156c766f8e82951d632cb6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Sep 19 15:24:28 2003 +0000

    New dvb and old satellite modules now use the *correct* order of unit for tuning to a satellite channel. All information must be supplied in KHz not in MHz !!!

commit 3fe82e4e2aba2d557d51dd9a5294e5f453838ded
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Sep 19 13:09:57 2003 +0000

    Frequency et al is really specified in KHz and not in Hz. I got an order of magnitude wrong. The same mistake is in the old satellite plugin's and user interface for specifying the frequency. It is specified in MHz instead of the KHz it should be.

commit c731da377d9c1f2a34c2ed6d78c01bf0b5fefc7a
Author: Simon Latapie <garf@videolan.org>
Date:   Thu Sep 18 21:42:54 2003 +0000

     * fixed some bugs in logo filter

commit 402252afb6ed22e64ca80ba6625a3635ad6fddb2
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Sep 18 17:54:02 2003 +0000

    Added some Doxygen doc

commit a5a7097d622bf2ff2b561ded4bc9149beba52d04
Author: Loïc Minier <lool@videolan.org>
Date:   Thu Sep 18 17:40:22 2003 +0000

      * doc/Makefile.am: removed references to deleted files "subtitles/*"

commit ee7ffc2308fc92f865c8aa4cd409c3f67ee48466
Author: Loïc Minier <lool@videolan.org>
Date:   Thu Sep 18 17:27:26 2003 +0000

      * po/*: ran "./toolbox --update-po" to get rid of missing files
        listed in POTFILES.in

commit d617c8a68b7ba4d91206d1d75f70f678981dd5a9
Author: Loïc Minier <lool@videolan.org>
Date:   Thu Sep 18 17:12:07 2003 +0000

      * po/POTFILES.in: removed reference to deleted file "rtsp.c"

commit 48cd28d2a351f5185f6faf85cebfe7122b82e352
Author: Loïc Minier <lool@videolan.org>
Date:   Thu Sep 18 17:04:01 2003 +0000

      * po/POTFILES.in: removed reference to deleted file "encoder.h"

commit 2c8eb4055b364e22237ac022aef2a307a22e6cd7
Author: Loïc Minier <lool@videolan.org>
Date:   Thu Sep 18 16:46:02 2003 +0000

      * modules/LIST, modules/video_output/Modules.am: removed references to
        deleted file encoder.c

commit 30550aa6972fcb07880d1c9d441cb7c28f2c5671
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 15 19:31:28 2003 +0000

      * debian/changelog: 0.6.2-3 upload.

commit dff64134909c8273d2563148c00533ab4f473b6f
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 15 19:20:26 2003 +0000

      * Updated long descriptions.

commit 348389a102f6c6e486657ae09ff782355966eaeb
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 15 18:28:47 2003 +0000

      * debian/control: Updated the libxosd build dependency to fix a build
        issue on Debian s390.

commit cc9bc6f27447267be0a02eee1f644d8caea5312c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Sep 15 18:05:13 2003 +0000

     * input: one lock issue.

commit 986116e27a25c1a60fc8707791cb0ca4e459639e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Sep 15 08:33:29 2003 +0000

    Fix for bad SAP packets with no \0 between headers and payload

commit 1b24f8caf502b2156e6f1a9188a5c480540cc508
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Sep 15 00:01:49 2003 +0000

     * playlist.c: coding and potential deadlock fixes.

commit 9bf18d7af7a16b9d5c6482fd1da3c1b9d6f9f39e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Sep 14 16:41:48 2003 +0000

    * modules/visualisation/visual/visual.c: thou shall not use //
    
    * modules/access/slp.c : do not add udp:@ automatically
    
    * modules/stream_out/announce.c : always use the same service name
    				  add udp:@ (hack !)

commit 69fd5c2fd1340cb2e0564958fe5628252161ad42
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Sep 14 13:54:43 2003 +0000

    src/video_output/video_output.c:
     * if the given vout thread is a filter, then don't sleep untill the display
    date. This reduces the chance of pictures being late when reaching the vout
    if one or more filters are in use
     * don't include current render time in the render_time sliding mean if it
    is way too large ( as inspired by Simon Gittins ).
     * weight the current sliding mean tree times more than the current render
    time when calculating the new render time. This should make the code more
    robust to jitter in render time

commit eba4590d18abf73f479e7c92ef4a1ab60ae7a37c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Sep 13 17:44:13 2003 +0000

     * standard : added .ts and .ps

commit 0925ed0b72fec9bc03c11fe65c898c76518e66af
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Sep 13 17:42:16 2003 +0000

     * src/video_output/video_output.c  : do not use  FIND_ANYWHERE to catch
     the playlist.  but use FIND_PARENT. vlc_object_find  with FIND_ANYWHERE
     use p_obj->p_vlc as a starting point  and that doesn't work as playlist
     is  detach from  vlc before  vout is  destroyed by  the decoders  (when
     shutting down)  Perhaps vlc_object_find  should be  fixing to  find the
     root object, but I'm not sure.
    
     * src/input/*  : move  subtitle handling  from avi  to input.  Now subs
     should works with all file types _BUT_ won't be in synch if the demuxer
     doesn't implement a _precise_ DEMUX_GET_TIME.  So only .avi, .mp4 will
     be ok. Others could works if perfectly cbr.
      Now  Subtitle  track is  only  selected  when specified  by  sub-file
     option.(auto-dectected file is always added but not selected by default)
      Btw, the code could support multiple  subs files, but I don't know how
     to pass multiple filenames, any ideas ?
    
    
     * demux/mpeg/mpga.c : play with es_out_t. I'm investigating for now so
     don't use that elsewhere.

commit a903f128da909e33e1877402e383176772f0947b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Sep 12 18:34:45 2003 +0000

     *  include/stream_output.h  include/vlc_common.h   :  move  TAB_APPEND,
     TAB_FIND and  TAB_APPEND (could be used  every where now). There  are a
     bit like  INSERT_ITEM, ...  but not  exactly, perhaps  I should  try to
     merge them).
    
     * src/input/input.c : begin to implement es_out_t thing (unsusable now).

commit 05ca109431cf7084040b099a4132b6012f706091
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Sep 12 16:26:40 2003 +0000

     * include/input_ext-intf.h : added stream_t member to input_thread_t.
     * modules/demux/* : use the stream_t from input_thread_t.
     * include/ninput.h : begin to add new way to register es. (unused for now).
     (in the long term I want to split input_thread_t and intoduce demux_t and
     access_t and perhaps something like access_demux_t)

commit 98f58ea06cb704e22a54a1d40d71aea78be137b0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Sep 11 15:34:16 2003 +0000

    * modules/misc/sap.c: HTTP announcing support

commit 3cb2e73e33349f317459e1dfd7ae4d8829249799
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Sep 11 11:50:43 2003 +0000

    More modifications to layout of PDA interface.

commit b8460e980f560a86ef3d2eb9ff155b60cad065b4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Sep 10 22:59:55 2003 +0000

     * mpegaudio.c : cosmetics.

commit 80a2e68666a505dc6d1cc9d4c3405a767e1046d8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Sep 10 21:56:44 2003 +0000

     * all : added mpeg 2.5 support.

commit df56b0c1b582704d02eda07e54cb9f07876e279f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 10 21:54:27 2003 +0000

    * a new option for the text rendering. It sets the fontsize taking into
      account the window size. This should allow consistent font sizes independant of
      how large a movie is.
      The options currently are smaller,small,normal,large,larger.
      It should be much more userfriendly.

commit 1866f27c01df43f98627192eb69d015ba7ebe449
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Sep 10 21:09:05 2003 +0000

     * ftp : use atoll.

commit 89fc743569216ba911382ccb65b191cc45c957ec
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Sep 10 21:03:56 2003 +0000

     * http: Added 'Connection: Close' in the request. (Help with some http
             servers).
             Use atoll. (always defined).

commit c4c497c7bcf7317a8c040247b92a0fbffce4f587
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Sep 10 15:50:25 2003 +0000

    Removed useless stuff for icecast

commit eb409d25c9d77a1868d2aafb120a78c19a6b014a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 10 15:03:49 2003 +0000

    * Fixed the subsdec variables

commit 706d6807ca3488521e9ff279a369c0f563e48588
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Sep 10 13:39:29 2003 +0000

    * Workaround for buggy IceCast servers who identify themselves as HTTP
    and not ICY (who talked about RadioPI ?)

commit c31fd0b4864267e472ca2e7830258bdd8122ad00
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Sep 10 11:51:00 2003 +0000

     * demux/sdp: a msg_Err -> msg_Warn. Btw, it begins to work well (under linux).
     (MPEG-I/II/4 audio and video, h261 video, some ac3 streams sould work).
     * demux/* : removed useless include

commit e93009461c8684cf9abeb844684a093257913414
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Sep 10 11:37:53 2003 +0000

     * modules: do not take care of the case for shortcuts (fix #1165).
     * playlist : use new input variables.

commit d4665421ce68c9c8bc1f94a2c451fde37747fab8
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Sep 10 10:21:09 2003 +0000

    * visual.c: compilation fix in strings
    
    * playlist.cpp: removed "..." in menu entries as we don't open a box

commit 26f774d335a4c471bf03f3cfb4d19a487baa1dc2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 9 23:35:28 2003 +0000

    * modules/visualization/visual/visual.c:
      Added the current available effects to the longdiscription of the 'visual-list' config option.

commit 6c5188c7bbce460a1c31d080c255ac68eaed7169
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 9 13:51:45 2003 +0000

    Fixed list of muxers. QT and mp4 might need to be disabled at a later point.

commit 5935dc9cd72cb9c57ba4b38ba72b72b5844c08c5
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 9 13:28:58 2003 +0000

    We no longer need this.

commit 86bc7bb8b48852a714ebdf1516ce66d693137399
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Sep 9 12:54:19 2003 +0000

    Fix detection of dvb headerfiles and fix GTK2_MAIN selection for PDA interface.

commit 024d92176b7d10a23c31ca3da425f0affe717ad8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 9 12:36:24 2003 +0000

    Fix the condition for old faad.
    Incorrect placing of logical operator

commit cb1976ed0b1495fec3109274d56c0d6b306cffa4
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Sep 8 22:00:47 2003 +0000

    * modules/visualisation/visual/effects.c
      modules/visualisation/visual/visual.h:
    	- Change default effect-height
    	- Less scaling in spectrum analyser

commit 49dc6f8ebdb9a42ad356fc137d96fe283d446222
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Sep 8 13:37:52 2003 +0000

     * sdp: added --rtsp-tcp option. (rtp over rtsp connection)
            set b_pace to true when using --rtsp-tcp. (eg DSS server send
            data to fast)

commit 8d7538d82e65a1b7e6c71ef927a495842679d52b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Sep 8 13:09:40 2003 +0000

     * sdp: commented out a debug message and added some sort of eof detection.

commit 119b66fbd5eec26d05fdeb2beb6fe762fa43e212
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Sep 8 12:48:53 2003 +0000

    * modules/gui/wxwindows/playlist.cpp
      modules/gui/wxwindows/wxwindows.h:
    	- give default to the search button when user enters text
    	- case-insensitive search

commit 8f02c0351d208c6342a0dc7147b17ff008e819bc
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Sep 8 12:02:16 2003 +0000

    * src/playlist/playlist.c
           include/playlist.h: playlist sorting
     		(function playlist_Sort( playlist_t * , int type)
    
    * modules/gui/wxwindows/playlist.cpp
      modules/gui/wxwindows/wxwindows.h :
    	* Implement playlist sorting & reverse sorting
    	* Playlist search

commit 0ff7dbd8345de619de93caa27d268014e337bc53
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Sep 8 11:05:02 2003 +0000

    -pvr.c
    	*reflects a change in ivtv_ioctl_codec struct
    	*adds he bitratemode commandline option (values are vbr and cbr

commit 66ecba4d5766395e98bcc0ab5b79bf2c959a07cb
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Sep 8 07:38:30 2003 +0000

     * sdp: do not register 'rtp' name for access.

commit b3818fbe68fef45f08407f235be9ced438af8367
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Sep 8 07:36:34 2003 +0000

     * sdp : begin to play rtsp stream (as well as sdp). MPEG4 Audio/Video,
     mp3/raw audio should work.
     If you want to try download
     http://via.ecp.fr/~fenrir/libmtools-2003-09-08.tgz (but you will have to
     change configure.ac yourself)

commit 750a2cacd721594ea32db2de29fdd9e4dbbc224f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Sep 8 07:15:36 2003 +0000

     * rtsp: useless.

commit f56a36d4ae107d5589189ba83caa090cef2d6f1e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Sep 8 00:36:26 2003 +0000

    * stream : convert a msg_Err into msg_Warn.

commit 2171d2e98a82b4a5047beb42cad0e5641f77b1cc
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Sep 8 00:35:16 2003 +0000

     * all: clean up.

commit e40e6065cdf1f481b6e2bdd935feb0c64a163cf2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Sep 7 22:53:38 2003 +0000

     configure.ac : added gather stream_out.

commit 3c98f145a38a0f09184baf07be912a4433584fd8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Sep 7 22:53:09 2003 +0000

     * control: use new variables and 'title*', 'chapter*' ones.
     * gui/beos: removed not really used STARTED_S, and NOT_STARTED_S input
     state.
     * gui/wxwindows: use 'position' and 'time' variables -> seek improved
     for avi and mp4 and accurate time display :)

commit ca334665d34a99d8b336259bed4483054b90239b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Sep 7 22:51:11 2003 +0000

     * input: introduce 'position', 'time', 'length', 'state' and 'rate'
     object variables and begin to use pf_demux_control.
     * variables: new time type handling.

commit 8e8dada27fbcbfb07fea99eb12cc34e384e24d10
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Sep 7 22:49:05 2003 +0000

     * all : set pf_demux_control.

